Subversion Repositories svn LFS-FR

Compare Revisions

Ignore whitespace Rev 457 → Rev 458

/trunk/blfs/general/sysutils/gpm/gpm-config.xml
1,11 → 1,11
<sect2>
<title>Configurer gpm</title>
<title>Configurer <application><acronym>GPM</acronym></application></title>
 
<sect3><title>Script gpm init.d</title>
<para>Le script gpm init.d peut être créé en utilisant les commandes suivantes:
(ceci suppose que vous ayez suivi LFS en initialisant votre variable $rc_base
à <filename class="directory">/etc/rc.d</filename>)</para>
<para><screen><userinput>cat &gt; /etc/rc.d/init.d/gpm &lt;&lt; "EOF"</userinput>
<para>Le script de démarrage <command>gpm</command> peut être créé en utilisant les commandes suivantes:
<!-- (ceci suppose que vous ayez suivi LFS en initialisant votre variable $rc_base
à <filename class="directory">/etc/rc.d</filename>)</para>-->
<screen><userinput><command>cat &gt; /etc/rc.d/init.d/gpm &lt;&lt; "EOF"</command>
#!/bin/sh
# Début $rc_base/init.d/gpm
 
56,12 → 56,12
esac
 
# Fin $rc_base/init.d/gpm
<userinput>EOF
chmod 755 /etc/rc.d/init.d/gpm</userinput></screen></para>
<command>EOF
chmod 755 /etc/rc.d/init.d/gpm</command></userinput></screen>
 
<para>Vous avez alors besoin de créer les liens symboliques vers ce
fichier dans les bons répertoires rc.d. Par exemple:
<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
fichier dans les bons répertoires <filename>rc.d</filename>. Par exemple:
<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
ln -sf ../init.d/gpm ../rc0.d/K10gpm &amp;&amp;
ln -sf ../init.d/gpm ../rc1.d/K10gpm &amp;&amp;
ln -sf ../init.d/gpm ../rc2.d/K10gpm &amp;&amp;
68,7 → 68,8
ln -sf ../init.d/gpm ../rc3.d/S70gpm &amp;&amp;
ln -sf ../init.d/gpm ../rc4.d/S70gpm &amp;&amp;
ln -sf ../init.d/gpm ../rc5.d/S70gpm &amp;&amp;
ln -sf ../init.d/gpm ../rc6.d/K10gpm</userinput></screen></para></sect3>
ln -sf ../init.d/gpm ../rc6.d/K10gpm</command></userinput></screen>
</sect3>
 
<sect3><title>Fichiers de configuration</title>
<para><filename>/etc/sysconfig/mouse</filename>
75,29 → 76,31
Ce fichier contient le nom du périphérique de votre souris et le protocole
qu'elle utilise. Pour créer ce fichier, lancez la commande suivante:</para>
 
<para><screen><userinput>cat &gt; /etc/sysconfig/mouse &lt;&lt; "EOF"</userinput>
# Debut /etc/sysconfig/mouse
MDEVICE=yourdevice
PROTOCOL=yourprotocol
# Fin /etc/sysconfig/mouse
<userinput>EOF</userinput></screen></para>
<screen><userinput><command>cat &gt; /etc/sysconfig/mouse &lt;&lt; "EOF"</command>
# start /etc/sysconfig/mouse
MDEVICE=<replaceable>[yourdevice]</replaceable>
PROTOCOL=<replaceable>[yourprotocol]</replaceable>
# end /etc/sysconfig/mouse
<command>EOF</command></userinput></screen>
</sect3>
 
<sect3><title>Informations de configuration</title>
 
<para>Des exemples de valeurs pour MDEVICE et PROTOCOL sont</para>
<para>Des exemples de valeurs pour <envar>MDEVICE</envar> et
<envar>PROTOCOL</envar> sont</para>
 
<para><screen>MDEVICE=/dev/psaux
PROTOCOL=imps2</screen></para>
<screen><userinput>MDEVICE=/dev/psaux
PROTOCOL=imps2</userinput></screen>
 
<para>Une liste des protocoles connus est disponible en lançant
<userinput>gpm -t -help</userinput>. La configuration de MDEVICE
dépend du type de souris dont vous disposez. Par exemple,
<command>gpm -t -help</command>. La configuration de
<envar>MDEVICE</envar> dépend du type de souris dont vous disposez. Par exemple,
<filename>/dev/ttyS0</filename> pour une souris série (sous Windows, il
s'agit de COM1), <filename>/dev/input/mice</filename> est souvent utilisé
pour les souris USB et <filename>/dev/psaux</filename> pour les souris PS2.
Il est généralement admis que lier /dev/mouse au périphérique réel n'est pas
une bonne idée, et qu'il est préférable de le référencer directement.</para>
pour les souris <acronym>USB</acronym> et <filename>/dev/psaux</filename> pour
les souris PS2. Il est généralement admis que lier /dev/mouse au périphérique
réel n'est pas une bonne idée, et qu'il est préférable de le référencer
directement.</para>
 
</sect3>
 
/trunk/blfs/general/sysutils/gpm/gpm.ent
1,10 → 1,11
<!ENTITY gpm SYSTEM "../gpm.xml">
<!ENTITY gpm-intro SYSTEM "gpm-intro.xml">
<!ENTITY gpm-inst SYSTEM "gpm-inst.xml">
<!ENTITY gpm-config SYSTEM "gpm-config.xml">
<!ENTITY gpm-desc SYSTEM "gpm-desc.xml">
<!ENTITY gpm-config SYSTEM "gpm-config.xml">
<!ENTITY gpm-buildsize "3,2 Mo">
<!ENTITY gpm-version "1.20.1">
<!ENTITY gpm-download-http "">
<!ENTITY gpm-download-ftp "ftp://arcana.linux.it/pub/gpm/gpm-&gpm-version;.tar.bz2">
<!ENTITY gpm-size "556 Ko">
<!ENTITY gpm-buildsize "5,3 Mo">
<!ENTITY gpm-time "0,09 SBU">
/trunk/blfs/general/sysutils/gpm/gpm-intro.xml
1,15 → 1,32
<sect2>
<title>Introduction à gpm</title>
<title>Introduction à <application><acronym>GPM</acronym></application></title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&gpm-download-http;"/>
Site de téléchargement (FTP): <ulink url="&gpm-download-ftp;"/>
Version utilisée: &gpm-version;
Taille du package: &gpm-size;
Estimation de l'espace disque requis: &gpm-buildsize;</screen>
<para>Le package <application><acronym>GPM</acronym></application> contient un
serveur de souris pour la console et <command>xterm</command>. Ceci est utile
pour copier/coller du texte en mode console et aussi parce que beaucoup de
programmes basés sur la console en ont besoin pour compiler le support de la
souris.</para>
 
<para>Le package gpm contient un serveur souris pour la console et xterm.
Ceci est utile pour copier/coller du texte en mode console, et aussi
parce que de nombreux programmes console en ont besoin pour compiler
le support de la souris en eux.</para>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&gpm-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&gpm-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &gpm-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&gpm-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&gpm-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif requis: <ulink
url="&patch-root;/gpm-1.20.1-segfault.patch"/></para></listitem>
<listitem><para>Correctif recommendé: <ulink
url="&patch-root;/gpm-1.20.1-silent.patch"/></para></listitem>
</itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/sysutils/gpm/gpm-inst.xml
1,29 → 1,25
<sect2>
<title>Installation de gpm</title>
<title>Installation de <application><acronym>GPM</acronym></application></title>
 
<para>Téléchargez les correctifs pour <application>gpm</application> à partir
de <ulink url="&hfile-root;"/>.</para>
<para>Installez <application><acronym>GPM</acronym></application> en lançant
les commandes suivantes:</para>
 
<para>Installez gpm en lançant les commandes suivantes:</para>
 
<note><para>La variable d'environnement LDFLAGS doit être initialisée avant de
configurer gpm.</para></note>
 
<para><screen><userinput>patch -Np0 -i ../gpm-1.20.1-smooth-cursor.patch &amp;&amp;
patch -Np1 -i ../gpm-1.20.1-segfault.patch &amp;&amp;
<screen><userinput><command>patch -Np1 -i ../gpm-1.20.1-segfault.patch &amp;&amp;
patch -Np1 -i ../gpm-1.20.1-silent.patch &amp;&amp;
LDFLAGS="-lm" ./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</userinput></screen></para>
make install &amp;&amp;
ldconfig -n -l /usr/lib/libgpm.so.1.19.0</command></userinput></screen>
</sect2>
 
<sect2>
<title>Explication des commandes</title>
 
<para><userinput>export LDFLAGS="-lm"</userinput> : La bibliothèque des
mathématiques doit être liée avec gpm, car ceil() est utilisé dans la
partie concernant le défilement du curseur. LDFLAGS est nécessaire seulement
si vous optimisez gpm pour la taille.</para>
<para><command>export LDFLAGS="-lm"</command> : La bibliothèque des
mathématiques doit être liée avec <command>gpm</command>, car ceil() est
utilisé dans la partie concernant le défilement du curseur.
<envar>LDFLAGS</envar> est nécessaire seulement si vous optimisez
<command>gpm</command> pour la taille.</para>
 
</sect2>
 
/trunk/blfs/general/sysutils/gpm/gpm-desc.xml
1,9 → 1,9
<sect2>
<title>Contenu</title>
 
<para>Le package gpm contient <userinput>gpm</userinput>,
<userinput>gpm-root</userinput>, <userinput>disable-paste</userinput> et
<userinput>mev</userinput></para>
<para>Le package <application><acronym>GPM</acronym></application> contient
<command>gpm</command>, <command>gpm-root</command>,
<command>disable-paste</command> et <command>mev</command>.</para>
 
</sect2>
 
10,18 → 10,19
<sect2><title>Description</title>
 
<sect3><title>gpm</title>
<para>gpm est un utilitaire pour copier-coller et un serveur souris
pour les consoles virtuelles.</para></sect3>
<para><command>gpm</command> est un utilitaire pour copier-coller et un serveur
souris pour les consoles virtuelles.</para></sect3>
 
<sect3><title>gpm-root</title>
<para>gpm-root est un gestionnaire par défaut pour gpm. Il est utilisé pour
dessiner des menus sur la fenêtre racine.</para></sect3>
<para><command>gpm-root</command> est un gestionnaire par défaut pour
<command>gpm</command>. Il est utilisé pour dessiner des menus sur la fenêtre
racine.</para></sect3>
 
<sect3><title>disable-paste</title>
<para>Aucune description disponible.</para></sect3>
 
<sect3><title>mev</title>
<para>mev est un programme de rapport d'événements de la souris.</para></sect3>
<para><command>mev</command> est un programme de rapport d'événements de la souris.</para></sect3>
 
</sect2>
 
/trunk/blfs/general/sysutils/cpio/cpio.ent
3,10 → 3,9
<!ENTITY cpio-inst SYSTEM "cpio-inst.xml">
<!ENTITY cpio-exp SYSTEM "cpio-exp.xml">
<!ENTITY cpio-desc SYSTEM "cpio-desc.xml">
<!ENTITY cpio-config SYSTEM "cpio-config.xml">
<!ENTITY cpio-buildsize "1 Mo">
<!ENTITY cpio-version "2.5">
<!ENTITY cpio-download-http "http://ftp.gnu.org/pub/gnu/cpio/cpio-2.5.tar.gz">
<!ENTITY cpio-download-ftp "ftp://ftp.gnu.org/pub/gnu/cpio/cpio-2.5.tar.gz">
<!ENTITY cpio-download-http "http://ftp.gnu.org/pub/gnu/cpio/cpio-&cpio-version;.tar.gz">
<!ENTITY cpio-download-ftp "ftp://ftp.gnu.org/pub/gnu/cpio/cpio-&cpio-version;.tar.gz">
<!ENTITY cpio-size "188 Ko">
<!ENTITY cpio-buildsize "1 Mo">
<!ENTITY cpio-time "0,06 SBU">
/trunk/blfs/general/sysutils/cpio/cpio-intro.xml
1,14 → 1,22
<sect2>
<title>Introduction à cpio</title>
<title>Introduction à <application>cpio</application></title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&cpio-download-http;"/>
Site de téléchargement (FTP): <ulink url="&cpio-download-ftp;"/>
Version utilisée: &cpio-version;
Taille du package: &cpio-size;
Estimation de l'espace disque requis: &cpio-buildsize;
Estimation du temps de construction: &cpio-time;</screen>
 
<para>Le package cpio contient cpio. Il est utile pour les archivages.</para>
<para>Le package <application>cpio</application> contient des outils pour
l'archivage.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&cpio-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&cpio-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &cpio-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&cpio-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&cpio-time;</para></listitem></itemizedlist>
</sect3>
 
 
</sect2>
/trunk/blfs/general/sysutils/cpio/cpio-exp.xml
1,13 → 1,14
<sect2>
<title>Explications des commandes</title>
 
<para><userinput>--libexec=/usr/bin</userinput> : Cette commande installe
rmt dans <filename>/usr/sbin</filename> au lieu de
<filename>/usr/libexec</filename>.</para>
<para><parameter>--libexec=/usr/bin</parameter> : Cette commande installe
<command>rmt</command> dans <filename class="directory">/usr/sbin</filename> au
lieu de <filename class="directory">/usr/libexec</filename>.</para>
 
<para><userinput>--bindir=/bin</userinput> : Cette commande installe cpio dans
<filename>/bin</filename> au lieu de <filename>/usr/bin</filename> comme
indiqué par le FHS.</para>
<para><parameter>--bindir=/bin</parameter> : Cette commande installe
<application>cpio</application> dans <filename class="directory">/bin</filename>
au lieu de <filename class="directory">/usr/bin</filename> comme indiqué par le
<acronym>FHS</acronym>.</para>
 
</sect2>
 
/trunk/blfs/general/sysutils/cpio/cpio-inst.xml
1,11 → 1,12
<sect2>
<title>Installation de cpio</title>
<title>Installation de <application>cpio</application></title>
 
<para>Installez cpio en lançant les commandes suivantes:</para>
<para>Installez <command>cpio</command> en lançant les commandes suivantes:</para>
 
<para><screen><userinput>./configure --prefix=/usr --libexec=/usr/sbin --bindir=/bin &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr --libexec=/usr/sbin \
--bindir=/bin &amp;&amp;
make &amp;&amp;
make install</userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/sysutils/cpio/cpio-desc.xml
1,8 → 1,8
<sect2>
<title>Contenu</title>
 
<para>Le package cpio contient <userinput>cpio</userinput>,
<userinput>mt</userinput> et <userinput>rmt</userinput>.</para>
<para>Le package <application>cpio</application> contient <command>cpio</command>,
<command>mt</command> et <command>rmt</command>.</para>
 
</sect2>
 
9,14 → 9,14
<sect2><title>Description</title>
 
<sect3><title>cpio</title>
<para>cpio insère des fichiers dans des archives et les extrait.</para></sect3>
<para><command>cpio</command> insère des fichiers dans des archives et les extrait.</para></sect3>
 
<sect3><title>mt</title>
<para>mt contrôle les opérations des lecteurs de bandes magnétiques.</para>
<para><command>mt</command> contrôle les opérations des lecteurs de bandes magnétiques.</para>
</sect3>
 
<sect3><title>rmt</title>
<para>rmt contrôle les opérations des lecteurs de bandes magnétiques.</para>
<para><command>rmt</command> contrôle les opérations des lecteurs de bandes magnétiques.</para>
</sect3>
 
</sect2>
/trunk/blfs/general/sysutils/pciutils.xml
1,6 → 1,6
<sect1 id="pciutils" xreflabel="pciutils-&pciutils-version;">
<?dbhtml filename="pciutils.html" dir="general"?>
<title>pciutils-&pciutils-version;</title>
<title>PCI Utilities - &pciutils-version;</title>
 
&pciutils-intro;
&pciutils-inst;
/trunk/blfs/general/sysutils/pciutils/pciutils.ent
1,12 → 1,10
<!ENTITY pciutils SYSTEM "../pciutils.xml">
<!ENTITY pciutils-intro SYSTEM "pciutils-intro.xml">
<!ENTITY pciutils-inst SYSTEM "pciutils-inst.xml">
<!ENTITY pciutils-exp SYSTEM "pciutils-exp.xml">
<!ENTITY pciutils-desc SYSTEM "pciutils-desc.xml">
<!ENTITY pciutils-config SYSTEM "pciutils-config.xml">
<!ENTITY pciutils-buildsize "1,1 Mo">
<!ENTITY pciutils-version "2.1.11">
<!ENTITY pciutils-download-http "http://www.kernel.org/pub/software/utils/pciutils/pciutils-&pciutils-version;.tar.bz2">
<!ENTITY pciutils-download-ftp "ftp://ftp.kernel.org/pub/software/utils/pciutils/pciutils-&pciutils-version;.tar.bz2">
<!ENTITY pciutils-size "107 Ko">
<!ENTITY pciutils-buildsize "1,1 Mo">
<!ENTITY pciutils-time "0,02 SBU">
/trunk/blfs/general/sysutils/pciutils/pciutils-intro.xml
1,10 → 1,10
<sect2>
<title>Introduction à <application>pciutils</application></title>
<title>Introduction à <application><acronym>PCI</acronym> Utilities</application></title>
 
<para>Le package <application>pciutils</application> est un ensemble de
programmes indiquant la liste des périphériques <acronym>PCI</acronym>,
inspectant leur statut et initialisant leur registres de configuration.
</para>
<para>Le package <application><acronym>PCI</acronym> Utilities</application>
est un ensemble de programmes indiquant la liste des périphériques
<acronym>PCI</acronym>, inspectant leur statut et initialisant leur registres
de configuration.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
15,7 → 15,7
<listitem><para>Estimation du temps de construction: &pciutils-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Dépendances de <application>pciutils</application></title>
<sect3><title>Dépendances de <application><acronym>PCI</acronym> Utilities</application></title>
<sect4><title>Requis</title>
<para><xref linkend="wget"/> ou <xref linkend="lynx"/>
</para></sect4>
/trunk/blfs/general/sysutils/pciutils/pciutils-inst.xml
1,8 → 1,8
<sect2>
<title>Installation de <application>pciutils</application></title>
<title>Installation de <application><acronym>PCI</acronym> Utilities</application></title>
 
<para>Installez <application>pciutils</application> en lançant les commandes
suivantes:</para>
<para>Installez <application><acronym>PCI</acronym> Utilities</application>
en lançant les commandes suivantes:</para>
 
<screen><userinput><command>make PREFIX=/usr &amp;&amp;
make PREFIX=/usr install</command></userinput></screen>
/trunk/blfs/general/sysutils/pciutils/pciutils-desc.xml
1,8 → 1,10
<sect2>
<title>Contenu</title>
 
<para>Le package pciutils contient <command>lspci</command>,
 <command>setpci</command> et <command>update-pciids</command>.</para>
<para>Le package des utilitaires <acronym>PCI</acronym>
(<application><acronym>PCI</acronym> Utilities</application>) contient
<command>lspci</command>, <command>setpci</command> et
<command>update-pciids</command>.</para>
 
</sect2>
 
/trunk/blfs/general/sysutils/mc.xml
0,0 → 1,10
<sect1 id="mc" xreflabel="MC-&mc-version;">
<?dbhtml filename="mc.html" dir="general"?>
<title><acronym>MC</acronym>-&mc-version;</title>
 
&mc-intro;
&mc-inst;
&mc-config;
&mc-desc;
 
</sect1>
/trunk/blfs/general/sysutils/sysutils.xml
2,6 → 2,10
<?dbhtml filename="sysutils.html" dir="general"?>
<title>Utilitaires systèmes</title>
 
<para>Ce chapitre contient de nombreux utilitaires pour le matériel. Il contient
aussi quelques applications utilisées par d'autres applications du
livre.</para>
 
&gpm;
&fcron;
&hdparm;
11,5 → 15,6
&pciutils;
&pkgconfig;
&cpio;
&mc;
 
</chapter>
/trunk/blfs/general/sysutils/mc/mc-config.xml
0,0 → 1,18
<sect2>
<title>Configurer <application><acronym>MC</acronym></application></title>
 
<sect3><title>Fichiers de configuration</title>
<para><filename>~/.mc/*</filename></para>
</sect3>
 
<sect3><title>Informations de configuration</title>
 
<para>Le répertoire <filename class="directory">~/.mc</filename> et son contenu
sont créé au premier lancement de <command>mc</command>. Ensuite, vous pouvez
éditer le fichier de configuration principal <filename>~/.mc/ini</filename>
manuellement ou via le shell <application><acronym>MC</acronym></application>.
Consultez la page man mc(1) pour plus de détails.</para>
 
</sect3>
 
</sect2>
/trunk/blfs/general/sysutils/mc/mc.ent
0,0 → 1,11
<!ENTITY mc SYSTEM "../mc.xml">
<!ENTITY mc-intro SYSTEM "mc-intro.xml">
<!ENTITY mc-inst SYSTEM "mc-inst.xml">
<!ENTITY mc-config SYSTEM "mc-config.xml">
<!ENTITY mc-desc SYSTEM "mc-desc.xml">
<!ENTITY mc-version "4.6.0">
<!ENTITY mc-download-http "http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/mc-&mc-version;.tar.gz">
<!ENTITY mc-download-ftp "ftp://ftp.uni-koeln.de/util/shell/mc-&mc-version;.tar.gz">
<!ENTITY mc-size "3,6 Mo">
<!ENTITY mc-buildsize "31 Mo">
<!ENTITY mc-time "0,45 SBU">
/trunk/blfs/general/sysutils/mc/mc-intro.xml
0,0 → 1,37
<sect2>
<title>Introduction à
<application><acronym>MC</acronym></application></title>
 
<para><application><acronym>MC</acronym></application>
(Midnight Commander) est un gestionnaire de fichier en mode texte et un
shell visuel. Il fournit une interface clair, simple pour l'utilisateur mais
protégé d'un système Unix, intéressant pour gérer des opérations fréquentes sur
les fichiers de façon efficace et en préservant la toute puissance de la ligne
de commande.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink url="&mc-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink url="&mc-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &mc-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis: &mc-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction: &mc-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Dépendances de <application><acronym>MC</acronym></application></title>
<sect4><title>Requis</title>
<para><xref linkend="GLib"/> ou <xref linkend="GLib2"/>
</para></sect4>
<sect4><title>Optionnel</title>
<para>
<xref linkend="gpm"/>,
<xref linkend="xfree86"/>,
<xref linkend="samba"/>,
<xref linkend="slang"/>,
<xref linkend="zip"/>,
<xref linkend="unzip"/> et
<xref linkend="gnome-libs"/>
</para></sect4>
</sect3>
 
</sect2>
/trunk/blfs/general/sysutils/mc/mc-inst.xml
0,0 → 1,11
<sect2>
<title>Installation de <application><acronym>MC</acronym></application></title>
 
<para>Installez <application><acronym>MC</acronym></application> en lançant les
commandes suivantes:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
/trunk/blfs/general/sysutils/mc/mc-desc.xml
0,0 → 1,23
<sect2>
<title>Contenu</title>
 
<para>Le package <application><acronym>MC</acronym></application> contient
<command>mc</command>, <command>mcedit</command>,
<command>mcmfmt</command> et <command>mcview</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>mc</title>
<para><command>mc</command> est un shell visuel.</para></sect3>
 
<sect3><title>mcedit</title>
<para><command>mcedit</command> est un éditeur de fichier interne.
</para></sect3>
 
<sect3><title>mcview</title>
<para><command>mcview</command> est un visualisateur de fichier interne.
</para></sect3>
 
</sect2>
/trunk/blfs/general/sysutils/zip.xml
1,6 → 1,6
<sect1 id="zip" xreflabel="zip-&zip-version;">
<sect1 id="zip" xreflabel="Zip-&zip-version;">
<?dbhtml filename="zip.html" dir="general"?>
<title>zip-&zip-version;</title>
<title>Zip-&zip-version;</title>
 
&zip-intro;
&zip-inst;
/trunk/blfs/general/sysutils/zip/zip.ent
0,0 → 1,11
<!ENTITY zip SYSTEM "../zip.xml">
<!ENTITY zip-intro SYSTEM "zip-intro.xml">
<!ENTITY zip-inst SYSTEM "zip-inst.xml">
<!ENTITY zip-exp SYSTEM "zip-exp.xml">
<!ENTITY zip-desc SYSTEM "zip-desc.xml">
<!ENTITY zip-version "2.3">
<!ENTITY zip-download-http "http://www.mirror.ac.uk/sites/ftp.info-zip.org/pub/infozip/src/zip23.tar.gz">
<!ENTITY zip-download-ftp "ftp://ftp.info-zip.org/pub/infozip/src/zip23.tar.gz">
<!ENTITY zip-size "839 Ko">
<!ENTITY zip-buildsize "3,6 Mo">
<!ENTITY zip-time "0,05 SBU">
/trunk/blfs/general/sysutils/zip/zip-intro.xml
0,0 → 1,23
<sect2>
<title>Introduction à <application>Zip</application></title>
 
 
<para>Le package <application>Zip</application> contient les utilitaires
<application>Zip</application>. Ils sont utiles pour compresser des fichiers et
les stocker dans des archives <filename>ZIP</filename>.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&zip-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&zip-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &zip-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&zip-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&zip-time;</para></listitem></itemizedlist>
</sect3>
 
 
</sect2>
/trunk/blfs/general/sysutils/zip/zip-exp.xml
0,0 → 1,12
<sect2>
<title>Explication sur les commandes</title>
 
<para><command>make prefix=/usr generic_gcc</command>: Cette commande surcharge
la variable prefix initialisée à
<filename class='directory'>/usr/local</filename> dans le
<filename>Makefile</filename>
et construit les exécutables pour un système linux. Les alternatives à
'generic_gcc' sont disponibles avec la commande 'make list'.</para>
 
</sect2>
 
/trunk/blfs/general/sysutils/zip/zip-inst.xml
0,0 → 1,12
<sect2>
<title>Installation de <application>Zip</application></title>
 
<para>Installez <application>Zip</application> en lançant les commandes
suivantes:</para>
 
<screen><userinput><command>cp unix/Makefile . &amp;&amp;
make prefix=/usr generic_gcc &amp;&amp;
make prefix=/usr install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/sysutils/zip/zip-desc.xml
0,0 → 1,32
<sect2>
<title>Contenu</title>
 
<para>Le package <application>Zip</application> contient <command>zip
</command>, <command>zipcloak</command>, <command>zipnote</command> et
<command>zipsplit</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>zip</title>
<para><command>zip</command> compresse des fichiers et les stocke dans une
archive <filename>ZIP</filename>.</para></sect3>
 
<sect3><title>zipcloak</title>
<para><command>zipcloak</command> est désactivé dans cette version de
<application>Zip</application>. Il affichera un message sur le support du
cryptage par la recompilation avec
<filename>zcrypt27.zip</filename>.</para></sect3>
 
<sect3><title>zipnote</title>
<para><command>zipnote</command> lit et écrit des commentaires stockés dans un
fichier <filename>ZIP</filename>.</para></sect3>
 
<sect3><title>zipsplit</title>
<para><command>zipsplit</command> est un utilitaire pour diviser des fichiers
<filename>ZIP</filename> en des fichiers plus petits.</para></sect3>
 
 
</sect2>
 
/trunk/blfs/general/sysutils/which/which.ent
2,9 → 2,9
<!ENTITY which-intro SYSTEM "which-intro.xml">
<!ENTITY which-inst SYSTEM "which-inst.xml">
<!ENTITY which-desc SYSTEM "which-desc.xml">
<!ENTITY which-buildsize "719 Ko">
<!ENTITY which-version "2.14">
<!ENTITY which-download-http "http://ftp.gnu.org/gnu/which/which-2.14.tar.gz">
<!ENTITY which-download-ftp "ftp://ftp.gnu.org/gnu/which/which-2.14.tar.gz">
<!ENTITY which-download-http "http://ftp.gnu.org/gnu/which/which-&which-version;.tar.gz">
<!ENTITY which-download-ftp "ftp://ftp.gnu.org/gnu/which/which-&which-version;.tar.gz">
<!ENTITY which-size "110 Ko">
<!ENTITY which-buildsize "719 Ko">
<!ENTITY which-time "0,01 SBU">
/trunk/blfs/general/sysutils/which/which-intro.xml
1,10 → 1,17
<sect2>
<title>Introduction à which</title>
<title>Introduction à <application>which</application></title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&which-download-http;"/>
Site de téléchargement (FTP): <ulink url="&which-download-ftp;"/>
Version utilisée: &which-version;
Taille du package: &which-size;
Estimation de l'espace disque requis: &which-buildsize;</screen>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&which-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&which-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &which-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&which-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&which-time;</para></listitem></itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/sysutils/which/which-inst.xml
1,11 → 1,11
<sect2>
<title>Installation de which</title>
<title>Installation de <application>which</application></title>
 
<para>Installez which en lançant les commandes suivantes:</para>
<para>Installez <application>which</application> en lançant les commandes suivantes:</para>
 
<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/sysutils/which/which-desc.xml
1,7 → 1,8
<sect2>
<title>Contenu</title>
 
<para>Le package which contient <userinput>which</userinput>.</para>
<para>Le package <application>which</application> contient
<command>which</command>.</para>
 
</sect2>
 
8,7 → 9,7
<sect2><title>Description</title>
 
<sect3><title>which</title>
<para>which affiche le chemin complet de commandes (shell).</para></sect3>
<para><command>which</command> affiche le chemin complet de commandes (shell).</para></sect3>
 
</sect2>
 
/trunk/blfs/general/sysutils/unzip.xml
1,5 → 1,5
<sect1 id="unzip" xreflabel="unzip-&unzip-version;">
<title>unzip-&unzip-version;</title>
<sect1 id="unzip" xreflabel="UnZip-&unzip-version;">
<title>UnZip-&unzip-version;</title>
 
&unzip-intro;
&unzip-inst;
/trunk/blfs/general/sysutils/unzip/unzip-inst.xml
0,0 → 1,23
<sect2>
<title>Installation de <application>UnZip</application></title>
 
<para>Par défaut, <application>UnZip</application> ne supporte pas la
décompression shrink. Pour l'activer ou obtenir plus d'informations, vérifiez la
<acronym>FAQ</acronym> <application>UnZip</application> sur
<ulink url="http://www.info-zip.org/pub/infozip/FAQ.html#unshrink"/>.</para>
 
<para>Installez <application>UnZip</application> en lançant les commandes
suivantes:</para>
 
<screen><userinput><command>patch -Np1 -i ../unzip-5.50-fix-Makefile.patch &amp;&amp;
patch -Np1 -i ../unzip-5.50-fix-libz.patch &amp;&amp;
patch -Np1 -i ../unzip-5.50-dont-make-noise.patch &amp;&amp;
patch -Np1 -i ../unzip-5.50-dotdot.patch &amp;&amp;
cp unix/Makefile . &amp;&amp;
make prefix=/usr linux &amp;&amp;
make prefix=/usr linux_shlibz &amp;&amp;
make prefix=/usr install &amp;&amp;
cp -a libunzip.so* /usr/lib</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/sysutils/unzip/unzip-desc.xml
0,0 → 1,37
<sect2>
<title>Contenu</title>
 
<para>Le package <application>UnZip</application> contient <command>unzip
</command>, <command>funzip</command>, <command>unzipfsx</command>,
<command>zipgrep</command> et <command>zipinfo</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>unzip</title>
<para><command>unzip</command> liste, teste et extrait des fichiers d'une
archive <filename>ZIP</filename>.</para></sect3>
 
<sect3><title>funzip</title>
<para><command>funzip</command> permet à la sortie de commandes <command>unzip</command>
d'être redirigée.</para></sect3>
 
<sect3><title>unzipfsx</title>
<para><command>unzipfsx</command> est un code auto-extractible qui peut être
placé en suffixe à une archive <filename>ZIP</filename>. Les fichiers dans ce
format permettent au destinataire de décompresser l'archive sans avoir à
installer <application>UnZip</application>.</para></sect3>
 
<sect3><title>zipgrep</title>
<para><command>zipgrep</command> est un grep pour les archives
<filename>ZIP</filename>.</para>
</sect3>
 
<sect3><title>zipinfo</title>
<para><command>zipinfo</command> produit une information technique sur les
fichiers compris dans une archive <filename>ZIP</filename>, incluant les droits
d'accès aux fichiers, l'état de cryptage, le type de compression, etc.</para></sect3>
 
</sect2>
 
/trunk/blfs/general/sysutils/unzip/unzip.ent
0,0 → 1,11
<!ENTITY unzip SYSTEM "../unzip.xml">
<!ENTITY unzip-intro SYSTEM "unzip-intro.xml">
<!ENTITY unzip-inst SYSTEM "unzip-inst.xml">
<!ENTITY unzip-exp SYSTEM "unzip-exp.xml">
<!ENTITY unzip-desc SYSTEM "unzip-desc.xml">
<!ENTITY unzip-version "5.50">
<!ENTITY unzip-download-http "http://www.mirror.ac.uk/sites/ftp.info-zip.org/pub/infozip/src/unzip550.tar.gz">
<!ENTITY unzip-download-ftp "ftp://ftp.info-zip.org/pub/infozip/src/unzip550.tar.gz">
<!ENTITY unzip-size "1,1 Mo">
<!ENTITY unzip-buildsize "5,8 Mo">
<!ENTITY unzip-time "0,16 SBU">
/trunk/blfs/general/sysutils/unzip/unzip-intro.xml
0,0 → 1,37
<sect2>
<title>Introduction à <application>UnZip</application></title>
 
<para>Le package <application>UnZip</application> contient des utilitaires
d'extraction <filename>ZIP</filename>. Ils sont utiles pour extraire des
fichiers à partir d'archives <filename>ZIP</filename>. Les archives
<filename>ZIP</filename> sont créées avec <application>PKZIP</application> ou
<application>Info-ZIP</application> principalement dans un environnment
<acronym>DOS</acronym>.
</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&unzip-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&unzip-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &unzip-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&unzip-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&unzip-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif requis: <ulink
url="&patch-root;/unzip-5.50-fix-Makefile.patch"/></para></listitem>
<listitem><para>Correctif requis: <ulink
url="&patch-root;/unzip-5.50-fix-libz.patch"/></para></listitem>
<listitem><para>Correctif recommendé: <ulink
url="&patch-root;/unzip-5.50-dotdot.patch"/></para></listitem>
<listitem><para>Correctif recommendé: <ulink
url="&patch-root;/unzip-5.50-dont-make-noise.patch"/></para></listitem></itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/sysutils/unzip/unzip-exp.xml
0,0 → 1,16
<sect2>
<title>Explications sur les commandes</title>
 
<para><command>make prefix=/usr linux</command>: Cette commande surcharge la
variable prefix initialisée à
<filename class='directory'>/usr/local</filename> dans le
<filename>Makefile</filename>
et construit les exécutables pour un système linux. Les alternatives à
'linux' sont disponibles avec la commande 'make list'.</para>
 
<para><command>make prefix=/usr linux_shlibz</command>: Construit des versions
dynamiques de <filename>libunzip</filename> et lie
<application>UnZip</application> avec lui et <application>zlib</application>.</para>
 
</sect2>
 
/trunk/blfs/general/sysutils/pkgconfig/pkgconfig-intro.xml
1,15 → 1,18
<sect2>
<title>Introduction à <application>pkgconfig</application></title>
<title>Introduction to <application>pkgconfig</application></title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&pkgconfig-download-http;"/>
Site de téléchargement (FTP): <ulink url="&pkgconfig-download-ftp;"/>
Version utilisée: &pkgconfig-version;
Taille du package: &pkgconfig-size;
Estimation de l'espace disque requis: &pkgconfig-buildsize;
Estimation du temps de construction: &pkgconfig-time;</screen>
<para>Le package <application>pkgconfig</application> contient des outils pour
passer le chemin d'include et/ou le chemin de bibliothèques au compilateur
lors le script make.</para>
 
<para>Le package <application>pkgconfig</application> contient
<filename>pkg-config</filename>. Ceci est utile pour passer le chemin d'include
ou celui des bibliothèques au compilateur durant le script make.</para>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink url="&pkgconfig-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink url="&pkgconfig-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &pkgconfig-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis: &pkgconfig-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction: &pkgconfig-time;</para></listitem></itemizedlist>
</sect3>
 
 
</sect2>
/trunk/blfs/general/sysutils/pkgconfig/pkgconfig-inst.xml
4,9 → 4,9
<para>Installez <application>pkgconfig</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput><command>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/sysutils/pkgconfig/pkgconfig-config.xml
1,8 → 1,8
<sect2>
<title>Configurer <application>pkgconfig</application></title>
 
<para>Ajoutez à votre profile système ou personnel:
<screen><userinput><command>export PKG_CONFIG_PATH=/usr/X11R6/lib/pkgconfig</command></userinput></screen></para>
<para>Ajoutez à votre profile système ou personnel:</para>
<screen><userinput><command>export PKG_CONFIG_PATH=/usr/X11R6/lib/pkgconfig</command></userinput></screen>
 
<para>Les paramètrages par défaut pour <envar>PKG_CONFIG_PATH</envar> sont
<filename>/lib/pkgconfig</filename>, <filename>/usr/lib/pkgconfig</filename> et
/trunk/blfs/general/sysutils/pkgconfig/pkgconfig.ent
3,9 → 3,9
<!ENTITY pkgconfig-inst SYSTEM "pkgconfig-inst.xml">
<!ENTITY pkgconfig-config SYSTEM "pkgconfig-config.xml">
<!ENTITY pkgconfig-desc SYSTEM "pkgconfig-desc.xml">
<!ENTITY pkgconfig-buildsize "5,2 Mo">
<!ENTITY pkgconfig-version "0.15.0">
<!ENTITY pkgconfig-download-http "http://www.freedesktop.org/software/pkgconfig/releases/pkgconfig-0.15.0.tar.gz">
<!ENTITY pkgconfig-download-ftp "">
<!ENTITY pkgconfig-download-http "http://www.freedesktop.org/software/pkgconfig/releases/pkgconfig-&pkgconfig-version;.tar.gz">
<!ENTITY pkgconfig-download-ftp "ftp://ftp.netbuddy.org/linux/pkgconfig-&pkgconfig-version;.tar.gz">
<!ENTITY pkgconfig-size "604 Ko">
<!ENTITY pkgconfig-buildsize "5,2 Mo">
<!ENTITY pkgconfig-time "0,22 SBU">
/trunk/blfs/general/sysutils/fcron/fcron-intro.xml
1,19 → 1,31
<sect2>
<title>Introduction à fcron</title>
<title>Introduction à <application>Fcron</application></title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&fcron-download-http;"/>
Site de téléchargement (FTP): <ulink url="&fcron-download-ftp;"/>
Version utilisée: &fcron-version;
Taille du package: &fcron-size;
Estimation de l'espace disque requis: &fcron-buildsize;</screen>
<para>Le package <application>Fcron</application> contient un gestionnaire de
commandes périodiques qui a pour but de remplacer <application>Vixie
Cron</application>.</para>
 
<para>Le package fcron contient le démon fcron. &quot;Il s'agit
d'un programmteur périodique (scheduler) dont le but est de remplacer
le cron de Vixie.&quot; </para>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink url="&fcron-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink url="&fcron-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &fcron-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis: &fcron-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction: &fcron-time;</para></listitem></itemizedlist>
</sect3>
 
<screen>fcron recommande un système de mail local (sendmail ou
<xref linkend="postfix"></xref>, pour exemple).
fcron utilise <xref linkend="Linux_PAM"/>, <xref linkend="openjade"/> et
<xref linkend="docbook-dsssl"/>.</screen>
<sect3><title>Dépendances de <application>Fcron</application></title>
<sect4><title>Optionnel</title>
<para>
<xref linkend="sendmail"/> ou
<xref linkend="postfix"/> ou
<xref linkend="qmail"/> ou
<xref linkend="exim"/> ou
<xref linkend="courier"/>,
<xref linkend="Linux_PAM"/>,
<xref linkend="openjade"/> et
<xref linkend="docbook-dsssl"/>
</para></sect4>
</sect3>
 
</sect2>
/trunk/blfs/general/sysutils/fcron/fcron-exp.xml
1,13 → 1,27
<sect2>
<title>Explication de la commande</title>
<title>Explications des commandes</title>
 
<para><userinput>--with-dsssl-dir=/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;</userinput> :
Peut être ajouté SI vous avez installé openjade et dsssl-stylesheets.</para>
<para><option>--without-sendmail</option>: <application>Fcron</application>
ne requiert pas un <acronym>MTA</acronym> pour fonctionner mais en utilisera un,
s'il est installé, pour vous envoyer le résultat du script
<command>fcron</command>. Si vous souhaitez utiliser cette fonctionnalité,
modifiez l'option <parameter>--with-sendmail=<replaceable>[chemin vers votre MTA]</replaceable>
</parameter>.</para>
 
<!--
<para><userinput>make CC="gcc $CFLAGS":</userinput> Ceci permet
à fcron d'utiliser les options d'optimisation CFLAGS.</para>
-->
<para><parameter>--with-answer-all=no</parameter>: Aprèz avoir installé les
fichiers, le script d'installation entrera dans une configuration de routine. Le
premier test consistera à installer ou non un script de démarrage dans le
répertoire <filename class="directory">/etc/rc.d/init.d</filename> avec les
liens symboliques appropriés dans les niveaux d'exécution 2, 3, 4 et 5. Le
second est de stopper tout processus fcron en cours et d'en lancer un nouveau.
Comme il s'agit probablement de votre première installation et que nous voulons
un script de démarrage basé sur le modèle de <acronym>BLFS</acronym>, nous
répondrons 'n' aux deux tests.</para>
 
<para><parameter>--with-dsssl-dir=/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;
</parameter>: Peut être ajouté si vous avez installé
<application>OpenJade</application> et les dsssl-stylesheets pour générer la
documentation de fichiers source DocBook.</para>
 
</sect2>
 
/trunk/blfs/general/sysutils/fcron/fcron-inst.xml
1,46 → 1,38
<sect2>
<title>Installation de fcron</title>
<title>Installation de <application>Fcron</application></title>
 
<para>Fcron utilise la facilité cron de syslog pour enregistrer
tous les messages. Comme LFS ne met pas en place cette facilité
dans <filename>/etc/syslog.conf</filename>, il est nécessaire de le faire avant
d'installer fcron. Cette commande ajoutera la ligne nécessaire
dans le fichier <filename>/etc/syslog.conf</filename> courant.</para>
<para><application>Fcron</application> utilise les capacités cron de
<command>syslog</command> pour tracer tous les messages. Comme
<acronym>LFS</acronym> ne configure pas cette capacité avec
<filename>/etc/syslog.conf</filename>, nous devons le faire avant d'installer
<application>Fcron</application>. Cette commande ajoutera la ligne nécessaire à
<filename>/etc/syslog.conf</filename>.</para>
 
<para><screen><userinput>cat &gt;&gt; /etc/syslog.conf &lt;&lt; "EOF"</userinput>
# Début ajout de fcron dans /etc/syslog.conf
<screen><userinput><command>cat &gt;&gt; /etc/syslog.conf &lt;&lt; "EOF"
# Début ajout fcron dans /etc/syslog.conf
 
cron.* -/var/log/cron.log
 
# Fin de l'ajout
<userinput>EOF</userinput></screen></para>
# Fin ajout fcron
EOF</command></userinput></screen>
 
<para>Le fichier de configuration a été modifié, donc il faut relancer
le démon sysklogd pour que les changements soient pris en compte.
</para>
<para>Le fichier de configuration a été modifié, donc nous devons avertir le
démon <command>sysklogd</command> pour qu'il prenne en compte les modifications.</para>
 
<para><screen><userinput>/etc/rc.d/init.d/sysklogd reload</userinput></screen></para>
<screen><userinput><command>/etc/rc.d/init.d/sysklogd reload</command></userinput></screen>
 
<para>Installez fcron en lançant les commandes suivantes:</para>
<para>Pour des raisons de sécurité, nous avons besoin de créer un utilisateur et
un groupe non privilégiés pour <application>fcron</application>:</para>
 
<para><screen><userinput>./configure &amp;&amp;
make CC="gcc $CFLAGS" &amp;&amp;
make install</userinput></screen></para>
<screen><userinput><command>groupadd fcron &amp;&amp;
useradd -c fcron -g fcron fcron</command></userinput></screen>
 
</sect2>
<para>Installez <application>Fcron</application> en lançant les commandes
suivantes:</para>
 
<sect2>
<screen><userinput><command>./configure --without-sendmail --with-answer-all=no &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
<title>Installer fcron sans MTA </title>
 
<para>Fcron ne requiert pas d'agent de transfert de mail (MTA) pour
fonctionner, mais en utilisera un, si il est installé, pour vous
envoyer par mail les résultats du script fcron. Si vous souhaitez
l'installer sans MTA, lancez les commandes suivantes:</para>
 
<para><screen><userinput>./configure --without-sendmail &amp;&amp;
make CC="gcc $CFLAGS" &amp;&amp;
make install</userinput></screen></para>
 
</sect2>
 
/trunk/blfs/general/sysutils/fcron/fcron-desc.xml
1,8 → 1,9
<sect2>
<title>Contenu</title>
 
<para>Le package fcron contient <userinput>fcron, fcrontab,
fcronsighup</userinput> et <userinput>fcrondyn.</userinput></para>
<para>Le package <application>fcron</application> contient
<command>fcron</command>, <command>fcrontab</command>,
<command>fcronsighup</command> et <command>fcrondyn</command>.</para>
 
</sect2>
 
13,15 → 14,15
 
<sect3><title>fcrontab</title>
<para>fcrontab est le programme utilisé pour installer, éditer,
lister et supprimer les tables utilisées par fcron.</para></sect3>
lister et supprimer les tables utilisées par <command>fcron</command>.</para></sect3>
 
<sect3><title>fcronsighup</title>
<para>fcronsighup demande à fcron de relire les tables.
<para>fcronsighup demande à <command>fcron </command>de relire les tables.
</para></sect3>
 
<sect3><title>fcrondyn</title>
<para>fcrondyn est un outil utilisateur pour interagir avec un
démon fcron en cours d'exécution.</para></sect3>
démon <command>fcron </command>en cours d'exécution.</para></sect3>
 
</sect2>
 
/trunk/blfs/general/sysutils/fcron/fcron-config.xml
1,20 → 1,27
<sect2>
<title>Configurer fcron</title>
<title>Configurer <application>Fcron</application></title>
 
<sect3><title>Script make install</title>
<sect3><title>Fichiers de configuration</title>
 
<para>Après que les fichiers soient installés, le script 'make install' entre
dans une routine de configuration. Le premier test concerne un groupe nommé
fcron. Si il n'existe pas, une ligne de commande va vous être proposée à
laquelle vous pourrez répondre oui ('y') ou non ('n'). Ceci arrive de nouveau
pour créer un utilisateur nommé fcron et pour installer un script dans le
répertoire init.d avec les liens appropriés dans les niveaux d'exécution
2, 3, 4 et 5. L'étape finale de configuration est d'arrêter tout processus
fcron et d'en démarrer un nouveau. Un oui ('yes') arrêtera les processus
fcron en cours mais échouera pour démarrer le nouveau fcron. La commande
suivante corrigera ceci:</para>
<para><filename>/etc/fcron.conf</filename>,
<filename>/etc/fcron.allow</filename>,
<filename>/etc/fcron.deny</filename></para>
 
<para><screen><userinput>cat &gt; /etc/rc.d/init.d/fcron &lt;&lt; "EOF"</userinput>
</sect3>
 
<sect3><title>Informations de configuration</title>
 
<para>Il n'y a pas de modifications requises dans aucun des fichiers de
configuration. Les informations de configuration sont disponibles dans la page
man de <filename>fcron.conf</filename>.</para>
 
<para>Les scripts <command>fcron</command> sont écrits en utilisant
<command>fcrontab</command>. Référez-vous à la page man de fcrontab pour les
bons paramètres correspondant à votre situation.</para>
 
<para>Créez le script de démarrage de la façon suivante:</para>
 
<screen><userinput><command>cat &gt; /etc/rc.d/init.d/fcron &lt;&lt; "EOF"
#!/bin/sh
# Début $rc_base/init.d/fcron
 
52,25 → 59,22
esac
 
# Fin $rc_base/init.d/fcron
<userinput>EOF
chmod 755 /etc/rc.d/init.d/fcron &amp;&amp;
mv /etc/rc.d/rc0.d/K60fcron /etc/rc.d/rc0.d/K08fcron &amp;&amp;
mv /etc/rc.d/rc6.d/K60fcron /etc/rc.d/rc6.d/K08fcron</userinput></screen></para>
</sect3>
EOF
chmod 755 /etc/rc.d/init.d/fcron</command></userinput></screen>
 
<sect3><title>Fichiers de configuration</title>
<para>Créez les liens symboliques vers ce fichier dans le répertoire
<filename class="directory">rc.d</filename> adéquat avec les commandes
suivantes:</para>
 
<para><filename>/etc/fcron.conf</filename>,
<filename>/etc/fcron.allow</filename>,
<filename>/etc/fcron.deny</filename></para>
<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
ln -sf ../init.d/fcron ../rc0.d/K08fcron &amp;&amp;
ln -sf ../init.d/fcron ../rc2.d/S40fcron &amp;&amp;
ln -sf ../init.d/fcron ../rc3.d/S40fcron &amp;&amp;
ln -sf ../init.d/fcron ../rc4.d/S40fcron &amp;&amp;
ln -sf ../init.d/fcron ../rc5.d/S40fcron &amp;&amp;
ln -sf ../init.d/fcron ../rc6.d/K08fcron</command></userinput></screen>
 
<para>Aucune changement n'est requis pour tous ces fichiers.
Des informations de configuration peuvent être trouvées dans
la page man de <filename>fcron.conf</filename>.</para>
</sect3>
 
<para>Les scripts fcron sont écrits avec fcrontab. Référez-vous
à la page man de fcrontab pour les bons paramètres dans votre
situation.</para></sect3>
 
</sect2>
 
/trunk/blfs/general/sysutils/fcron/fcron.ent
2,10 → 2,11
<!ENTITY fcron-intro SYSTEM "fcron-intro.xml">
<!ENTITY fcron-inst SYSTEM "fcron-inst.xml">
<!ENTITY fcron-exp SYSTEM "fcron-exp.xml">
<!ENTITY fcron-config SYSTEM "fcron-config.xml">
<!ENTITY fcron-desc SYSTEM "fcron-desc.xml">
<!ENTITY fcron-config SYSTEM "fcron-config.xml">
<!ENTITY fcron-buildsize "2,7 Mo">
<!ENTITY fcron-version "2.9.3">
<!ENTITY fcron-download-http "http://fcron.free.fr/fcron-2.9.3.src.tar.gz">
<!ENTITY fcron-download-ftp "ftp://ftp.seul.org/pub/fcron/fcron-2.9.3.src.tar.gz">
<!ENTITY fcron-size "372 Ko">
<!ENTITY fcron-download-http "http://fcron.free.fr/fcron-&fcron-version;.src.tar.gz">
<!ENTITY fcron-download-ftp "ftp://ftp.seul.org/pub/fcron/fcron-&fcron-version;.src.tar.gz">
<!ENTITY fcron-size "365 Ko">
<!ENTITY fcron-buildsize "3,3 Mo">
<!ENTITY fcron-time "0,11 SBU">
/trunk/blfs/general/sysutils/hdparm/hdparm.ent
1,11 → 1,11
<!ENTITY hdparm SYSTEM "../hdparm.xml">
<!ENTITY hdparm-intro SYSTEM "hdparm-intro.xml">
<!ENTITY hdparm-inst SYSTEM "hdparm-inst.xml">
<!ENTITY hdparm-config SYSTEM "hdparm-config.xml">
<!ENTITY hdparm-desc SYSTEM "hdparm-desc.xml">
<!ENTITY hdparm-config SYSTEM "hdparm-config.xml">
<!ENTITY hdparm-buildsize "257 Ko">
<!ENTITY hdparm-version "5.4">
<!ENTITY hdparm-download-http "http://www.ibiblio.org/pub/Linux/system/hardware/hdparm-&hdparm-version;.tar.gz">
<!ENTITY hdparm-download-ftp "ftp://ftp.ibiblio.org/pub/Linux/system/hardware/hdparm-&hdparm-version;.tar.gz">
<!ENTITY hdparm-size "33 Ko">
<!ENTITY hdparm-buildsize "257 Ko">
<!ENTITY hdparm-time "0,01 SBU">
/trunk/blfs/general/sysutils/hdparm/hdparm-intro.xml
1,8 → 1,8
<sect2>
<title>Introduction à <application>hdparm</application></title>
 
<para>Le package <application>hdparm</application> contient l'utilitaire
<command>hdparm</command>. Ceci est utile pour gérer à la fois les contrôleurs
<para>Le package <application>hdparm</application> contient un outil
utile pour gérer à la fois les contrôleurs
et les disques <acronym>ATA</acronym>/<acronym>IDE</acronym> pour améliorer les
performances et quelque fois accroître la stabilité.</para>
 
/trunk/blfs/general/sysutils/hdparm/hdparm-inst.xml
8,10 → 8,10
make install</command></userinput></screen>
 
<para>Notez que par défaut <command>hdparm</command> est installé dans
<filename>/sbin</filename> car certains systèmes peuvent en avoir besoin au
démarrage avant que <filename>/usr</filename> ne soit monté. Si vous souhaitez
<filename class="directory">/sbin</filename> car certains systèmes peuvent en avoir besoin au
démarrage avant que <filename class="directory">/usr</filename> ne soit monté. Si vous souhaitez
installer <command>hdparm</command> sous l'arborescence
<filename>/usr</filename>, alors remplacez les commandes du dessus par les
<filename class="directory">/usr</filename>, alors remplacez les commandes du dessus par les
suivantes:</para>
 
<screen><userinput><command>make &amp;&amp;
/trunk/blfs/general/genlib/libesmtp/libesmtp.ent
1,12 → 1,10
<!ENTITY libesmtp SYSTEM "../libesmtp.xml">
<!ENTITY libesmtp-intro SYSTEM "libesmtp-intro.xml">
<!ENTITY libesmtp-inst SYSTEM "libesmtp-inst.xml">
<!ENTITY libesmtp-exp SYSTEM "libesmtp-exp.xml">
<!ENTITY libesmtp-desc SYSTEM "libesmtp-desc.xml">
<!ENTITY libesmtp-config SYSTEM "libesmtp-config.xml">
<!ENTITY libesmtp-buildsize "5,0 Mo">
<!ENTITY libesmtp-version "1.0">
<!ENTITY libesmtp-download-http "http://www.stafford.uklinux.net/libesmtp/libesmtp-1.0.tar.bz2">
<!ENTITY libesmtp-download-http "http://www.stafford.uklinux.net/libesmtp/libesmtp-&libesmtp-version;.tar.bz2">
<!ENTITY libesmtp-download-ftp "">
<!ENTITY libesmtp-size "232 Ko">
<!ENTITY libesmtp-buildsize "5,0 Mo">
<!ENTITY libesmtp-time "0,15 SBU">
/trunk/blfs/general/genlib/gwrap.xml
4,7 → 4,6
 
&gwrap-intro;
&gwrap-inst;
&gwrap-exp;
&gwrap-desc;
 
</sect1>
/trunk/blfs/general/genlib/expat/expat.ent
2,10 → 2,9
<!ENTITY expat-intro SYSTEM "expat-intro.xml">
<!ENTITY expat-inst SYSTEM "expat-inst.xml">
<!ENTITY expat-desc SYSTEM "expat-desc.xml">
<!ENTITY expat-config SYSTEM "expat-config.xml">
<!ENTITY expat-buildsize "3,2 Mo">
<!ENTITY expat-version "1.95.6">
<!ENTITY expat-download-http "http://umn.dl.sourceforge.net/sourceforge/expat/expat-1.95.6.tar.gz">
<!ENTITY expat-download-ftp "">
<!ENTITY expat-download-http "http://umn.dl.sourceforge.net/sourceforge/expat/expat-&expat-version;.tar.gz">
<!ENTITY expat-download-ftp "ftp://ftp.yars.free.net/pub/software/unix/util/xml/expat-&expat-version;.tar.gz">
<!ENTITY expat-size "292 Ko">
<!ENTITY expat-time "0,25 SBU">
<!ENTITY expat-buildsize "3.2 Mo">
<!ENTITY expat-time "0,13 SBU">
/trunk/blfs/general/genlib/expat/expat-intro.xml
13,6 → 13,6
<listitem><para>Estimation du temps de construction requis: &expat-time;</para></listitem></itemizedlist></sect3>
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif requis: <ulink url="&hfile-root;/expat-&expat-version;.patch"/></para></listitem></itemizedlist></sect3>
<listitem><para>Correctif requis: <ulink url="&patch-root;/expat-&expat-version;-fix-declaration-order.patch"/></para></listitem></itemizedlist></sect3>
 
</sect2>
/trunk/blfs/general/genlib/expat/expat-inst.xml
2,16 → 2,16
<title>Installation de <application>expat</application></title>
 
<para><filename>expat.h</filename> déclare XML_Status après sa première
utilisation. Ceci est corrigé avec le correctif suivant:
utilisation. Ceci est corrigé avec le correctif suivant:</para>
 
<screen><userinput><command>patch -Np1 -i ../expat-1.95.6.patch</command></userinput></screen></para>
<screen><userinput><command>patch -Np1 -i ../expat-1.95.6-fix-declaration-order.patch</command></userinput></screen>
 
<para>Installez <application>expat</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput><command>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/genlib/popt/popt.ent
1,12 → 1,10
<!ENTITY popt SYSTEM "../popt.xml">
<!ENTITY popt-intro SYSTEM "popt-intro.xml">
<!ENTITY popt-inst SYSTEM "popt-inst.xml">
<!ENTITY popt-exp SYSTEM "popt-exp.xml">
<!ENTITY popt-desc SYSTEM "popt-desc.xml">
<!ENTITY popt-config SYSTEM "popt-config.xml">
<!ENTITY popt-buildsize "4 Mo">
<!ENTITY popt-version "1.7">
<!ENTITY popt-download-http "">
<!ENTITY popt-download-ftp "ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/popt-1.7.tar.gz">
<!ENTITY popt-size "200 Ko">
<!ENTITY popt-download-http "http://gd.tuwien.ac.at/utils/rpm.org/dist/rpm-4.1.x/popt-&popt-version;.tar.gz">
<!ENTITY popt-download-ftp "ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/popt-&popt-version;.tar.gz">
<!ENTITY popt-size "564 Ko">
<!ENTITY popt-buildsize "17,4 Mo">
<!ENTITY popt-time "0,06 SBU">
/trunk/blfs/general/genlib/popt/popt-inst.xml
4,9 → 4,9
<para>Installez <application>popt</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput><command>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/genlib/popt/popt-desc.xml
2,7 → 2,7
<title>Contenu</title>
 
<para>Le package <application>popt</application> contient les bibliothèques
<filename>libpopt</filename>.</para>
<filename class="libraryfile">libpopt</filename>.</para>
 
</sect2>
 
9,8 → 9,8
<sect2><title>Description</title>
 
<sect3><title>Bibliothèque popt</title>
<para>La bibliothèque popt est utilisée pour analyser les options en ligne
de commande.</para></sect3>
<para>La bibliothèque <filename class="libraryfile">libpopt</filename> est
utilisée pour analyser les options en ligne de commande.</para></sect3>
 
</sect2>
 
/trunk/blfs/general/genlib/gmp.xml
1,6 → 1,6
<sect1 id="gmp" xreflabel="gmp-&gmp-version;">
<sect1 id="gmp" xreflabel="GMP-&gmp-version;">
<?dbhtml filename="gmp.html" dir="general"?>
<title>gmp-&gmp-version;</title>
<title>GMP-&gmp-version;</title>
 
&gmp-intro;
&gmp-inst;
/trunk/blfs/general/genlib/ispell.xml
0,0 → 1,10
<sect1 id="ispell" xreflabel="ispell-&ispell-version;">
<?dbhtml filename="ispell.html" dir="general"?>
<title>ispell-&ispell-version;</title>
 
&ispell-intro;
&ispell-inst;
&ispell-desc;
 
</sect1>
 
/trunk/blfs/general/genlib/libfam/libfam.ent
2,15 → 2,11
<!ENTITY libfam-intro SYSTEM "libfam-intro.xml">
<!ENTITY libfam-inst SYSTEM "libfam-inst.xml">
<!ENTITY libfam-exp SYSTEM "libfam-exp.xml">
<!ENTITY libfam-config SYSTEM "libfam-config.xml">
<!ENTITY libfam-desc SYSTEM "libfam-desc.xml">
<!ENTITY libfam-config SYSTEM "libfam-config.xml">
<!ENTITY libfam-buildsize "350 Ko">
<!ENTITY libfam-version "2.6.9">
 
<!ENTITY libfam-download-http
"http://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
<!ENTITY libfam-download-ftp
"ftp://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
 
<!ENTITY libfam-size "300 Ko">
<!ENTITY libfam-time "0.68 SBU">
<!ENTITY libfam-version "2.6.10">
<!ENTITY libfam-download-http "http://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
<!ENTITY libfam-download-ftp "ftp://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
<!ENTITY libfam-size "320 Ko">
<!ENTITY libfam-buildsize "6,9 Mo">
<!ENTITY libfam-time "0,68 SBU">
/trunk/blfs/general/genlib/libfam/libfam-intro.xml
1,5 → 1,5
<sect2>
<title>Introduction à <application><acronym>fam</acronym></application></title>
<title>Introduction à <application><acronym>FAM</acronym></application></title>
 
<para>Le package <application><acronym>fam</acronym></application> contient un
moniteur d'altération de fichiers, utile pour informer les applications de
18,8 → 18,14
&libfam-time;</para></listitem></itemizedlist>
</sect3>
<sect3><title>Dépendances de <application><acronym>fam</acronym></application>
</title>
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif Dnotify (HTTP)&nbsp;: <ulink
url="&patch-root;/fam-2.6.10-dnotify.patch"/></para></listitem></itemizedlist>
</sect3>
<sect3><title>Dépendances de <application><acronym>FAM</acronym></application></title>
<sect4><title>Requis</title>
<para><xref linkend="portmap"/></para></sect4>
</sect3>
/trunk/blfs/general/genlib/libfam/libfam-exp.xml
1,15 → 1,20
<sect2>
<title>Explication des commandes</title>
 
<para><command>patch -Np1 -i ../fam-dnotify.patch</command> :
Ce correctif fait en sorte que fam utilise le méchanisme dnotify du noyau pour
<para><command>patch -Np1 -i ../fam-dnotify.patch</command>&nbsp;:
Ce correctif fait en sorte que
<application><acronym>FAM</application></acronym> utilise le méchanisme dnotify du noyau pour
informer le processus d'appel des modifications de fichiers, plutôt que de
requêter sans cesse le système de fichiers.
</para>
 
<para><command>patch -Np1 -i ../fam-gcc3.patch</command> :
Ce correctif est nécessaire pour compiler fam avec gcc-&gcc-version;.
</para>
<para><screen><command>libtoolize --force
aclocal
automake --add-missing
autoconf</command></screen>
Ces commandes sont nécessaires car les correctifs affectent le fichier
<filename>configure.in</filename>. Ils génèrent une nouvelle commande
<command>configure</command> avec les modifications nécessaires.</para>
 
</sect2>
 
/trunk/blfs/general/genlib/libfam/libfam-inst.xml
1,11 → 1,7
<sect2>
<title>Installation de <application><acronym>fam</acronym></application></title>
<title>Installation de <application><acronym>FAM</acronym></application></title>
 
<para>Téléchargez les correctifs
<application><acronym>fam</acronym></application> à partir de
<ulink url="&hfile-root;"/>.</para>
 
<para>Installez <application><acronym>fam</acronym></application> en lançant
<para>Installez <application><acronym>FAM</acronym></application> en lançant
les commandes suivantes:</para>
 
<note><para>Vous allez obtenir des messages d'avertissement indiquant que make
13,8 → 9,7
<filename>/etc/rpc</filename>. Ceux-ci peuvent être ignorés, avec les messages
d'erreur d'<acronym>IMON</acronym> et de <filename>inetd.conf</filename>, comme nous configurerons ces fichiers après installation.</para></note>
 
<screen><userinput><command>patch -Np1 -i ../fam-dnotify.patch &amp;&amp;
patch -Np1 -i ../fam-gcc3.patch &amp;&amp;
<screen><userinput><command>patch -Np1 -i ../fam-2.6.10-dnotify.patch &amp;&amp;
libtoolize --force &amp;&amp;
aclocal &amp;&amp;
automake --add-missing &amp;&amp;
/trunk/blfs/general/genlib/libfam/libfam-desc.xml
1,7 → 1,7
<sect2>
<title>Contenu</title>
 
<para>Le package <application><acronym>fam</acronym></application> contient
<para>Le package <application><acronym>FAM</acronym></application> contient
<command>fam</command> et les bibliothèques <filename>libfam</filename>.</para>
 
</sect2>
/trunk/blfs/general/genlib/libfam/libfam-config.xml
1,5 → 1,5
<sect2>
<title>Configurer <application><acronym>fam</acronym></application></title>
<title>Configurer <application><acronym>FAM</acronym></application></title>
 
<sect3><title>Fichiers de configuration</title>
 
16,7 → 16,7
<application><acronym>fam</acronym></application> dans
<filename>/etc/inetd.conf</filename> avec la commande suivante:</para>
 
<screen><userinput><command>echo "sgi_fam/1-2 stream  rpc/tcp wait root /usr/bin/fam fam" &gt;&gt; /etc/inetd.conf</command></userinput></screen>
<screen><userinput><command>echo "sgi_fam/1-2 stream rpc/tcp wait root /usr/bin/fam fam" &gt;&gt; /etc/inetd.conf</command></userinput></screen>
 
<para>Si vous utilisez <application>xinetd</application>, ajoutez une entrée
dans <filename>/etc/xinetd.conf</filename> avec la commande suivante
/trunk/blfs/general/genlib/glib2/glib2.ent
0,0 → 1,11
<!ENTITY GLib2 SYSTEM "../glib2.xml">
<!ENTITY GLib2-intro SYSTEM "glib2-intro.xml">
<!ENTITY GLib2-inst SYSTEM "glib2-inst.xml">
<!ENTITY GLib2-exp SYSTEM "glib2-exp.xml">
<!ENTITY GLib2-desc SYSTEM "glib2-desc.xml">
<!ENTITY GLib2-version "2.2.3">
<!ENTITY GLib2-download-http "http://gd.tuwien.ac.at/graphics/gimp/gtk/v2.2/glib-&GLib2-version;.tar.bz2">
<!ENTITY GLib2-download-ftp "ftp://ftp.gtk.org/pub/gtk/v2.2/glib-&GLib2-version;.tar.bz2">
<!ENTITY GLib2-size "1,6 Mo">
<!ENTITY GLib2-buildsize "23,3 Mo">
<!ENTITY GLib2-time "0,49 SBU">
/trunk/blfs/general/genlib/glib2/glib2-intro.xml
0,0 → 1,31
<sect2>
<title>Introduction à <application>GLib</application></title>
 
<para>Le package <application>glib</application> contient une bibliothèque de
bas niveau essentielle. Elle est utile grâce à son apport de la gestion des
structures de données C, des fonctions de portages et des interfaces pour des
fonctionnalités en exécution telles que les boucles, les threads, le chargement
dynamique et un système objet.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&GLib2-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&GLib2-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &GLib2-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&GLib2-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&GLib2-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Dépendances de <application>GLib</application></title>
<sect4><title>Requis</title>
<para><xref linkend="pkgconfig"/></para></sect4>
<sect4><title>Optionnel</title>
<para><xref linkend="gtk-doc"/>, <xref linkend="DocBook"/> et <xref
linkend="docbook-xsl"/></para></sect4>
</sect3>
 
</sect2>
/trunk/blfs/general/genlib/glib2/glib2-exp.xml
0,0 → 1,9
<sect2>
<title>Explication des commandes</title>
 
<para><option>--enable-gtk-doc</option>: Cette instruction construira la
documentation de l'<acronym>API</acronym> lors de l'exécution de la commande
<command>make</command>.</para>
 
</sect2>
 
/trunk/blfs/general/genlib/glib2/glib2-inst.xml
0,0 → 1,12
<sect2>
<title>Installation de <application>GLib</application></title>
 
<para>Installez <application>glib</application> en lançant les commandes
suivantes:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/genlib/glib2/glib2-desc.xml
0,0 → 1,18
<sect2>
<title>Contenu</title>
 
<para>Le package <application>glib</application> contient les bibliothèques
<filename>libglib-2.0</filename>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>Bibliothèques GLib</title>
<para>Les bibliothèques GLib contiennent les bibliothèques principales de
bas-niveau pour l'ensemble d'outils de
<application><acronym>GIMP</acronym></application>.</para></sect3>
 
 
</sect2>
 
/trunk/blfs/general/genlib/genlib.xml
49,10 → 49,10
&expat;
&libesmtp;
&aspell;
&ispell;
&guile;
&slib;
&gwrap;
&STLport;
&LZO;
 
</chapter>
/trunk/blfs/general/genlib/slang/slang.ent
1,11 → 1,11
<!ENTITY slang SYSTEM "../slang.xml">
<!ENTITY slang-intro SYSTEM "slang-intro.xml">
<!ENTITY slang-inst SYSTEM "slang-inst.xml">
<!ENTITY slang-config SYSTEM "slang-config.xml">
<!ENTITY slang-desc SYSTEM "slang-desc.xml">
<!ENTITY slang-config SYSTEM "slang-config.xml">
<!ENTITY slang-buildsize "9,6 Mo">
<!ENTITY slang-version "1.4.9">
<!ENTITY slang-download-http "">
<!ENTITY slang-download-http "http://gd.tuwien.ac.at/editors/davis/slang/v1.4/slang-&slang-version;.tar.bz2">
<!ENTITY slang-download-ftp "ftp://space.mit.edu/pub/davis/slang/v1.4/slang-&slang-version;.tar.bz2">
<!ENTITY slang-size "624 Ko">
<!ENTITY slang-buildsize "9,6 Mo">
<!ENTITY slang-time "0,16 SBU">
/trunk/blfs/general/genlib/slang/slang-inst.xml
4,12 → 4,12
<para>Installez <application>slang</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput><command>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
make elf &amp;&amp;
make install-elf &amp;&amp;
make install-links &amp;&amp;
chmod 755 /usr/lib/libslang.so.&slang-version;</command></userinput></screen></para>
chmod 755 /usr/lib/libslang.so.&slang-version;</command></userinput></screen>
 
</sect2>
/trunk/blfs/general/genlib/guile.xml
1,6 → 1,6
<sect1 id="guile" xreflabel="guile-&guile-version;">
<sect1 id="guile" xreflabel="Guile-&guile-version;">
<?dbhtml filename="guile.html" dir="general"?>
<title>guile-&guile-version;</title>
<title>Guile-&guile-version;</title>
 
&guile-intro;
&guile-inst;
/trunk/blfs/general/genlib/lzo/lzo-desc.xml
1,8 → 1,8
<sect2>
<title>Contenu</title>
 
<para>Le package LZO apporte la bibliothèque
<filename class="libraryfile">liblzo</filename>.</para>
<para>Le package <application><acronym>LZO</application></acronym> apporte la
bibliothèque <filename class="libraryfile">liblzo</filename>.</para>
 
</sect2>
 
/trunk/blfs/general/genlib/lzo/lzo.ent
1,13 → 1,10
<!ENTITY LZO SYSTEM "../lzo.xml">
<!ENTITY LZO-intro SYSTEM "lzo-intro.xml">
<!ENTITY LZO-inst SYSTEM "lzo-inst.xml">
<!ENTITY LZO-exp SYSTEM "lzo-exp.xml">
<!ENTITY LZO-desc SYSTEM "lzo-desc.xml">
<!ENTITY LZO-config SYSTEM "lzo-config.xml">
<!ENTITY LZO-buildsize "5,4 Mo">
<!ENTITY LZO-version "1.08">
<!ENTITY LZO-download-http
"http://www.oberhumer.com/opensource/lzo/download/lzo-&LZO-version;.tar.gz">
<!ENTITY LZO-download-ftp "">
<!ENTITY LZO-download-http "http://www.oberhumer.com/opensource/lzo/download/lzo-&LZO-version;.tar.gz">
<!ENTITY LZO-download-ftp "http://ftp.uni-koeln.de/util/arc/lzo-&LZO-version;.tar.gz">
<!ENTITY LZO-size "421 Ko">
<!ENTITY LZO-buildsize "5,4 Mo">
<!ENTITY LZO-time "0,22 SBU">
/trunk/blfs/general/genlib/lzo/lzo-intro.xml
1,7 → 1,7
<sect2>
<title>Introduction à <application>LZO</application></title>
<title>Introduction à <application><acronym>LZO</acronym></application></title>
 
<para><application>LZO</application> est une bibliothèque de compression de
<para><application><acronym>LZO</acronym></application> est une bibliothèque de compression de
données qui est convient pour la décompression et compression en temps réel.
Ceci signifie qu'il favorise la rapidité sur le taux de compression.</para>
 
/trunk/blfs/general/genlib/lzo/lzo-inst.xml
1,8 → 1,8
<sect2>
<title>Installation de <application>LZO</application></title>
<title>Installation de <application><acronym>LZO</acronym></application></title>
 
<para>Installez <application>LZO</application> en lançant les commandes
suivantes:</para>
<para>Installez <application><acronym>LZO</acronym></application> en lançant
les commandes suivantes&nbsp;:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
/trunk/blfs/general/genlib/gdbm.xml
1,6 → 1,6
<sect1 id="gdbm" xreflabel="gdbm-&gdbm-version;">
<sect1 id="gdbm" xreflabel="GDBM-&gdbm-version;">
<?dbhtml filename="gdbm.html" dir="general"?>
<title>gdbm-&gdbm-version;</title>
<title>GDBM-&gdbm-version;</title>
 
&gdbm-intro;
&gdbm-inst;
/trunk/blfs/general/genlib/libxml2/libxml2-intro.xml
0,0 → 1,26
<sect2>
<title>Introduction à <application>libxml2</application></title>
 
<para>Le package <application>libxml2</application> contient les bibliothèques
<acronym>XML</acronym>. Elles sont utiles pour analyser des fichiers
<acronym>XML</acronym>.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&libxml2-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&libxml2-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &libxml2-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis&nbsp;:
&libxml2-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction&nbsp;:
&libxml2-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Dépendances de <application>libxml2</application></title>
<sect4><title>Optionnel</title>
<para><xref linkend="Python"/></para></sect4>
</sect3>
 
</sect2>
/trunk/blfs/general/genlib/libxml2/libxml2-inst.xml
0,0 → 1,17
<sect2>
<title>Installation de <application>libxml2</application></title>
 
<para>Installez <application>libxml2</application> en lançant les commandes
suivantes&nbsp;:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
<!--
<tip><title>Upgrade Hint</title><para>You may wish to remove the old
documentation directories for libxml2 in <filename>/usr/share/doc</filename>.</para></tip>
-->
 
</sect2>
 
/trunk/blfs/general/genlib/libxml2/libxml2-desc.xml
0,0 → 1,27
<sect2>
<title>Contenu</title>
 
<para>Le package <application>libxml2</application> contient les bibliothèques <filename
class='libraryfile'>libxml2</filename>, <command>xmllint</command> et
<command>xmlcatalog</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>Bibliothèques libxml2</title>
<para>Les bibliothèques <filename class='libraryfile'>libxml2</filename>
apportent des fonctions aux programmes permettant d'analyser des fichiers
utilisant le format <acronym>XML</acronym>.</para></sect3>
 
<sect3><title>xmllint</title>
<para><command>xmllint</command> analyse les fichiers XML et génère des rapports
(basés sur des options) pour détecter des erreurs dans le codage
<acronym>XML</acronym>.</para></sect3>
 
<sect3><title>xmlcatalog</title>
<para><command>xmlcatalog</command> permet aux utilisateurs de surveiller et de
manipuler des catalogues <acronym>XML</acronym> et <acronym>SGML</acronym>.</para></sect3>
 
</sect2>
 
/trunk/blfs/general/genlib/libxml2/libxml2.ent
0,0 → 1,10
<!ENTITY libxml2 SYSTEM "../libxml2.xml">
<!ENTITY libxml2-intro SYSTEM "libxml2-intro.xml">
<!ENTITY libxml2-inst SYSTEM "libxml2-inst.xml">
<!ENTITY libxml2-desc SYSTEM "libxml2-desc.xml">
<!ENTITY libxml2-version "2.5.11">
<!ENTITY libxml2-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.5/libxml2-&libxml2-version;.tar.bz2">
<!ENTITY libxml2-download-ftp "ftp://ftp.xmlsoft.org/libxml2-&libxml2-version;.tar.gz">
<!ENTITY libxml2-size "2,9 Mo">
<!ENTITY libxml2-buildsize "41,8 Mo">
<!ENTITY libxml2-time "0,97 SBU">
/trunk/blfs/general/genlib/glib/glib.ent
2,23 → 2,9
<!ENTITY GLib-intro SYSTEM "glib-intro.xml">
<!ENTITY GLib-inst SYSTEM "glib-inst.xml">
<!ENTITY GLib-desc SYSTEM "glib-desc.xml">
<!ENTITY GLib-config SYSTEM "glib-config.xml">
<!ENTITY GLib-buildsize "7 Mo">
<!ENTITY GLib-version "1.2.10">
<!ENTITY GLib-download-http "">
<!ENTITY GLib-download-ftp "ftp://ftp.gtk.org/pub/gtk/v1.2/glib-1.2.10.tar.gz">
<!ENTITY GLib-download-http "http://gd.tuwien.ac.at/graphics/gimp/gtk/v1.2/glib-&GLib-version;.tar.gz">
<!ENTITY GLib-download-ftp "ftp://ftp.gtk.org/pub/gtk/v1.2/glib-&GLib-version;.tar.gz">
<!ENTITY GLib-size "412 Ko">
<!ENTITY GLib-buildsize "7 Mo">
<!ENTITY GLib-time "0,26 SBU">
 
<!ENTITY GLib2 SYSTEM "../glib2.xml">
<!ENTITY GLib2-intro SYSTEM "glib2-intro.xml">
<!ENTITY GLib2-inst SYSTEM "glib2-inst.xml">
<!ENTITY GLib2-desc SYSTEM "glib2-desc.xml">
<!ENTITY GLib2-exp SYSTEM "glib2-exp.xml">
<!ENTITY GLib2-config SYSTEM "glib2-config.xml">
<!ENTITY GLib2-buildsize "23,3 Mo">
<!ENTITY GLib2-version "2.2.3">
<!ENTITY GLib2-download-http "">
<!ENTITY GLib2-download-ftp "ftp://ftp.gtk.org/pub/gtk/v2.2/glib-&GLib2-version;.tar.bz2">
<!ENTITY GLib2-size "1,6 Mo">
<!ENTITY GLib2-time "0,49 SBU">
/trunk/blfs/general/genlib/glib/glib-inst.xml
4,9 → 4,9
<para>Installez <application>glib</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput><command>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/genlib/glib/glib-desc.xml
11,7 → 11,8
 
<sect3><title>Bibliothèques GLib</title>
<para>Les bibliothèques <application>GLib</application> contiennent la
bibliothèque principale bas niveau pour le Gimp Tool Kit.</para></sect3>
bibliothèque principale bas niveau pour le
<application><acronym>GIMP</acronym></application> Tool Kit.</para></sect3>
 
 
</sect2>
/trunk/blfs/general/genlib/gwrap/gwrap.ent
1,12 → 1,10
<!ENTITY gwrap SYSTEM "../gwrap.xml">
<!ENTITY gwrap-intro SYSTEM "gwrap-intro.xml">
<!ENTITY gwrap-inst SYSTEM "gwrap-inst.xml">
<!ENTITY gwrap-exp SYSTEM "gwrap-exp.xml">
<!ENTITY gwrap-desc SYSTEM "gwrap-desc.xml">
<!ENTITY gwrap-config SYSTEM "gwrap-config.xml">
<!ENTITY gwrap-buildsize "4,6 Mo">
<!ENTITY gwrap-version "1.3.4">
<!ENTITY gwrap-download-http "http://www.gnucash.org/pub/g-wrap/source/g-wrap-&gwrap-version;.tar.gz">
<!ENTITY gwrap-download-ftp "">
<!ENTITY gwrap-size "400 Ko">
<!ENTITY gwrap-time "0,09">
<!ENTITY gwrap-buildsize "4,6 Mo">
<!ENTITY gwrap-time "0,09 SBU">
/trunk/blfs/general/genlib/aspell/aspell.ent
1,12 → 1,11
<!ENTITY aspell SYSTEM "../aspell.xml">
<!ENTITY aspell-intro SYSTEM "aspell-intro.xml">
<!ENTITY aspell-inst SYSTEM "aspell-inst.xml">
<!ENTITY aspell-exp SYSTEM "aspell-exp.xml">
<!ENTITY aspell-config SYSTEM "aspell-config.xml">
<!ENTITY aspell-desc SYSTEM "aspell-desc.xml">
<!ENTITY aspell-config SYSTEM "aspell-config.xml">
<!ENTITY aspell-buildsize "9,4 Mo">
<!ENTITY aspell-version "0.50.3">
<!ENTITY aspell-download-http "">
<!ENTITY aspell-download-http "http://gd.tuwien.ac.at/gnu/gnusrc/aspell/aspell-&aspell-version;.tar.gz">
<!ENTITY aspell-download-ftp "ftp://ftp.gnu.org/gnu/aspell/aspell-&aspell-version;.tar.gz">
<!ENTITY aspell-size "917 Ko">
<!ENTITY aspell-time "0,54 SBU">
<!ENTITY aspell-buildsize "9,4 Mo">
<!ENTITY aspell-time "0,97 SBU">
/trunk/blfs/general/genlib/aspell/aspell-intro.xml
18,4 → 18,10
&aspell-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif requis (HTTP): <ulink
url="&patch-root;/aspell-0.50.3-gcc33-1.patch"/></para></listitem></itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/genlib/aspell/aspell-inst.xml
4,7 → 4,8
<para>Installez <application>aspell</application> en lançant les commandes
suivantes:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>patch -Np1 -i ../aspell-0.50.3-gcc33-1.patch &amp;&amp;
./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
/trunk/blfs/general/genlib/libxslt/libxslt.ent
0,0 → 1,10
<!ENTITY libxslt SYSTEM "../libxslt.xml">
<!ENTITY libxslt-intro SYSTEM "libxslt-intro.xml">
<!ENTITY libxslt-inst SYSTEM "libxslt-inst.xml">
<!ENTITY libxslt-desc SYSTEM "libxslt-desc.xml">
<!ENTITY libxslt-version "1.0.33">
<!ENTITY libxslt-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxslt/1.0/libxslt-&libxslt-version;.tar.bz2">
<!ENTITY libxslt-download-ftp "ftp://ftp.xmlsoft.org/libxslt-&libxslt-version;.tar.gz">
<!ENTITY libxslt-size "2,3 Mo">
<!ENTITY libxslt-buildsize "30 Mo">
<!ENTITY libxslt-time "0,29 SBU">
/trunk/blfs/general/genlib/libxslt/libxslt-intro.xml
0,0 → 1,26
<sect2>
<title>Introduction à <application>libxslt</application></title>
 
<para>Le package <application>libxslt</application> contient les bibliothèques
<acronym>XSLT</acronym>. Elles sont utiles pour étendre les bibliothèques
<filename>libxml2</filename> au support des fichiers <acronym>XSLT</acronym>.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&libxslt-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&libxslt-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &libxslt-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&libxslt-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&libxslt-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Dépendances de <application>libxslt</application></title>
<sect4><title>Requis</title>
<para><xref linkend="libxml2"></xref></para></sect4>
</sect3>
 
</sect2>
/trunk/blfs/general/genlib/libxslt/libxslt-inst.xml
0,0 → 1,17
<sect2>
<title>Installation de <application>libxslt</application></title>
 
<para>Installez <application>libxslt</application> en lançant les commandes
suivantes&nbsp;:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
<!--
<tip><title>Upgrade Hint</title><para>You may wish to remove the old
documentation directories for <application>libxslt</application> in <filename>/usr/share/doc</filename>.</para></tip>
-->
 
</sect2>
 
/trunk/blfs/general/genlib/libxslt/libxslt-desc.xml
0,0 → 1,24
<sect2>
<title>Contenu</title>
 
<para>Le package <application>libxslt</application> contient les bibliothèques
<filename>libxslt</filename>, <filename>libexslt</filename> ainsi que
<command>xsltproc</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>Bibliothèques libxslt</title>
<para>Les bibliothèques <filename>libxslt</filename> proposent des extensions
aux bibliothèques <filename>libxml2</filename> pour utiliser des fichiers au
format <acronym>XSLT</acronym>.</para></sect3>
 
<sect3><title>xsltproc</title>
<para><command>xsltproc</command> est utilisé pour appliquer des feuilles de
style <acronym>XSLT</acronym> à des documents <acronym>XML</acronym>.
</para></sect3>
 
 
</sect2>
 
/trunk/blfs/general/genlib/gmp/gmp.ent
3,10 → 3,9
<!ENTITY gmp-inst SYSTEM "gmp-inst.xml">
<!ENTITY gmp-exp SYSTEM "gmp-exp.xml">
<!ENTITY gmp-desc SYSTEM "gmp-desc.xml">
<!ENTITY gmp-config SYSTEM "gmp-config.xml">
<!ENTITY gmp-buildsize "29,0 Mo">
<!ENTITY gmp-version "4.1.2">
<!ENTITY gmp-download-http "http://www.ibiblio.org/pub/gnu/gmp/gmp-4.1.2.tar.bz2">
<!ENTITY gmp-download-ftp "ftp://ftp.gnu.org/gnu/gmp/gmp-4.1.2.tar.bz2">
<!ENTITY gmp-download-http "http://www.ibiblio.org/pub/gnu/gmp/gmp-&gmp-version;.tar.bz2">
<!ENTITY gmp-download-ftp "ftp://ftp.gnu.org/gnu/gmp/gmp-&gmp-version;.tar.bz2">
<!ENTITY gmp-size "1,6 Mo">
<!ENTITY gmp-buildsize "29,0 Mo">
<!ENTITY gmp-time "0,86 SBU">
/trunk/blfs/general/genlib/gmp/gmp-intro.xml
1,8 → 1,8
<sect2>
<title>Introduction à <application>gmp</application></title>
<title>Introduction à <application><acronym>GMP</acronym></application></title>
 
<para>Le package <application>gmp</application> contient la bibliothèque
<acronym>MP</acronym>. Elle contient des fonctions utiles pour l'arithmétique
<para>Le package <application>gmp</application> contient la bibliothèque de
mathématiques. Elle contient des fonctions utiles pour l'arithmétique
de précision.</para>
 
<sect3><title>Informations sur le package</title>
18,7 → 18,7
&gmp-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Dépendances de <application>gmp</application></title>
<sect3><title>Dépendances de <application><acronym>GMP</acronym></application></title>
<sect4><title>Optionnel</title>
<para><xref linkend="readline"/></para></sect4>
</sect3>
/trunk/blfs/general/genlib/gmp/gmp-exp.xml
1,9 → 1,10
<sect2>
<title>Explication des commandes</title>
 
<para><command>--infodir=/usr/share/info --mandir=/usr/share/man</command> :
Ces options configure le répertoire de la documentation comme étant
<filename>/usr/share</filename> au lieu de <filename>/usr</filename>.</para>
<para><parameter>--infodir=/usr/share/info --mandir=/usr/share/man</parameter> :
Ces options configurent le répertoire de la documentation comme étant
<filename class="directory">/usr/share</filename> au lieu de <filename
class="directory">/usr</filename>.</para>
 
</sect2>
 
/trunk/blfs/general/genlib/gmp/gmp-inst.xml
1,8 → 1,8
<sect2>
<title>Installation de <application>gmp</application></title>
<title>Installation de <application><acronym>GMP</acronym></application></title>
 
<para>Installez <application>gmp</application> en lançant les commandes
suivantes:</para>
<para>Installez <application><acronym>GMP</acronym></application> en lançant
les commandes suivantes:</para>
 
<screen><userinput><command>./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man &amp;&amp;
make &amp;&amp;
/trunk/blfs/general/genlib/gmp/gmp-desc.xml
1,8 → 1,8
<sect2>
<title>Contenu</title>
 
<para>Le package <application>gmp</application> contient les bibliothèques
<filename>libgmp</filename>.</para>
<para>Le package <application><acronym>GMP</acronym></application> contient les
bibliothèques <filename>libgmp</filename>.</para>
 
</sect2>
 
/trunk/blfs/general/genlib/openssl/openssl-config.xml
11,8 → 11,8
<application>openssl</application> pour procurer des fonctions aux autres
programmes comme <application>OpenSSH</application> et les navigateurs web,
n'auront pas à s'embêter avec la configuration
d'<application>openssl</application>. Configurer
<application>openssl</application> est un thème avancé et donc, ceux qui ont à
d'<application>OpenSSL</application>. Configurer
<application>OpenSSL</application> est un thème avancé et donc, ceux qui ont à
le faire sont soit capables de le faire, soit capables de trouver comment le
faire.</para>
</sect3>
/trunk/blfs/general/genlib/openssl/openssl.ent
2,11 → 2,11
<!ENTITY openssl-intro SYSTEM "openssl-intro.xml">
<!ENTITY openssl-inst SYSTEM "openssl-inst.xml">
<!ENTITY openssl-exp SYSTEM "openssl-exp.xml">
<!ENTITY openssl-config SYSTEM "openssl-config.xml">
<!ENTITY openssl-desc SYSTEM "openssl-desc.xml">
<!ENTITY openssl-config SYSTEM "openssl-config.xml">
<!ENTITY openssl-buildsize "25 Mo">
<!ENTITY openssl-version "0.9.7b">
<!ENTITY openssl-version "0.9.7c">
<!ENTITY openssl-download-http "http://www.openssl.org/source/openssl-&openssl-version;.tar.gz">
<!ENTITY openssl-download-ftp "ftp://ftp.openssl.org/source/openssl-&openssl-version;.tar.gz">
<!ENTITY openssl-size "2,7 Mo">
<!ENTITY openssl-buildsize "26,1 Mo">
<!ENTITY openssl-time "3,35 SBU">
/trunk/blfs/general/genlib/openssl/openssl-intro.xml
1,7 → 1,7
<sect2>
<title>Introduction à <application>OpenSSL</application></title>
 
<para>Le package <application>openssl</application> contient des outils de
<para>Le package <application>OpenSSL</application> contient des outils de
gestion et des bibliothèques en relation avec la cryptographie. Ils sont utiles
car ils apportent des fonctions de cryptographie aux autres packages, notamment
pour <application>OpenSSH</application> et pour les navigateurs web (ce qui
17,4 → 17,10
<listitem><para>Estimation du temps de construction: &openssl-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif pour la page man (HTTP): <ulink
url="&patch-root;/openssl-0.9.7c-manpages.patch"/></para></listitem></itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/genlib/openssl/openssl-exp.xml
1,28 → 1,32
<sect2>
<title>Explications des commandes</title>
 
<para><command>no-rc5 no-idea</command> : Une fois ajoutée à la commande
./config, ceci éliminera la construction de ces méthodes de cryptage.
<para><option>no-rc5 no-idea</option> : Une fois ajoutée à la commande
<command>./config</command>, ceci éliminera la construction de ces méthodes de cryptage.
Les licences en question peuvent vous être nécessaire pour que vous puissiez les
utiliser dans vos projets.</para>
 
<para><command>rm doc/apps/passwd.pod</command> : Nous faisons ceci car,
sinon, <application>openssl</application> installerait sa page man de passwd sur
celle, déjà existante, du système, ce qui n'est pas ce que nous voulons.</para>
<para><command>rm doc/apps/passwd.pod</command> : Cette commande empêche
<application>Open<acronym>SSL</acronym></application> d'écraser la
page man passwd existante par sa propre page man.</para>
 
<para><screen><command>make MANDIR=/usr/share/man
make MANDIR=/usr/share/man install</command></screen> :
Ces commandes installent <application>openssl</application> avec les pages man
Ces commandes installent <application>OpenSSL</application> avec les pages man
dans <filename class="directory">/usr/share/man</filename> au lieu de
<filename class="directory">/etc/ssl/man</filename>, par défaut.</para>
<para><command>rmdir /etc/ssl/lib</command> : Il s'agit d'une simple
commande de ménage. Pour une raison inconnue, la routine d'installation
d'<application>openssl</application> crée le répertoire <filename
d'<application>OpenSSL</application> crée le répertoire <filename
class="directory">>/etc/ssl/lib</filename> même si les
bibliothèques ont été installées dans <filename
class="directory">/usr/lib</filename>. Nous le supprimons pour garder les choses
jolies et bien rangées!</para>
 
<para><command>chmod 755 /usr/lib/pkgconfig</command>: Le processus d'installation
modifie les droits sur ce répertoire par le mode 644. Cette commande
restaure les droits suivant la configuration précédant l'installation (mode 755).</para>
 
</sect2>
 
/trunk/blfs/general/genlib/openssl/openssl-inst.xml
1,7 → 1,7
<sect2>
<title>Installation de <application>OpenSSL</application></title>
 
<para>Installez <application>openssl</application> en lançant les commandes
<para>Installez <application>OpenSSL</application> en lançant les commandes
suivantes:</para>
 
<!--
12,13 → 12,16
linux-elf.</para></note>
-->
 
<screen><userinput><command>sed 's/^passwd/openssl-passwd/' doc/apps/passwd.pod \
<screen><userinput><command>patch -Np1 -i ../openssl-0.9.7c-manpages.patch
sed 's/^passwd/openssl-passwd/' doc/apps/passwd.pod \
> doc/apps/openssl-passwd.pod &amp;&amp;
rm doc/apps/passwd.pod &amp;&amp;
./config --openssldir=/etc/ssl --prefix=/usr shared &amp;&amp;
make MANDIR=/usr/share/man &amp;&amp;
make MANDIR=/usr/share/man install &amp;&amp;
rmdir /etc/ssl/lib</command></userinput></screen>
cp -r certs /etc/ssl &amp;&amp;
rmdir /etc/ssl/lib &amp;&amp;
chmod 755 /usr/lib/pkgconfig</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/genlib/openssl/openssl-desc.xml
1,8 → 1,8
<sect2>
<title>Contenu</title>
 
<para>Le package openssl contient <userinput>c_rehash</userinput>,
<userinput>openssl</userinput>, et les bibliothèques
<para>Le package <application>Open<acronym>SSL</acronym></application> contient
<command>c_rehash</command>, <command>openssl</command>, et les bibliothèques
<filename class='libraryfile'>libcrypto</filename> et <filename
class='libraryfile'>libssl</filename>.</para>
 
12,7 → 12,8
 
<sect3><title>c_rehash</title>
 
<para>c_rehash est un script perl qui recherche tous les fichiers d'un répertoire et
<para><command>c_rehash</command> est un script
<application>Perl</application> qui recherche tous les fichiers d'un répertoire et
ajoute des liens symboliques vers leur valeurs hachés.</para>
 
</sect3>
19,10 → 20,11
 
<sect3><title>openssl</title>
 
<para>Le programme openssl est un outil en ligne de commande pour
utiliser les différentes fonctions de cryptographie de la bibliothèque
d'OpenSSL à partir du shell. Il peut être utilisé pour différentes
fonctions, documentées dans <userinput>man 1 openssl</userinput>.
<para>Le programme <command>openssl</command> est un outil en ligne de commande
pour utiliser les différentes fonctions de cryptographie de la bibliothèque
d'<application>Open<acronym>SSL</acronym></application> à partir du shell. Il
peut être utilisé pour différentes fonctions, documentées dans <userinput>man 1
openssl</userinput>.
</para>
 
</sect3>
29,11 → 31,13
 
<sect3><title>libcrypto</title>
 
<para>La bibliothèque crypto d'OpenSSL implémente une grande variété
d'algorithmes de cryptographie, utilisés dans de nombreux standards
Internet. Les services proposés par cette bibliothèque sont utilisés
par les implémentations OpenSSL de SSL, TLS et S/MIME, et ils sont
aussi utilisés pour implémenter SSH, OpenPGP et d'autres standards
<para>La bibliothèque crypto d'<application>Open<acronym>SSL</acronym></application>
implémente une grande variété d'algorithmes de cryptographie, utilisés dans de
nombreux standards Internet. Les services proposés par cette bibliothèque sont
utilisés par les implémentations <application>Open<acronym>SSL</acronym></application>
de <acronym>SSL</acronym>, <acronym>TLS</acronym> et <acronym>S/MIME</acronym>,
et ils sont aussi utilisés pour implémenter <application>Open<acronym>SSH</acronym></application>,
<application>Open<acronym>PGP</acronym></application> et d'autres standards
cryptographiques.</para>
 
</sect3>
40,9 → 44,10
 
<sect3><title>libssl</title>
<para>La bibliothèque ssl d'OpenSSL implémente les protocoles 'Secure
Sockets Layer' (SSL v2/v3) et 'Transport Layer Security' (TLS v1).
Elle apporte une API riche, dont la documentation est disponible en
<para>La bibliothèque ssl d'<application>Open<acronym>SSL</acronym></application>
implémente les protocoles 'Secure Sockets Layer' (<acronym>SSL</acronym> v2/v3)
et 'Transport Layer Security' (<acronym>TLS</acronym> v1). Elle apporte une
<acronym>API</acronym> riche dont la documentation est disponible en
lançant <userinput>man 3 ssl</userinput>.</para>
</sect3>
/trunk/blfs/general/genlib/readline/readline.ent
2,13 → 2,11
<!ENTITY readline-intro SYSTEM "readline-intro.xml">
<!ENTITY readline-inst SYSTEM "readline-inst.xml">
<!ENTITY readline-exp SYSTEM "readline-exp.xml">
<!ENTITY readline-config SYSTEM "readline-config.xml">
<!ENTITY readline-desc SYSTEM "readline-desc.xml">
<!ENTITY readline-config SYSTEM "readline-config.xml">
<!ENTITY readline-buildsize "9,2 Mo">
<!ENTITY readline-version "4.3">
<!ENTITY readline-download-http
"http://ftp.gnu.org/gnu/readline/readline-4.3.tar.gz">
<!ENTITY readline-download-ftp
"ftp://ftp.gnu.org/gnu/readline/readline-4.3.tar.gz">
<!ENTITY readline-download-http "http://ftp.gnu.org/gnu/readline/readline-&readline-version;.tar.gz">
<!ENTITY readline-download-ftp "ftp://ftp.gnu.org/gnu/readline/readline-&readline-version;.tar.gz">
<!ENTITY readline-size "944 Ko">
<!ENTITY readline-buildsize "9,2 Mo">
<!ENTITY readline-time "0,10 SBU">
/trunk/blfs/general/genlib/libxml/libxml-intro.xml
0,0 → 1,20
<sect2>
<title>Introduction à <application>libxml</application></title>
 
<para>Le package <application>libxml</application> contient les bibliothèques
libxml, utiles pour analyser des fichiers <acronym>XML</acronym>.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&libxml-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&libxml-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &libxml-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&libxml-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&libxml-time;</para></listitem></itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/genlib/libxml/libxml-inst.xml
0,0 → 1,12
<sect2>
<title>Installation de <application>libxml</application></title>
 
<para>Installez <application>libxml</application> en lançant les commandes
suivantes&nbsp;:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/genlib/libxml/libxml-desc.xml
0,0 → 1,18
<sect2>
<title>Contenu</title>
 
<para>Le package <application>libxml</application> contient les bibliothèques
<filename>libxml</filename>, <command>xmllint</command> et
<command>xmlcatalog</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>Bibliothèques libxml</title>
<para>Les bibliothèques <filename>libxml</filename> apportent des fonctions aux
programmes souhaitant analyser des fichiers au format <acronym>XML</acronym>.
</para></sect3>
 
</sect2>
 
/trunk/blfs/general/genlib/libxml/libxml.ent
0,0 → 1,10
<!ENTITY libxml SYSTEM "../libxml.xml">
<!ENTITY libxml-intro SYSTEM "libxml-intro.xml">
<!ENTITY libxml-inst SYSTEM "libxml-inst.xml">
<!ENTITY libxml-desc SYSTEM "libxml-desc.xml">
<!ENTITY libxml-version "1.8.17">
<!ENTITY libxml-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxml/1.8/libxml-&libxml-version;.tar.bz2">
<!ENTITY libxml-download-ftp "ftp://ftp.xmlsoft.org/old/libxml-&libxml-version;.tar.gz">
<!ENTITY libxml-size "973 Ko">
<!ENTITY libxml-buildsize "11 Mo">
<!ENTITY libxml-time "0,41 SBU">
/trunk/blfs/general/genlib/ispell/ispell-intro.xml
0,0 → 1,20
<sect2>
<title>Introduction à <application>ispell</application></title>
 
<para>Le package <application>ispell</application> contient un correcteur
orthographique pouvant gérer des langues internationales.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&ispell-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&ispell-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &ispell-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&ispell-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&ispell-time;</para></listitem></itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/genlib/ispell/ispell-inst.xml
0,0 → 1,19
<sect2>
<title>Installation de <application>ispell</application></title>
 
<para>La première étape consiste à créer <filename>local.h</filename>.</para>
 
<screen><userinput><command>sed -e "s:/usr/local:/usr:g" local.h.linux > local.h</command></userinput></screen>
 
<para>Par défaut, <application>ispell</application> installe seulement le
répertoire anglais américain. Pour installer d'autres langages, vérifiez le
fichier <filename>config.X</filename> pour ajouter le define dans
<filename>local.h</filename>.</para>
 
<para>Compilez et installez <application>ispell</application> en utilisant les
commandes suivantes:</para>
<screen><userinput><command>make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/genlib/ispell/ispell-desc.xml
0,0 → 1,7
<sect2>
<title>Contenu</title>
 
<para>Le package <application>ispell</application> contient le programme
<filename>ispell</filename> utilisé pour la correction orthographique.</para>
 
</sect2>
/trunk/blfs/general/genlib/ispell/ispell.ent
0,0 → 1,10
<!ENTITY ispell SYSTEM "../ispell.xml">
<!ENTITY ispell-intro SYSTEM "ispell-intro.xml">
<!ENTITY ispell-inst SYSTEM "ispell-inst.xml">
<!ENTITY ispell-desc SYSTEM "ispell-desc.xml">
<!ENTITY ispell-version "3.2.06.epa6">
<!ENTITY ispell-download-http "http://membled.com/work/patches/ispell/ispell-&ispell-version;.tar.bz2">
<!ENTITY ispell-download-ftp "">
<!ENTITY ispell-size "1,2 Mo">
<!ENTITY ispell-buildsize "11 Mo">
<!ENTITY ispell-time "0,03 SBU">
/trunk/blfs/general/genlib/pcre/pcre-intro.xml
1,11 → 1,11
<sect2>
<title>Introduction à <application>pcre</application></title>
<title>Introduction à <application><acronym>PCRE</acronym></application></title>
 
<para>Le package <application>pcre</application> contient des bibliothèques sur
les expressions régulières compatibles <application>perl</application>. Elles
permettent l'implémentation de recherche sur des modèles d'expressions
régulières, utilisant la même syntaxe et les sémantiques de <application>Perl
5</application>.</para>
<para>Le package <application><acronym>PCRE</acronym></application> contient
des bibliothèques sur les expressions régulières compatibles
<application>perl</application>. Elles permettent l'implémentation de recherche
sur des modèles d'expressions régulières, utilisant la même syntaxe et les
sémantiques de <application>Perl 5</application>.</para>
 
<sect3><title>Information sur le package</title>
<itemizedlist spacing='compact'>
/trunk/blfs/general/genlib/pcre/pcre-inst.xml
1,8 → 1,8
<sect2>
<title>Installation de <application>pcre</application></title>
<title>Installation de <application><acronym>PCRE</acronym></application></title>
 
<para>Installez <application>pcre</application> en lançant les commandes
suivantes:</para>
<para>Installez <application><acronym>PCRE</acronym></application> en lançant
les commandes suivantes&nbsp;:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
/trunk/blfs/general/genlib/pcre/pcre-desc.xml
1,9 → 1,9
<sect2>
<title>Contenu</title>
 
<para>Le package <application>pcre</application> contient les bibliothèques
<filename class='libraryfile'>libpcre</filename>, <command>pcregrep</command>,
<command>pcretest</command> et <userinput>pcre-config</userinput>.</para>
<para>Le package <application><acronym>PCRE</acronym></application> contient
les bibliothèques <filename class='libraryfile'>libpcre</filename>,
<command>pcregrep</command>, <command>pcretest</command> et <userinput>pcre-config</userinput>.</para>
 
</sect2>
 
10,12 → 10,12
<sect2><title>Description</title>
 
<sect3><title>pcregrep</title>
<para><command>pcregrep</command> est un grep qui comprend les expressions
régulières compatibles <application>perl</application>.</para></sect3>
<para><command>pcregrep</command> est un <command>grep</command> qui comprend
les expressions régulières compatibles <application>Perl</application>.</para></sect3>
 
<sect3><title>pcretest</title>
<para><command>pcretest</command> peut tester votre expression régulière
compatible <application>perl</application>.</para></sect3>
compatible <application>Perl</application>.</para></sect3>
 
<sect3><title>pcre-config</title>
<para><filename>pcre-config</filename> est utilisé durant le processus de
/trunk/blfs/general/genlib/pcre/pcre.ent
2,10 → 2,9
<!ENTITY pcre-intro SYSTEM "pcre-intro.xml">
<!ENTITY pcre-inst SYSTEM "pcre-inst.xml">
<!ENTITY pcre-desc SYSTEM "pcre-desc.xml">
<!ENTITY pcre-config SYSTEM "pcre-config.xml">
<!ENTITY pcre-buildsize "2,8 Mo">
<!ENTITY pcre-version "4.3">
<!ENTITY pcre-download-http "">
<!ENTITY pcre-download-ftp "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-4.3.tar.bz2">
<!ENTITY pcre-size "336 Ko">
<!ENTITY pcre-time "0,19 SBU">
<!ENTITY pcre-download-http "http://keihanna.dl.sourceforge.net/sourceforge/pcre/pcre-&pcre-version;.tar.bz2">
<!ENTITY pcre-download-ftp "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-&pcre-version;.tar.bz2">
<!ENTITY pcre-size "332 Ko">
<!ENTITY pcre-buildsize "3,2 Mo">
<!ENTITY pcre-time "0,08 SBU">
/trunk/blfs/general/genlib/slib/slib.ent
2,9 → 2,9
<!ENTITY slib-intro SYSTEM "slib-intro.xml">
<!ENTITY slib-inst SYSTEM "slib-inst.xml">
<!ENTITY slib-desc SYSTEM "slib-desc.xml">
<!ENTITY slib-buildsize "2,9 Mo">
<!ENTITY slib-version "2d5">
<!ENTITY slib-version "2d6">
<!ENTITY slib-download-http "http://www.swiss.ai.mit.edu/ftpdir/scm/slib&slib-version;.tar.gz">
<!ENTITY slib-download-ftp "">
<!ENTITY slib-size "620 Ko">
<!ENTITY slib-time "">
<!ENTITY slib-size "636 Ko">
<!ENTITY slib-buildsize "2,9 Mo">
<!ENTITY slib-time "0,00 SBU">
/trunk/blfs/general/genlib/guile/guile.ent
1,12 → 1,10
<!ENTITY guile SYSTEM "../guile.xml">
<!ENTITY guile-intro SYSTEM "guile-intro.xml">
<!ENTITY guile-inst SYSTEM "guile-inst.xml">
<!ENTITY guile-exp SYSTEM "guile-exp.xml">
<!ENTITY guile-desc SYSTEM "guile-desc.xml">
<!ENTITY guile-config SYSTEM "guile-config.xml">
<!ENTITY guile-buildsize "30 Mo">
<!ENTITY guile-version "1.6.4">
<!ENTITY guile-download-http "http://ftp.gnu.org/pub/gnu/guile/guile-&guile-version;.tar.gz">
<!ENTITY guile-download-ftp "ftp://ftp.gnu.org/pub/gnu/guile/guile-&guile-version;.tar.gz">
<!ENTITY guile-size "2,7 Mo">
<!ENTITY guile-buildsize "30 Mo">
<!ENTITY guile-time "0,79 SBU">
/trunk/blfs/general/genlib/guile/guile-intro.xml
2,8 → 2,9
<title>Introduction à <application>Guile</application></title>
 
<para>Le package <application>Guile</application> contient la bibliothèque
d'extension de langage du projet GNU. <application>Guile</application> contient
aussi l'interpréteur <application>Scheme</application> indépendant.</para>
d'extension de langage du projet <acronym>GNU</acronym>.
<application>Guile</application> contient aussi l'interpréteur
<application>Scheme</application> indépendant.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
/trunk/blfs/general/genlib/gdbm/gdbm-intro.xml
1,9 → 1,13
<sect2>
<title>Introduction à <application>gdbm</application></title>
<title>Introduction à <application><acronym>GDBM</acronym></application></title>
 
<para>Le package <application>gdbm</application> contient la bibliothèque dbm.
Ceci est utile pour les routines de base de données utilisant le hachage
extensible.</para>
<para>Le package <application><acronym>GDBM</acronym></application> contient le
gestionnaire de base de données <acronym>GNU</acronym>.
C'est une base de données de format de fichiers, stockant des paires
clés/données dans des fichiers simples. Les données réelles de chaque
enregistrement en cours de stockage est indexé par une clé unique qui peut être
retrouvé en moins de temps que si elles avaient été stockées dans un fichier
texte.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
/trunk/blfs/general/genlib/gdbm/gdbm-exp.xml
1,11 → 1,11
<sect2>
<title>Explication des commandes</title>
 
<para><command>--infoprefix=/usr/share/info --mandir=/usr/share/man</command> : Ces options modifient le répertoire de
documentation par <filename>/usr/share</filename> au lieu de
<filename>/usr</filename>.</para>
<para><parameter>--infoprefix=/usr/share/info --mandir=/usr/share/man</parameter> : Ces options modifient le répertoire de
documentation par <filename class="directory">/usr/share</filename> au lieu de
<filename class="directory">/usr</filename>.</para>
 
<para><command>BINOWN=root BINGRP=root</command> : Cette commande
<para><parameter>BINOWN=root BINGRP=root</parameter> : Cette commande
change le propriétaire du fichier par root, au lieu de l'utilisateur bin.
</para>
 
/trunk/blfs/general/genlib/gdbm/gdbm-inst.xml
1,8 → 1,8
<sect2>
<title>Installation de <application>gdbm</application></title>
<title>Installation de <application><acronym>GDBM</acronym></application></title>
 
<para>Installez <application>gdbm</application> en lançant les commandes
suivantes:</para>
<para>Installez <application><acronym>GDBM</acronym></application> en lançant
les commandes suivantes:</para>
 
<screen><userinput><command>./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man &amp;&amp;
make &amp;&amp;
9,9 → 9,9
make BINOWN=root BINGRP=root install</command></userinput></screen>
 
<note><para>En plus, la commande suivante installera les entêtes de
comptabilité pour gdbmx. Apache 1.3 a besoin de ces entêtes. Installez les
entêtes de compatibilité en lançant la commande suivante:
</para></note>
comptabilité pour <application><acronym>GDBM</acronym></application>. Apache
1.3 a besoin de ces entêtes. Installez les entêtes de compatibilité en lançant
la commande suivante:</para></note>
 
<screen><userinput><command>make BINOWN=root BINGRP=root install-compat</command></userinput></screen>
 
/trunk/blfs/general/genlib/gdbm/gdbm-desc.xml
1,8 → 1,8
<sect2>
<title>Contenu</title>
 
<para>Le package <application>gdbm</application> contient les bibliothèques
<filename>libgdbm</filename>.</para>
<para>Le package <application><acronym>gdbm</acronym></application> contient
les bibliothèques <filename class="libraryfile">libgdbm</filename>.</para>
 
</sect2>
 
9,9 → 9,9
<sect2><title>Description</title>
 
<sect3><title>Bibliothèque gdbm</title>
<para>Les bibliothèques <filename>libgdbm</filename> contiennent des fonctions
réalisant des routines de base de données en utilisant le hachage extensible.
</para></sect3>
<para>Les bibliothèques <filename class="libraryfile">libgdbm</filename>
contiennent des fonctions réalisant des routines de base de données en
utilisant le hachage extensible.</para></sect3>
 
 
</sect2>
/trunk/blfs/general/genlib/gdbm/gdbm.ent
3,10 → 3,9
<!ENTITY gdbm-inst SYSTEM "gdbm-inst.xml">
<!ENTITY gdbm-exp SYSTEM "gdbm-exp.xml">
<!ENTITY gdbm-desc SYSTEM "gdbm-desc.xml">
<!ENTITY gdbm-config SYSTEM "gdbm-config.xml">
<!ENTITY gdbm-buildsize "4,0 Mo">
<!ENTITY gdbm-version "1.8.3">
<!ENTITY gdbm-download-http "http://www.ibiblio.org/pub/gnu/gdbm/gdbm-1.8.3.tar.gz">
<!ENTITY gdbm-download-ftp "ftp://ftp.gnu.org/gnu/gdbm/gdbm-1.8.3.tar.gz">
<!ENTITY gdbm-size "228 Ko">
<!ENTITY gdbm-download-http "http://www.ibiblio.org/pub/gnu/gdbm/gdbm-&gdbm-version;.tar.gz">
<!ENTITY gdbm-download-ftp "ftp://ftp.gnu.org/gnu/gdbm/gdbm-&gdbm-version;.tar.gz">
<!ENTITY gdbm-size "223 Ko">
<!ENTITY gdbm-buildsize "4,1 Mo">
<!ENTITY gdbm-time "0,08 SBU">
/trunk/blfs/general/general.ent
4,7 → 4,9
<!ENTITY general-genlib SYSTEM "genlib/genlib.xml">
<!ENTITY % openssl SYSTEM "genlib/openssl/openssl.ent">
<!ENTITY % pcre SYSTEM "genlib/pcre/pcre.ent">
<!ENTITY % xmllib SYSTEM "genlib/xmllib/xmllib.ent">
<!ENTITY % libxml SYSTEM "genlib/libxml/libxml.ent">
<!ENTITY % libxml2 SYSTEM "genlib/libxml2/libxml2.ent">
<!ENTITY % libxslt SYSTEM "genlib/libxslt/libxslt.ent">
<!ENTITY % popt SYSTEM "genlib/popt/popt.ent">
<!ENTITY % libfam SYSTEM "genlib/libfam/libfam.ent">
<!ENTITY % slang SYSTEM "genlib/slang/slang.ent">
11,11 → 13,13
<!ENTITY % gmp SYSTEM "genlib/gmp/gmp.ent">
<!ENTITY % gdbm SYSTEM "genlib/gdbm/gdbm.ent">
<!ENTITY % glib SYSTEM "genlib/glib/glib.ent">
<!ENTITY % glib2 SYSTEM "genlib/glib2/glib2.ent">
<!ENTITY % expat SYSTEM "genlib/expat/expat.ent">
<!ENTITY % readline SYSTEM "genlib/readline/readline.ent">
<!ENTITY % libesmtp SYSTEM "genlib/libesmtp/libesmtp.ent">
<!ENTITY % pspell SYSTEM "genlib/pspell/pspell.ent">
<!ENTITY % aspell SYSTEM "genlib/aspell/aspell.ent">
<!ENTITY % ispell SYSTEM "genlib/ispell/ispell.ent">
<!ENTITY % guile SYSTEM "genlib/guile/guile.ent">
<!ENTITY % slib SYSTEM "genlib/slib/slib.ent">
<!ENTITY % gwrap SYSTEM "genlib/gwrap/gwrap.ent">
23,7 → 27,9
<!ENTITY % LZO SYSTEM "genlib/lzo/lzo.ent">
%openssl;
%pcre;
%xmllib;
%libxml;
%libxml2;
%libxslt;
%popt;
%libfam;
%slang;
30,11 → 36,13
%gmp;
%gdbm;
%glib;
%glib2;
%expat;
%readline;
%libesmtp;
%pspell;
%aspell;
%ispell;
%guile;
%slib;
%gwrap;
81,18 → 89,22
<!ENTITY % fcron SYSTEM "sysutils/fcron/fcron.ent">
<!ENTITY % hdparm SYSTEM "sysutils/hdparm/hdparm.ent">
<!ENTITY % which SYSTEM "sysutils/which/which.ent">
<!ENTITY % infozip SYSTEM "sysutils/infozip/infozip.ent">
<!ENTITY % unzip SYSTEM "sysutils/unzip/unzip.ent">
<!ENTITY % zip SYSTEM "sysutils/zip/zip.ent">
<!ENTITY % pciutils SYSTEM "sysutils/pciutils/pciutils.ent">
<!ENTITY % pkgconfig SYSTEM "sysutils/pkgconfig/pkgconfig.ent">
<!ENTITY % cpio SYSTEM "sysutils/cpio/cpio.ent">
<!ENTITY % mc SYSTEM "sysutils/mc/mc.ent">
%gpm;
%fcron;
%hdparm;
%which;
%infozip;
%unzip;
%zip;
%pciutils;
%pkgconfig;
%cpio;
%mc;
 
<!-- Programming -->
<!ENTITY general-prog SYSTEM "prog/prog.xml">
104,6 → 116,8
<!ENTITY % gcc SYSTEM "prog/gcc/gcc.ent">
<!ENTITY % gnat SYSTEM "prog/gcc/gnat.ent">
<!ENTITY % gcc2 SYSTEM "prog/gcc2/gcc2.ent">
<!ENTITY % tcl SYSTEM "prog/tcl/tcl.ent">
<!ENTITY % tk SYSTEM "prog/tk/tk.ent">
<!ENTITY % nasm SYSTEM "prog/nasm/nasm.ent">
%python;
%perl-modules;
113,4 → 127,6
%gnat;
%gcc;
%gcc2;
%tcl;
%tk;
%nasm;
/trunk/blfs/general/prog/ruby.xml
1,6 → 1,6
<sect1 id="ruby" xreflabel="ruby-&ruby-version;">
<?dbhtml filename="ruby.html" dir="general"?>
<title>ruby-&ruby-version;</title>
<title>Ruby-&ruby-version;</title>
 
&ruby-intro;
&ruby-inst;
/trunk/blfs/general/prog/tcl.xml
0,0 → 1,9
<sect1 id="tcl" xreflabel="Tcl-&tcl-version;">
<?dbhtml filename="tcl.html" dir="general"?>
<title>Tcl-&tcl-version;</title>
 
&tcl-intro;
&tcl-inst;
&tcl-exp;
 
</sect1>
/trunk/blfs/general/prog/python/python.ent
1,12 → 1,10
<!ENTITY Python SYSTEM "../python.xml">
<!ENTITY Python-intro SYSTEM "python-intro.xml">
<!ENTITY Python-inst SYSTEM "python-inst.xml">
<!ENTITY Python-exp SYSTEM "python-exp.xml">
<!ENTITY Python-desc SYSTEM "python-desc.xml">
<!ENTITY Python-config SYSTEM "python-config.xml">
<!ENTITY Python-buildsize "69,3 Mo">
<!ENTITY Python-version "2.3">
<!ENTITY Python-download-http "http://www.python.org/ftp/python/2.3/Python-2.3.tgz">
<!ENTITY Python-download-ftp "ftp://ftp.python.org/pub/python/2.3/Python-2.3.tgz">
<!ENTITY Python-size "6,6 Mo">
<!ENTITY Python-time "1,03 SBU">
<!ENTITY Python-version "2.3.2">
<!ENTITY Python-download-http "http://www.python.org/ftp/python/&Python-version;/Python-&Python-version;.tgz">
<!ENTITY Python-download-ftp "ftp://ftp.python.org/pub/python/&Python-version;/Python-&Python-version;.tgz">
<!ENTITY Python-size "8,3 Mo">
<!ENTITY Python-buildsize "68 Mo">
<!ENTITY Python-time "1,33 SBU">
/trunk/blfs/general/prog/python/python-intro.xml
2,9 → 2,9
<title>Introduction à <application>Python</application></title>
 
<para>Le package <application>Python</application> contient l'environnement de
développement python. Il est utile pour la programmation orientée objet,
l'écriture de script, le prototypage de programmes importants ou pour les
développer entièrement.</para>
développement <application>Python</application>. Il est utile pour la
programmation orientée objet, l'écriture de script, le prototypage de programmes
importants ou pour les développer entièrement.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
15,9 → 15,18
<listitem><para>Estimation du temps de construction: &Python-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif requis (HTTP): <ulink
url="&patch-root;/Python-2.3.2-gdbm-2.patch"/></para></listitem>
</itemizedlist>
</sect3>
 
<sect3><title>Dépendances de <application>Python</application></title>
<sect4><title>Optionnel</title>
<para><xref linkend="expat"/></para></sect4>
<para><xref linkend="expat"/>, <xref linkend="tk"/>, <xref
linkend="gdbm"/>, <xref linkend="gmp"/> et <xref linkend="readline"/>
</para></sect4>
</sect3>
 
</sect2>
/trunk/blfs/general/prog/python/python-inst.xml
4,9 → 4,10
<para>Installez <application>Python</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput><command>./configure --prefix=/usr --enable-shared &amp;&amp;
<screen><userinput><command>patch -Np1 -i ../Python-2.3.2-gdbm-2.patch &amp;&amp;
./configure --prefix=/usr --enable-shared &amp;&amp;
make &amp;&amp;
make install </command></userinput></screen></para>
make install </command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/prog/ruby/ruby.ent
1,12 → 1,10
<!ENTITY ruby SYSTEM "../ruby.xml">
<!ENTITY ruby-intro SYSTEM "ruby-intro.xml">
<!ENTITY ruby-inst SYSTEM "ruby-inst.xml">
<!ENTITY ruby-exp SYSTEM "ruby-exp.xml">
<!ENTITY ruby-desc SYSTEM "ruby-desc.xml">
<!ENTITY ruby-config SYSTEM "ruby-config.xml">
<!ENTITY ruby-buildsize "25,6 Mo">
<!ENTITY ruby-version "1.8.0">
<!ENTITY ruby-download-http "">
<!ENTITY ruby-download-ftp "ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.0.tar.gz">
<!ENTITY ruby-download-http "http://rubyforge.org/download.php/34/ruby-&ruby-version;.tar.gz">
<!ENTITY ruby-download-ftp "ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-&ruby-version;.tar.gz">
<!ENTITY ruby-size "1,9 Mo">
<!ENTITY ruby-buildsize "25,6 Mo">
<!ENTITY ruby-time "0,52 SBU">
/trunk/blfs/general/prog/ruby/ruby-intro.xml
1,8 → 1,8
<sect2>
<title>Introduction à ruby</title>
<title>Introduction à <application>Ruby</application></title>
 
<para>Le package ruby contient l'environnement de développement ruby.
Il est utile pour faire des scripts orientés objet.</para>
<para>Le package <application>Ruby</application> contient l'environnement de
développement ruby. Il est utile pour faire des scripts orientés objet.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
/trunk/blfs/general/prog/ruby/ruby-inst.xml
1,7 → 1,7
<sect2>
<title>Installation de <application>ruby</application></title>
<title>Installation de <application>Ruby</application></title>
 
<para>Installez <application>ruby</application> en lançant les commandes suivantes:
<para>Installez <application>Ruby</application> en lançant les commandes suivantes:
</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
/trunk/blfs/general/prog/ruby/ruby-desc.xml
1,7 → 1,7
<sect2>
<title>Contenu</title>
 
<para>Le package <application>ruby</application> contient <command>ruby</command>
<para>Le package <application>Ruby</application> contient <command>ruby</command>
et <command>irb</command>.</para>
 
</sect2>
/trunk/blfs/general/prog/tcl/tcl.ent
0,0 → 1,10
<!ENTITY tcl SYSTEM "../tcl.xml">
<!ENTITY tcl-intro SYSTEM "tcl-intro.xml">
<!ENTITY tcl-inst SYSTEM "tcl-inst.xml">
<!ENTITY tcl-exp SYSTEM "tcl-exp.xml">
<!ENTITY tcl-version "8.4.4">
<!ENTITY tcl-download-http "http://aleron.dl.sourceforge.net/sourceforge/tcl/tcl&tcl-version;-src.tar.gz">
<!ENTITY tcl-download-ftp "">
<!ENTITY tcl-size "3,3 Mo">
<!ENTITY tcl-buildsize "17,1 Mo">
<!ENTITY tcl-time "0,27 SBU">
/trunk/blfs/general/prog/tcl/tcl-intro.xml
0,0 → 1,20
<sect2>
<title>Introduction à <application>Tcl</application></title>
 
<para>Le package <application>Tcl</application> contient le "Tool Command
Language".</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&tcl-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&tcl-download-ftp;"/></para></listitem>
<listitem><para>Download size: &tcl-size;</para></listitem>
<listitem><para>Estimated Disk space required:
&tcl-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&tcl-time;</para></listitem></itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/prog/tcl/tcl-exp.xml
0,0 → 1,18
<sect2>
<title>Explications des commandes</title>
 
<para><command>sed -i ...</command>: Le package <application>Tcl</application>
assume que la source utilisée pour construire <application>Tcl</application> est
toujours gardé autour de la compilation des packages qui dépend de
<application>Tcl</application>. Ces commandes <command>sed</command> suppriment
la référence au répertoire de construction et les remplacent par des
emplacements plus corrects.</para>
 
<para><command>install ...</command>: Ces commandes installent les entêtes
internes dans un emplacement global.</para>
 
<para><command>ln -sf ...</command>: Ces commandes créent des liens symbôliques
compatibles.</para>
 
</sect2>
 
/trunk/blfs/general/prog/tcl/tcl-inst.xml
0,0 → 1,26
<sect2>
<title>Installation de <application>Tcl</application></title>
 
<para>Installez <application>Tcl</application> en lançant les commandes
suivantes:</para>
 
<screen><userinput><command>VERSION=&tcl-version; &amp;&amp;
V=`echo $VERSION | cut -d "." -f 1,2` &amp;&amp;
DIR=$PWD &amp;&amp;
cd unix &amp;&amp;
./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
sed -i "s:${DIR}/unix:/usr/lib:" tclConfig.sh &amp;&amp;
sed -i "s:${DIR}:/usr/include/tcl${V}:" tclConfig.sh &amp;&amp;
sed -i "s,^TCL_LIB_FILE='libtcl${V}..TCL_DBGX..so',TCL_LIB_FILE=\"libtcl${V}\$\{TCL_DBGX\}.so\"," tclConfig.sh &amp;&amp;
make install &amp;&amp;
install -d /usr/include/tcl${V}/unix &amp;&amp;
install -m644 *.h /usr/include/tcl${V}/unix/ &amp;&amp;
install -d /usr/include/tcl${V}/generic &amp;&amp;
install -c -m644 ../generic/*.h /usr/include/tcl${V}/generic/ &amp;&amp;
rm -f /usr/include/tcl${V}/generic/{tcl,tclDecls,tclPlatDecls}.h &amp;&amp;
ln -nsf /usr/include/tcl${V} /usr/lib/tcl${V}/include &amp;&amp;
ln -sf libtcl${V}.so /usr/lib/libtcl.so &amp;&amp;
ln -sf tclsh${V} /usr/bin/tclsh</command></userinput></screen>
 
</sect2>
/trunk/blfs/general/prog/gcc/gcc.ent
1,13 → 1,11
<!ENTITY gcc SYSTEM "../gcc.xml">
<!ENTITY gcc-intro SYSTEM "gcc-intro.xml">
<!ENTITY gcc-inst SYSTEM "gcc-inst.xml">
<!ENTITY gcc-inst1 SYSTEM "gcc-inst1.xml">
<!ENTITY gcc-exp SYSTEM "gcc-exp.xml">
<!ENTITY gcc-desc SYSTEM "gcc-desc.xml">
<!ENTITY gcc-config SYSTEM "gcc-config.xml">
<!ENTITY gcc-buildsize "889 Mo">
<!ENTITY gcc-version "3.3.1">
<!ENTITY gcc-download-http "http://mirrors.rcn.net/pub/sourceware/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
<!ENTITY gcc-download-ftp "ftp://mirrors.rcn.net/pub/sourceware/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
<!ENTITY gcc-size "23 Mo">
<!ENTITY gcc-buildsize "889 Mo">
<!ENTITY gcc-time "29,3 SBU">
/trunk/blfs/general/prog/gcc/gnat-intro.xml
1,14 → 1,9
<sect2>
<title>Introduction à <application>gnat</application> (version binaire)</title>
<para>Si vous pensez compiler Ada, vous aurez besoin d'installer
<application><acronym>GNAT</acronym></application> temporairement pour
satisfaire les dépendances circulaires lorsque vous recompilez
<application><acronym>GCC</acronym></application> pour inclure
<application>Ada</application>.</para>
 
<para>Le package <application>gnat</application> contient un compilateur Ada
précompilé. Ce package est utilisé pour satisfaire la dépendance circulaire
lors de la recompilation de <application>gcc</application> pour inclure ada.
</para>
 
<para>Vous pouvez ne pas faire l'installation de <application>gnat</application>
si vous ne voulez pas recompiler gcc pour y ajouter le support d'ada.</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
22,7 → 17,7
&gnat-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Dépendances de <application>gnat</application></title>
<sect3><title>Dépendances de <application><acronym>GNAT</acronym></application></title>
<sect4><title>Requis</title>
<para><xref linkend="tcsh"/></para></sect4>
</sect3>
/trunk/blfs/general/prog/gcc/gnat-inst.xml
1,15 → 1,15
<sect2>
<title>Installation de <application>gnat</application></title>
<title>Installation de <application><acronym>GNAT</acronym></application></title>
 
<para>Installez <application>gnat</application> en lançant les commandes
suivantes:</para>
<para>Installez <application><acronym>GNAT</acronym></application> en lançant
les commandes suivantes:</para>
 
<screen><userinput><command>./doconfig</command></userinput></screen>
 
<para>Le script ci-dessus vous demandera comment et où vous souhaitez installer
<application>gnat</application>. Pour éviter les conflits avec le système
<command>gcc</command>, le package sera installé dans un répertoire séparé, qui
pourra ensuite être supprimé du système.</para>
<application><acronym>GNAT</acronym></application>. Pour éviter les conflits
avec le système <command>gcc</command>, le package sera installé dans un
répertoire séparé, qui pourra ensuite être supprimé du système.</para>
 
<para>En réponse aux questions posées par le script <command>doconfig</command>,
entrez <userinput>3</userinput> à la première question et
18,13 → 18,8
<para>Pour finir l'installation, lancez </para>
<screen><userinput><command>./doinstall</command></userinput></screen>
 
<para>Le compilateur <application>gnat</application> peut être invoqué en
lançant le binaire gcc par le script ci-dessus. <!-- Pour éviter les conflits
avec le système gcc, nous renommerons la commande gcc. --> </para>
<!-- <screen><userinput><command>cd /opt/gnat/bin &amp;&amp;
mv gcc gnatgcc &amp;&amp;
cd real &amp;&amp;
mv gcc gnatgcc</command></userinput></screen> -->
<para>Le compilateur <application><acronym>GNAT</acronym></application> peut
être invoqué en lançant le binaire gcc par le script ci-dessus.</para>
 
</sect2>
 
/trunk/blfs/general/prog/gcc/gcc-intro.xml
1,8 → 1,11
<sect2>
<title>Introduction à <application>gcc</application></title>
<title>Introduction à <application><acronym>GCC</acronym></application></title>
 
<para>Le package gcc contient des compilateurs GNU. Ceci est utile pour
compiler des programmes écrits en Ada, C, C++, Fortran, Java et Objective C.
<para>Le package <application><acronym>GCC</acronym></application> contient des
compilateurs <acronym>GNU</acronym>. Ceci est utile pour compiler des programmes
écrits en <application>Ada</application>, <application>C</application>,
<application>C++</application>, <application>Fortran</application>,
<application>Java</application> et <application>Objective C</application>.
</para>
 
<sect3><title>Informations sur le package</title>
19,7 → 22,8
</sect3>
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif requis: <ulink url="http://downloads.linuxfromscratch.org/gcc-3.3.1-no_fixincludes-2.patch"/></para></listitem>
<listitem><para>Correctif requis: <ulink url="&patch-root;/gcc-3.3.1-no_fixincludes-2.patch"/></para></listitem>
<listitem><para>Correctif requis: <ulink url="&patch-root;/gcc-3.3.1-suppress-libiberty.patch"/></para></listitem>
</itemizedlist></sect3>
 
</sect2>
/trunk/blfs/general/prog/gcc/gcc-exp.xml
6,17 → 6,18
restauré après installation.</para>
 
<para><command>export PATH=$PATH:/opt/gnat/bin</command> : Cette
commande permet la construction pour trouver le compilateur Ada de gnat
pour construire Ada.</para>
commande permet la construction pour trouver le compilateur
<application>Ada</application> de <application><acronym>GNAT</acronym></application>
pour construire <application>Ada</application>.</para>
 
<para><command>touch treeprs.ads [es]info.h nmake.ad[bs]</command> :
Cette commande crée les fichiers nécessaires pour la construction d'Ada.
Cette étape peut ne pas être réalisée si vous ne voulez pas compiler l'interface
d'ada.</para>
Cette commande crée les fichiers nécessaires pour la construction
d'<application>Ada</application>. Cette étape peut ne pas être réalisée si vous
ne voulez pas compiler l'interfac d'<application>Ada</application>.</para>
 
<para><command>CC=/usr/bin/gcc</command> : Cette commande fonctionne avec le
nouveau <envar>PATH</envar> qui prend le <command>gcc</command> de
<application>gnat</application> comme compilateur primaire.</para>
<application><acronym>GNAT</acronym></application> comme compilateur primaire.</para>
 
<para><command>--enable-languages=c,c++,objc,f77,ada,java</command> :
Cette commande construit tous les langages disponibles dans le package
31,8 → 32,9
un sécurité intrinsèque pour les localedata incomplètes.</para>
 
<para><command>make gnatlib_and tools :</command> Cette commande
complète la construction d'Ada. Ne faites pas cette étape si vous n'avez pas
activé Ada comme langage supporté.</para>
complète la construction d'<application>Ada</application>. Ne faites pas cette
étape si vous n'avez pas activé <application>Ada</application> comme langage
supporté.</para>
 
</sect2>
 
/trunk/blfs/general/prog/gcc/gcc-inst.xml
1,11 → 1,19
<sect2>
<title>Installation de <application>gcc</application></title>
<title>Installation de <application><acronym>GCC</acronym></application></title>
 
&gnat-intro;
</sect2>
 
&gnat-inst;
 
<sect2><title>Retour à l'installation de <application><acronym>GCC</acronym></application></title>
 
<para>Corrigez les fichiers source avec la commande suivante:</para>
<screen><userinput><command>patch -Np1 -i ../gcc-3.3.1-no_fixincludes-2.patch</command></userinput></screen>
<screen><userinput><command>patch -Np1 -i ../gcc-3.3.1-no_fixincludes-2.patch &amp;&amp;
patch -Np1 -i ../gcc-3.3.1-suppress-libiberty.patch</command></userinput></screen>
 
<para>Installez <application>gcc</application> en lançant les commandes
suivantes:</para>
<para>Installez <application><acronym>GCC</acronym></application> en lançant
les commandes suivantes:</para>
 
<screen><userinput><command>PATH_HOLD=$PATH &amp;&amp;
export PATH=/opt/gnat/bin:$PATH &amp;&amp;
23,7 → 31,8
ln -sf g77 /usr/bin/f77 &amp;&amp;
export PATH=$PATH_HOLD</command></userinput></screen>
 
<para>Vous pouvez supprimer l'installation de <application>gnat</application>:
<para>Vous pouvez supprimer l'installation de
<application><acronym>GNAT</acronym></application>:
</para>
<screen><userinput><command>rm -rf /opt/gnat</command></userinput></screen>
 
/trunk/blfs/general/prog/gcc/gcc-desc.xml
1,7 → 1,8
<sect2>
<title>Contenu</title>
 
<para>Le package gcc contient <command>c++</command>,
<para>Le package <application><acronym>GCC</acronym></application> contient
<command>c++</command>,
<command>c++filt</command>, <command>cpp</command>,
<command>g++</command>, <command>g77</command>,
<command>gcc</command>, <command>gccbug</command>,
12,7 → 13,8
<command>gnatlink</command>, <command>gnatls</command>,
<command>gnatmake</command>, <command>gnatprep</command>,
<command>gnatpsta</command>, <command>gnatpsys</command>,
<command>gnatxref</command> et les bibliothèques <filename>gcc</filename>.
<command>gnatxref</command> et les bibliothèques
<application><acronym>GCC</acronym></application>.
</para>
 
</sect2>
20,17 → 22,23
<sect2><title>Description</title>
 
<para>Les programmes et bibliothèques dont les descriptions manquent ont déjà
été décrit dans la page gcc-&gcc-version; de <acronym>LFS</acronym>.</para>
été décrit dans la page <acronym>GCC</acronym>-&gcc-version; de <acronym>LFS</acronym>.</para>
 
<sect3><title>g77</title>
<para><command>g77</command> est le compilateur
<application>Fortran</application> appelé par <command>gcc</command>.</para></sect3>
 
<sect3><title>add2line</title>
<para><command>add2line</command> convertit la forme ASCII des éléments dans un
fichier en forme binaire et les ajoute aux fichiers orbdata.</para></sect3>
<para><command>add2line</command> convertit la forme <acronym>ASCII</acronym>
des éléments dans un fichier en forme binaire et les ajoute aux fichiers orbdata.
</para></sect3>
 
<sect3><title>gcov</title>
<para><command>gcov</command> est un programme de test.</para></sect3>
 
<sect3><title>gdb</title>
<para><command>gdb</command> est le débugger GNAT.</para></sect3>
<para><command>gdb</command> est le déboggueur
<application><acronym>GNAT</acronym></application>.</para></sect3>
 
<sect3><title>gnatbind</title>
<para><command>gnatbind</command> est utilisé pour lier les objets compilés.
37,25 → 45,29
</para></sect3>
 
<sect3><title>gnatbl</title>
<para><command>gnatbl</command> est l'éditeur de liens Ada. </para></sect3>
<para><command>gnatbl</command> est l'éditeur de liens <application>Ada</application>.
</para></sect3>
 
<sect3><title>gnatchop</title>
<para><command>gnatchop</command> est utile pour renommer des fichiers pour
satisfaire les conventions des noms de fichiers par défaut du standard Ada.
satisfaire les conventions des noms de fichiers par défaut du standard
<application>Ada</application>.
</para></sect3>
 
<sect3><title>gnatelim</title>
<para><command>gnatelim</command> est utilisé pour détecter et éliminer les
sous-programmes inutilisés dans une partition Ada.</para></sect3>
sous-programmes inutilisés dans une partition <application>Ada</application>.</para></sect3>
 
<sect3><title>gnatfind</title>
<para><command>gnatfind</command> cherche les définitions GNAT.</para></sect3>
<para><command>gnatfind</command> cherche les définitions
<application><acronym>GNAT</acronym></application>.</para></sect3>
 
<sect3><title>gnatgcc</title>
<para><command>gnatgcc</command> est le compilateur.</para></sect3>
 
<sect3><title>gnathtml.pl</title>
<para><command>gnathtml.pl</command> convertit des fichiers source Ada en html
<para><command>gnathtml.pl</command> convertit des fichiers source
<application>Ada</application> en <acronym>HTML</acronym>
pour les visualiser avec un navigateur web.</para></sect3>
 
<sect3><title>gnatkr</title>
75,12 → 87,14
</para></sect3>
 
<sect3><title>gnatmem</title>
<para><command>gnatmem</command> est un utilitaire GNAT qui enregistre les
<para><command>gnatmem</command> est un utilitaire
<application><acronym>GNAT</acronym></application> qui enregistre les
activités d'allocation et de désallocation dynamique dans un programme.
</para></sect3>
 
<sect3><title>gnatprep</title>
<para><command>gnatprep</command> est le préprocesseur externe GNAT.
<para><command>gnatprep</command> est le préprocesseur externe
<application><acronym>GNAT</acronym></application>.
</para></sect3>
 
<sect3><title>gnatpsta</title>
95,9 → 109,10
<para><command>gnatstub</command> est un générateur 'body stubs'.</para></sect3>
 
<sect3><title>gnatxref</title>
<para><command>gnatxref</command> permet le cross référence GNAT.</para></sect3>
<para><command>gnatxref</command> permet le cross référence <application><acronym>GNAT</acronym></application>.</para></sect3>
 
<sect3><title>gvd</title>
<para><command>gvd</command> est le débugger visuel GNU.</para></sect3>
<para><command>gvd</command> est le débugger visuel
<acronym>GNU</acronym>.</para></sect3>
 
</sect2>
/trunk/blfs/general/prog/gcc/gnat.ent
1,9 → 1,9
<!ENTITY gnat SYSTEM "../gnat.xml">
<!ENTITY gnat-intro SYSTEM "gnat-intro.xml">
<!ENTITY gnat-inst SYSTEM "gnat-inst.xml">
<!ENTITY gnat-buildsize "48,9 Mo">
<!ENTITY gnat-version "3.15p">
<!ENTITY gnat-download-http "">
<!ENTITY gnat-download-ftp "ftp://cs.nyu.edu/pub/gnat/3.15p/gnat-3.15p-i686-pc-redhat71-gnu-bin.tar.gz">
<!ENTITY gnat-size "13,2 Mo">
<!ENTITY gnat-buildsize "48,9 Mo">
<!ENTITY gnat-time "0,01 SBU">
/trunk/blfs/general/prog/nasm/nasm.ent
1,13 → 1,10
<!ENTITY NASM SYSTEM "../nasm.xml">
<!ENTITY NASM-intro SYSTEM "nasm-intro.xml">
<!ENTITY NASM-inst SYSTEM "nasm-inst.xml">
<!ENTITY NASM-exp SYSTEM "nasm-exp.xml">
<!ENTITY NASM-desc SYSTEM "nasm-desc.xml">
<!ENTITY NASM-config SYSTEM "nasm-config.xml">
<!ENTITY NASM-buildsize "7,1 Mo">
<!ENTITY NASM-version "0.98.37">
<!ENTITY NASM-download-http
"http://unc.dl.sourceforge.net/sourceforge/nasm/nasm-&NASM-version;.tar.bz2">
<!ENTITY NASM-download-ftp "">
<!ENTITY NASM-size "524 Ko">
<!ENTITY NASM-time "0,12 SBU">
<!ENTITY NASM-version "0.98.38">
<!ENTITY NASM-download-http "http://unc.dl.sourceforge.net/sourceforge/nasm/nasm-&NASM-version;.tar.bz2">
<!ENTITY NASM-download-ftp "ftp://ftp.iasi.roedu.net/pub/mirrors/download.sourceforge.net/nasm/nasm-&NASM-version;.tar.bz2">
<!ENTITY NASM-size "536 Ko">
<!ENTITY NASM-buildsize "6,3 Mo">
<!ENTITY NASM-time "0,14 SBU">
/trunk/blfs/general/prog/nasm/nasm-intro.xml
1,9 → 1,10
<sect2>
<title>Introduction à <application>NASM</application></title>
 
<para>NASM (l'assembleur Netwide, <foreignphrase>The Netwide
Assembler</foreignphrase>) est un assembleur 80x86 conçu pour sa portabilité et
sa modularité. Il inclut aussi un désassembleur.</para>
<para><application><acronym>NASM</acronym></application> (l'assembleur Netwide,
<foreignphrase>The Netwide Assembler</foreignphrase>) est un assembleur 80x86
conçu pour sa portabilité et sa modularité. Il inclut aussi un désassembleur.
</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
/trunk/blfs/general/prog/nasm/nasm-inst.xml
1,8 → 1,8
<sect2>
<title>Installation of <application>NASM</application></title>
<title>Installation de <application><acronym>NASM</acronym></application></title>
 
<para>Install <application>NASM</application> by running the
following commands:</para>
<para>Installez <application><acronym>NASM</acronym></application> en lançant
les commandes suivantes&nbsp;:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
/trunk/blfs/general/prog/nasm/nasm-desc.xml
1,8 → 1,8
<sect2>
<title>Contents</title>
<title>Contenu</title>
 
<para>The NASM package contains <command>nasm</command> and
<command>ndisasm</command> programs.</para>
<para>Le package <application><acronym>NASM</acronym></application> contient les
programmes <command>nasm</command> et <command>ndisasm</command>.</para>
 
</sect2>
 
9,9 → 9,9
<sect2><title>Description</title>
 
<sect3><title>nasm</title>
<para><command>nasm</command> is a portable 80x86 assembler.</para></sect3>
<para><command>nasm</command> est un assembleur portable 80x86.</para></sect3>
 
<sect3><title>ndisasm</title>
<para><command>ndisasm</command> is an 80x86 binary file disassembler.</para></sect3>
<para><command>ndisasm</command> est un désassembleur de fichiers binaires 80x86.</para></sect3>
 
</sect2>
/trunk/blfs/general/prog/perl/perl-modules-intro.xml
1,16 → 1,25
<sect2>
<title>Introduction aux modules perl</title>
<title>Introduction aux modules <application>Perl</application></title>
 
<para>Le package des modules perl ajoute des objets utiles au langage Perl. Les
modules utilisés par les packages tout au long de BLFS sont listés ici avec
leurs dépendances.</para>
<para>Le package des modules <application>Perl</application> ajoute des objets
utiles au langage <application>Perl</application>. Les modules utilisés par les
packages tout au long de <acronym>BLFS</acronym> sont listés ici avec leurs
dépendances.</para>
 
<screen><ulink url="http://search.cpan.org/CPAN/authors/id/C/CS/CSOE/PDL-&PDL-version;.tar.gz">PDL-&PDL-version;</ulink>
<ulink url="http://search.cpan.org/CPAN/authors/id/A/AA/AALLAN/Astro-FITS-Header-&Astro-FITS-Header-version;.tar.gz">Astro-FITS-Header-&Astro-FITS-Header-version;</ulink>
<ulink url="http://search.cpan.org/CPAN/authors/id/L/LU/LUPUS/Gtk-Perl-&Gtk-Perl-version;.tar.gz">Gtk-Perl-&Gtk-Perl-version;</ulink>
<ulink url="http://search.cpan.org/CPAN/authors/id/D/DM/DMEGG/XML-Writer-&XML-Writer-version;.tar.gz">XML-Writer-&XML-Writer-version;</ulink>
<ulink url="http://search.cpan.org/CPAN/authors/id/C/CO/COOPERCL/XML-Parser-&XML-Parser-version;.tar.gz">XML-Parser-&XML-Parser-version;</ulink>
<ulink url="http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/Parse-RecDescent-&Parse-RecDescent-version;.tar.gz">Parse-RecDescent-&Parse-RecDescent-version;</ulink>
<sect3><title>Packages Perl</title>
<itemizedlist spacing='compact'>
<listitem><para><ulink
url="http://search.cpan.org/CPAN/authors/id/C/CS/CSOE/PDL-&PDL-version;.tar.gz">PDL-&PDL-version;</ulink></para><itemizedlist spacing='compact'>
<listitem><para><ulink
url="http://search.cpan.org/CPAN/authors/id/A/AA/AALLAN/Astro-FITS-Header-&Astro-FITS-Header-version;.tar.gz">Astro-FITS-Header-&Astro-FITS-Header-version;</ulink></para></listitem></itemizedlist></listitem>
<listitem><para><ulink
url="http://search.cpan.org/CPAN/authors/id/L/LU/LUPUS/Gtk-Perl-&Gtk-Perl-version;.tar.gz">Gtk-Perl-&Gtk-Perl-version;</ulink></para><itemizedlist spacing='compact'>
<listitem><para><ulink
url="http://search.cpan.org/CPAN/authors/id/D/DM/DMEGG/XML-Writer-&XML-Writer-version;.tar.gz">XML-Writer-&XML-Writer-version;</ulink></para></listitem>
<listitem><para><ulink url="http://search.cpan.org/CPAN/authors/id/C/CO/COOPERCL/XML-Parser-&XML-Parser-version;.tar.gz">XML-Parser-&XML-Parser-version;</ulink>
</para></listitem></itemizedlist></listitem>
<listitem><para><ulink
url="http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/Parse-RecDescent-&Parse-RecDescent-version;.tar.gz">Parse-RecDescent-&Parse-RecDescent-version;</ulink></para></listitem></itemizedlist>
</screen>
 
</sect2>
/trunk/blfs/general/prog/perl/perl-modules-inst.xml
1,17 → 1,18
<sect2>
<title>Installation des modules perl</title>
<title>Installation des modules <application>Perl</application></title>
 
<para>Installez les modules perl en lançant les commandes suivantes:</para>
<para>Installez les modules <application>Perl</application> en lançant les
commandes suivantes:</para>
 
<para><screen><userinput>perl Makefile.PL &amp;&amp;
<screen><userinput><command>perl Makefile.PL &amp;&amp;
make &amp;&amp;
make install</userinput></screen></para>
make install</command></userinput></screen>
 
<para>Ci-dessous se trouvent les instructions d'installation pour les modules
qui seraient cassés à ce moment.</para>
 
<para>Gtk-Perl-&Gtk-Perl-version;:
<screen><userinput>perl Makefile.PL --without-guessing &amp;&amp;
<para>Gtk-Perl-&Gtk-Perl-version;:</para>
<screen><userinput><command>perl Makefile.PL --without-guessing &amp;&amp;
make
cp Gtk/Makefile Gtk/Makefile.bak &amp;&amp;
sed '/^OBJECT/s/xs/./g' Gtk/Makefile.bak > Gtk/Makefile &amp;&amp;
18,7 → 19,7
cp Gtk/Makefile Gtk/Makefile.bak &amp;&amp;
sed '/^OBJECT/s/build/./g' Gtk/Makefile.bak > Gtk/Makefile &amp;&amp;
make &amp;&amp;
make install</userinput></screen></para>
make install</command></userinput></screen>
 
 
</sect2>
/trunk/blfs/general/prog/perl/perl-modules.ent
1,12 → 1,9
<!ENTITY perl-modules SYSTEM "../perl-modules.xml">
<!ENTITY perl-modules-intro SYSTEM "perl-modules-intro.xml">
<!ENTITY perl-modules-inst SYSTEM "perl-modules-inst.xml">
<!ENTITY perl-modules-exp SYSTEM "perl-modules-exp.xml">
<!ENTITY perl-modules-desc SYSTEM "perl-modules-desc.xml">
<!ENTITY perl-modules-config SYSTEM "perl-modules-config.xml">
<!ENTITY Gtk-Perl-version "0.7008">
<!ENTITY PDL-version "2.3.4">
<!ENTITY PDL-version "2.4.0">
<!ENTITY XML-Parser-version "2.31">
<!ENTITY XML-Writer-version "0.4">
<!ENTITY Astro-FITS-Header-version "2.2">
<!ENTITY Parse-RecDescent-version "1.80">
<!ENTITY Astro-FITS-Header-version "2.7.1">
<!ENTITY Parse-RecDescent-version "1.94">
/trunk/blfs/general/prog/prog.xml
2,6 → 2,11
<?dbhtml filename="prog.html" dir="general"?>
<title>Programmation</title>
 
<para>Un système <acronym>LFS</acronym> est un système de développement, mais
seulement pour le <application>C</application>, <application>C++</application>
et <application>Perl</application>. Ce chapitre étend le nombre de langages
disponibles.</para>
 
&Python;
&perl-modules;
&librep;
8,6 → 13,8
&j2sdk;
&ruby;
&gcc;
&tcl;
&tk;
&gcc2;
&NASM;
 
/trunk/blfs/general/prog/jdk/j2sdk-config.xml
1,24 → 1,25
<sect2>
<title>Configurer j2sdk</title>
<title>Configurer <application>J2SDK</application></title>
 
<sect3><title>Informations de configuration</title>
 
<para>Nous avons deux SDK Java 2 installés dans <filename>/opt/j2sdk</filename>.
Décidez ce que vous souhaitez utiliser par défaut. Par exemple si vous décidez
d'utiliser la source j2sdk, faites la suite:</para>
<para>Nous avons deux <acronym>SDK</acronym> Java 2 installés dans
<filename>/opt/j2sdk</filename>. Décidez ce que vous souhaitez utiliser par
défaut. Par exemple si vous décidez d'utiliser la source
<application>J2SDK</application>, faites la suite:</para>
 
<para><screen><userinput>ln -nsf j2sdk-&j2sdk-src-version; /opt/j2sdk/j2sdk</userinput></screen></para>
<screen><userinput><command>ln -nsf j2sdk-&j2sdk-src-version; /opt/j2sdk/j2sdk</command></userinput></screen>
 
<para>Ajoutez les lignes suivantes à votre fichier de démarrage (c'est-à-dire
<filename>/etc/profile</filename>).</para>
 
<para><screen><userinput>export JAVA_HOME=/opt/j2sdk/j2sdk
export PATH=$PATH:$JAVA_HOME/bin</userinput></screen></para>
<screen><userinput>export JAVA_HOME=/opt/j2sdk/j2sdk
export PATH=$PATH:$JAVA_HOME/bin</userinput></screen>
 
<para>Ajoutez <filename>$JAVA_HOME/man</filename> à votre variable
<envar>MANPATH</envar> ou dans /etc/man.conf.</para>
 
<para>Le plugin java est dans le répertoire
<para>Le plugin <application>Java</application> est dans le répertoire
<filename class="directory">$JAVA_HOME/jre/plugin/i?86/ns610/</filename>. Créez
un lien symbolique vers le fichier dans ce répertoire à partir de votre
répertoire plugins.</para>
/trunk/blfs/general/prog/jdk/j2sdk.ent
2,14 → 2,14
<!ENTITY j2sdk-intro SYSTEM "j2sdk-intro.xml">
<!ENTITY j2sdk-inst SYSTEM "j2sdk-inst.xml">
<!ENTITY j2sdk-exp SYSTEM "j2sdk-exp.xml">
<!ENTITY j2sdk-config SYSTEM "j2sdk-config.xml">
<!ENTITY j2sdk-desc SYSTEM "j2sdk-desc.xml">
<!ENTITY j2sdk-config SYSTEM "j2sdk-config.xml">
<!ENTITY j2sdk-bin-size "59 Mo">
<!ENTITY j2sdk-src-buildsize "1810 Mo">
<!ENTITY j2sdk-src-size "77 Mo">
<!ENTITY j2sdk-bin-version "1.4.1_02">
<!ENTITY j2sdk-bin-version "1.4.2_01">
<!ENTITY j2sdk-src-version "1.4.1">
<!ENTITY j2sdk-download-http "http://freshmeat.net/projects/sunjdk">
<!ENTITY j2sdk-download-ftp "">
<!ENTITY j2sdk-time "169,12 SBU">
<!ENTITY j2sdk-bin-size "59 Mo">
<!ENTITY j2sdk-src-size "77 Mo">
<!ENTITY j2sdk-src-buildsize "1810 Mo">
<!ENTITY j2sdk-time "85 SBU">
 
/trunk/blfs/general/prog/jdk/j2sdk-intro.xml
1,45 → 1,72
<sect2>
<title>Introduction à j2sdk</title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&j2sdk-download-http;"/>
Site de téléchargement (FTP): <ulink url="&j2sdk-download-ftp;"/>
Version utilisée (binaire): &j2sdk-bin-version;
Version utilisée (source): &j2sdk-src-version;
Taille du package (binaire): &j2sdk-bin-size;
Taille du package (source): &j2sdk-src-size;
Estimation de l'espace disque requis: &j2sdk-src-buildsize;</screen>
<para>Le package <application>J2SDK</application> contient l'environnement de
développement <application>Java</application> de Sun. Il est utile pour
développer des programmes <application>Java</application> et fournit
l'environnement d'exécution nécessaire pour faire fonctionner les programmes
<application>Java</application>. Il inclut aussi un plug-in pour les navigateurs
de façon à ce qu'ils comprennent <application>Java</application>.</para>
 
<para>Le package j2sdk contient l'environnement de développement java de Sun.
Cela sert à développer des programmes java et apporte un environnement
d'exécution nécessaire pour lancer les programmes java. Il inclut aussi un
plugin pour que les navigateurs puissent utiliser java.</para>
<para><acronym>JDK</acronym> arrive en deux versions, un binaire précompilé et
un package source. Précédemment, le plug-in inclus dans le package binaire du
<acronym>JDK</acronym> était inutilisable sur <acronym>LFS</acronym> dû aux
incompatibilités avec les navigateurs compilés avec <acronym>GCC</acronym>-3. Ce
n'est plus le cas.</para>
 
<para>Le JDK est disponible en deux versions, un package pour les binaires
pré-compilés et un package pour les sources. Les binaires pré-compilés sont liés
avec les bibliothèques de gcc2. Dû à des problèmes d'incompatibilités entre gcc2
et gcc2, le plugin java pré-compilé peut poser des problèmes lors de son
utilisation avec des packages compilés avec gcc3 (par exemple, mozilla). Le
package des sources nécessite un enregistrement sur le site de développeurs de
Sun ainsi que l'acceptation de la licence Sun (appelée Sun Community Source
License). Le code source ne peut pas être téléchargé à partir de certains pays,
ce qui fait les binaires seront la seule et unique option des utilisateurs de
ces pays.</para>
<para>Le package source requiert de s'enregistrer sur le site développeur de Sun
et d'accepter la licence 'Sun Community Source License'. Le code source ne peut
pas être téléchargé à partir de certains pays, donc, pour les utilisateurs de ce
pays, le binaire est la seule option.</para>
 
<para>Même si vous plannifiez de compiler le source du jdk, vous aurez besoin de
télécharger la version binaire. Suivez le lien ci-dessus pour télécharger les
packages des sources et des binaires. Lors du téléchargement des sources,
téléchargez aussi le package des entêtes de mozilla disponible au même
emplacement.</para>
<para>Même si vous pensez compiler le source <acronym>JDK</acronym>, vous aurez
besoin de télécharger la version binaire pour créer le bootstrap de la
construction du <acronym>JDK</acronym>. Suivez le lien ci-dessous pour
télécharger à la fois le package des sources et celui du binaire. Lors du
téléchargement du source, pensez aussi à télécharger le package d'entêtes de
<application>Mozilla</application> disponible au même endroit.</para>
 
<para>Téléchargez les correctifs pour j2sdk sur <ulink url="&ffile-root;"/>.
</para>
<!--
<para>For users who cannot download the <application>J2SDK</application> source owing to license restrictions, <application>blackdown
</application> has an <acronym>GCC</acronym>-3 based precompiled version.
Check out <ulink url="http://www.blackdown.org/"/> for more
information.</para>
-->
 
<para>Si vous avez des difficultés lors de la construction du jdk, vérifiez les
informations contenues dans l'astuce LFS javafromscratch disponible sur <ulink
url="http://www.linuxfromscratch.org/~tushar/"/>.</para>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&j2sdk-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&j2sdk-download-ftp;"/></para></listitem>
<listitem><para>Version utilisée (binaire):
&j2sdk-bin-version;</para></listitem>
<listitem><para>Taille du téléchargement (binaire): &j2sdk-bin-size;</para></listitem>
<listitem><para>Taille du téléchargement (source): &j2sdk-src-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&j2sdk-src-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&j2sdk-time;</para></listitem></itemizedlist>
</sect3>
 
<screen>j2sdk dépend de:
<xref linkend="xfree86"/>, <xref linkend="zip"/>, <xref linkend="unzip"/>,
<xref linkend="cpio"/>, <xref linkend="tcsh"/> et <xref linkend="gcc2"/></screen>
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-fix-intl-files.patch"/></para></listitem>
<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-gcc33-1.patch"/></para></listitem>
<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-link-missing-libs.patch"/></para></listitem>
<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-motif-mkmsgcat.patch"/></para></listitem>
<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-remove-fixed-paths.patch"/></para></listitem>
<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-syntax-fixes.patch"/></para></listitem>
<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-use-included-motif.patch"/></para></listitem>
</itemizedlist>
</sect3>
 
 
<sect3><title>Dépendances de <application>J2SDK</application></title>
<sect4><title>Requis</title>
<para><xref linkend="xfree86"/>, <xref linkend="zip"/>, <xref
linkend="unzip"/>, <xref linkend="cpio"/> et <xref linkend="tcsh"/>
</para></sect4>
</sect3>
 
</sect2>
/trunk/blfs/general/prog/jdk/j2sdk-exp.xml
1,65 → 1,47
<sect2>
<title>Explication des commandes</title>
 
<para><userinput>T=`grep...</userinput> : Détermine l'endroit où l'archive tar
commence dans l'archive auto-extractible.</para>
<para><command>export ALT_BOOTDIR="$JAVA_HOME"</command> : Cette variable
indique l'emplacement du bootstrap <acronym>JDK</acronym>.</para>
 
<para><userinput>patch -Np1 -i j2sdk-${VERSION}-fix-intl-files.patch</userinput> :
Correctif pour les messages dupliqués dans les fichiers intl.</para>
<para><userinput>patch -Np1 -i j2sdk-${VERSION}-link-missing-libs.patch</userinput> :
Correctif concernant l'ajout des bibliothèques manquantes, corrigeant ainsi les
symbôles non résolus.</para>
<para><userinput>patch -Np1 -i j2sdk-${VERSION}-remove-fixed-paths.patch</userinput> :
La construction veut que les binaires se trouvent dans des emplacements
spécifiques, ce correctif les modifie pour qu'ils utilisent l'environnement
<envar>PATH</envar> actuel et trouvent ainsi les binaires.</para>
<para><userinput>patch -Np1 -i j2sdk-${VERSION}-syntax-fixes.patch</userinput> :
Correctif pour la syntaxe gcc3.</para>
<para><userinput>patch -Np1 -i j2sdk-${VERSION}-use-included-motif.patch</userinput> :
Correctif pour renommer la bibliothèque motif interne dans le but d'éviter les
conflits avec une version installée par le système qui se révèlerait
incompatible.</para>
<para><command>export ALT_MOZILLA_PATH=$PWD</command> : Cette variable
pointe vers l'emplacement où vous avez décompressé les entêtes de
<application>Mozilla</application>.</para>
 
<para><userinput>export ALT_BOOTDIR="$JAVA_HOME"</userinput> : Cette variable
indique l'emplacement du bootstrap JDK.</para>
 
<para><userinput>export ALT_MOZILLA_PATH=$PWD</userinput> : Cette variable
pointe vers l'emplacement où vous avez décompressé les entêtes de mozilla.
</para>
 
<para><userinput>export ALT_DEVTOOLS_PATH="/usr/bin"</userinput> : Ceci modifie
<para><command>export ALT_DEVTOOLS_PATH="/usr/bin"</command> : Ceci modifie
l'emplacement où l'outil de construction trouvera les exécutables nécessaires.
</para>
 
<para><userinput>export BUILD_NUMBER="blfs-`date +%s`"</userinput> : Ceci vous
<para><command>export BUILD_NUMBER="blfs-`date +%s`"</command> : Ceci vous
aidera à identifier la version, utilisée lors de la compilation, de
l'environnement d'exécution et de la machine virtuelle en ajoutant cette
information à la version donnée par "java -version".</para>
information à la version donnée par <command>java -version</command>.</para>
 
<para><userinput>export DEV_ONLY=true</userinput> : Cette commande empêche la
compilation de la documentation et élimine une dépendance pour rpm.</para>
<para><command>export DEV_ONLY=true</command> : Cette commande empêche la
compilation de la documentation et élimine une dépendance pour
<application>rpm</application>.</para>
 
<para><userinput>unset JAVA_HOME</userinput> : Ceci supprime la variable
<para><command>unset JAVA_HOME</command> : Ceci supprime la variable
JAVA_HOME pour prévenir contre un mauvais emplacement lors de la compilation.
</para>
 
<para><userinput>unset CLASSPATH</userinput> : Ceci supprime la variable
<para><command>unset CLASSPATH</command> : Ceci supprime la variable
<envar>CLASSPATH</envar> pour prévenir contre un mauvais emplacement lors de la
compilation.</para>
 
<para><userinput>unset CFLAGS...</userinput> : Ces variables posent problème
<para><command>unset CFLAGS...</command> : Ces variables posent problème
lors de la compilation. Ne jamais les laisser.</para>
 
<para><userinput>export INSANE=true</userinput> : Si vous n'indiquez pas que vous
<para><command>export INSANE=true</command> : Si vous n'indiquez pas que vous
êtes malade, la construction ne continuera pas. La plateforme certifiée pour la
construction est une RedHat 6.1. La variable ci-dessus vous assure que toutes
les erreurs relatives à la compilation sur une plateforme non certifiée seront
changées en messages d'avertissement.</para>
 
<para><userinput>export MAKE_VERBOSE=true</userinput> : Autorise l'affichage de
<para><command>export MAKE_VERBOSE=true</command> : Autorise l'affichage de
l'évolution de la compilation sur la console.</para>
 
<para><userinput>export ALT_CACERTS_FILE...</userinput> Spécifie le certificat
<para><command>export ALT_CACERTS_FILE...</command> : Spécifie le certificat
à utiliser.</para>
 
</sect2>
/trunk/blfs/general/prog/jdk/j2sdk-inst.xml
1,46 → 1,47
<sect2>
<title>Installation de j2sdk</title>
<title>Installation de <application>J2SDK</application></title>
 
<para>Les deux versions seront installées en parallèle. Vous pouvez choisir
d'en garder une ou les deux.</para>
 
<para>Installez la version binaire du jdk en lançant les commandes suivantes:
</para>
<para>L'installation du <acronym>JDK</acronym> précompilé est facile, elle
change le bit d'exécutable pour le fichier téléchargé, va dans le répertoire où
vous souhaitez l'installer et exécute le fichier téléchargé.</para>
 
<para><screen><userinput>VERSION=&j2sdk-bin-version; &amp;&amp;
<screen><userinput><command>VERSION=&j2sdk-bin-version; &amp;&amp;
MV=`echo $VERSION | cut -d "_" -f 1,1` &amp;&amp;
V=`echo ${VERSION} | sed -e "s/\./_/g"` &amp;&amp;
T=`grep -a tail j2sdk-${V}-linux-i?86.bin | cut -f 2 -d " "` &amp;&amp;
tail $T j2sdk-${V}-linux-i?86.bin > install.sfx.$$ &amp;&amp;
chmod +x install.sfx.$$ &amp;&amp;
./install.sfx.$$ &amp;&amp;
chmod +x j2sdk-${V}-linux-i?86.bin &amp;&amp;
./j2sdk-${V}-linux-i?86.bin &amp;&amp;
cd j2sdk${VERSION} &amp;&amp;
install -d /opt/j2sdk/j2sdk-precompiled-${MV} &amp;&amp;
mv * /opt/j2sdk/j2sdk-precompiled-${MV}</userinput></screen></para>
mv * /opt/j2sdk/j2sdk-precompiled-${MV}</command></userinput></screen>
 
<para>La version binaire est maintenant installée.</para>
 
<para>Si vous ne voulez pas compiler les sources, passez directement à la
section de configuration.</para>
<para>Si vous ne voulez pas compiler les sources, ou ne pouvez pas pour des
raisons de licence, passez directement à la section de configuration.</para>
 
<para>Ajoutez le JDK tout juste compilé dans le chemin.</para>
<para>Ajoutez le <acronym>JDK</acronym> tout juste compilé dans le chemin.</para>
<screen><userinput>export JAVA_HOME=/opt/j2sdk/j2sdk-precompiled-${MV} &amp;&amp;
export PATH=$PATH:${JAVA_HOME}/bin</userinput></screen>
 
<para>Décompressez et appliquez le correctif aux sources:</para>
 
<para><screen><userinput>VERSION=&j2sdk-src-version; &amp;&amp;
<screen><userinput><command>VERSION=&j2sdk-src-version; &amp;&amp;
V=`echo $VERSION | sed -e "s/\./_/g"` &amp;&amp;
unzip j2sdk-${V}-src-scsl.zip &amp;&amp;
unzip j2sdk-${V}-mozilla_headers-unix.zip &amp;&amp;
patch -Np1 -i j2sdk-${VERSION}-gcc33-1.patch &amp;&amp;
patch -Np1 -i j2sdk-${VERSION}-fix-intl-files.patch &amp;&amp;
patch -Np1 -i j2sdk-${VERSION}-link-missing-libs.patch &amp;&amp;
patch -Np1 -i j2sdk-${VERSION}-remove-fixed-paths.patch &amp;&amp;
patch -Np1 -i j2sdk-${VERSION}-syntax-fixes.patch &amp;&amp;
patch -Np1 -i j2sdk-${VERSION}-use-included-motif.patch</userinput></screen></para>
patch -Np1 -i j2sdk-${VERSION}-motif-mkmsgcat.patch &amp;&amp;
patch -Np1 -i j2sdk-${VERSION}-use-included-motif.patch</command></userinput></screen>
 
<para>Mettez en place quelques variables qui modifieront la construction:</para>
<para><screen><userinput>export ALT_BOOTDIR="$JAVA_HOME" &amp;&amp;
<screen><userinput><command>export ALT_BOOTDIR="$JAVA_HOME" &amp;&amp;
unset JAVA_HOME &amp;&amp;
unset CLASSPATH
unset CFLAGS
52,28 → 53,31
export ALT_MOZILLA_PATH=$PWD &amp;&amp;
export INSANE=true &amp;&amp;
export MAKE_VERBOSE=true &amp;&amp;
export ALT_CACERTS_FILE=${ALT_BOOTDIR}/jre/lib/security/cacerts</userinput></screen></para>
export ALT_CACERTS_FILE=${ALT_BOOTDIR}/jre/lib/security/cacerts</command></userinput></screen>
 
<para>Le programme motif inclus ne se construit pas correctement avec la
version actuelle de glibc/xfree86. Une solution possible est de construire la
bibliothèque motif avant de compiler j2sdk. Notez que la construction de motif
échoue la première fois à cause de certaines erreurs de syntaxe. La plus simple
solution est d'utiliser la force en relançant la commande make :)</para>
<para>De plus, si vous souhaitez le faire en parallèle, ajoutez ce qui suit
(ajustez <envar>MAKE_PARALLEL</envar> à votre appréciation):</para>
<screen><userinput><command>export HOTSPOT_BUILD_JOBS=$MAKE_PARALLEL</command></userinput></screen>
 
<para><screen><userinput>cd motif/lib/Xm &amp;&amp;
make || make &amp;&amp;
cd ../../..</userinput></screen></para>
<para>Si le <application>Motif</application> inclus ne peut pas être construit
correctement, l'erreur est remarquée plus tard lors de la construction. Une
solution est de construire la bibliothèque <application>Motif</application>
avant de compiler le <application>J2SDK</application>.</para>
 
<para>Lancez le make et installez j2sdk avec les commandes suivantes. Il y aura
un grand nombre de messages sur des fichiers manquants, ressemblant à des
erreurs. Tant que la construction continue, les messages sont sans gravité, donc
ignorez-les.</para>
<screen><userinput><command>cd motif/lib/Xm &amp;&amp;
make &amp;&amp;
cd ../../..</command></userinput></screen>
 
<para><screen><userinput>cd control/make &amp;&amp;
<para>Construisez et installez <application>J2SDK</application> avec les
commandes suivantes. Il y aura beaucoup de messages sur des fichiers manquants,
messages ressemblant à des erreurs. Tant que le construction continue, les
messages ne sont pas gênants, donc ignorez-les.</para>
 
<screen><userinput><command>cd control/make &amp;&amp;
make &amp;&amp;
cd ../.. &amp;&amp;
cd control/build/linux-i?86 &amp;&amp;
cp -a j2sdk-image /opt/j2sdk/j2sdk-&j2sdk-src-version;</userinput></screen></para>
cp -a j2sdk-image /opt/j2sdk/j2sdk-&j2sdk-src-version;</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/prog/jdk/j2sdk-desc.xml
1,7 → 1,7
<sect2>
<title>Contenu</title>
 
<para>e package j2sdk contient <userinput>appletviewer</userinput>,
<para>Le package <application>J2SDK</application> contient <userinput>appletviewer</userinput>,
<userinput>extcheck</userinput>, <userinput>idlj</userinput>,
<userinput>jar</userinput>, <userinput>jarsigner</userinput>,
<userinput>java</userinput>, <userinput>javac</userinput>,
19,91 → 19,99
<sect2><title>Description</title>
 
<sect3><title>appletviewer</title>
<para>appletviewer lance des applets Java en dehors du contexte d'un
navigateur.</para></sect3>
<para><command>appletviewer</command> lance des applets <application>Java</application>
en dehors du contexte d'un navigateur.</para></sect3>
 
<sect3><title>extcheck</title>
<para>extcheck vérifie à partir d'un fichier jar spécifié les conflits par
rapport à son nom et à sa version avec toutes les extensions installées par
le JDK.</para></sect3>
<para><command>extcheck</command> vérifie à partir d'un fichier jar spécifié les
conflits par rapport à son nom et à sa version avec toutes les extensions
installées par le <acronym>JDK</acronym>.</para></sect3>
 
<sect3><title>idlj</title>
<para>idlj génère des bindings Java à partir d'un fichier IDL donné.
<para><command>idlj</command> génère des bindings <application>Java</application>
à partir d'un fichier <acronym>IDL</acronym> donné.
</para></sect3>
 
<sect3><title>jar</title>
<para>jar combine plusieurs fichiers en une seule archive JAR</para></sect3>
<para><command>jar</command> combine plusieurs fichiers en une seule archive
<acronym>JAR</acronym>.</para></sect3>
 
<sect3><title>jarsigner</title>
<para>jarsigner signe les fichiers JAR (Java ARchive) et vérifie les
signatures et l'intégrité d'un JAR signé.</para></sect3>
<para><command>jarsigner</command> signe les fichiers <acronym>JAR</acronym>
(<application>Java</application> ARchive) et vérifie les signatures et
l'intégrité d'un <acronym>JAR</acronym> signé.</para></sect3>
 
<sect3><title>java</title>
<para>java lance une application Java en démarrant l'environnement
d'exécution, en chargeant la classe spécifiée et en indiquant la
méthode principale de cette classe.</para></sect3>
<para><command>java</command> lance une application
<application>Java</application> en démarrant l'environnement d'exécution,
en chargeant la classe spécifiée et en indiquant la méthode principale de
cette classe.</para></sect3>
 
<sect3><title>javac</title>
<para>javac lit les définitions de classe et d'interface, écrit en Java,
et les compile en fichiers bytecode.</para></sect3>
<para><command>javac</command> lit les définitions de classe et d'interface,
écrit en <application>Java</application>, et les compile en fichiers bytecode.
</para></sect3>
 
<sect3><title>javadoc</title>
<para>javadoc parcourt les déclarations et les commentaires de documentation
dans un ensemble de fichiers source et produit un ensemble correspondant
de pages HTML, décrivant les classes, interfaces, construteurs, méthodes
et champs.</para></sect3>
<para><command>javadoc</command> parcourt les déclarations et les commentaires
de documentation dans un ensemble de fichiers source et produit un ensemble
correspondant de pages HTML, décrivant les classes, interfaces, construteurs,
méthodes et champs.</para></sect3>
 
<sect3><title>javah</title>
<para>javah génère les fichiers source et entête C, nécessaire
<para><command>javah</command> génère les fichiers source et entête C, nécessaire
pour l'implémentation des méthodes natives.</para></sect3>
 
<sect3><title>javap</title>
<para>javap déassemble un fichier classe Java.</para></sect3>
<para><command>javap</command> déassemble un fichier classe <application>Java</application>.</para></sect3>
 
<sect3><title>jdb</title>
<para>jdb est un simple debugger en ligne de commandes pour les
classes Java.</para></sect3>
<para><command>jdb</command> est un simple debugger en ligne de commandes pour les
classes <application>Java</application>.</para></sect3>
 
<sect3><title>keytool</title>
<para>keytool est un utilitaire de gestion de clé et de certificat.</para></sect3>
<para><command>keytool</command> est un utilitaire de gestion de clé et de
certificat.</para></sect3>
 
<sect3><title>native2ascii</title>
<para>native2ascii convertit les fichiers contenant un encodage de caractères
non supporté en un fichier contenant des caractères encodés en Latin-1 ou en
Unicode.</para></sect3>
<para><command>native2ascii</command> convertit les fichiers contenant un
encodage de caractères non supporté en un fichier contenant des caractères
encodés en Latin-1 ou en Unicode.</para></sect3>
 
<sect3><title>orbd</title>
<para>orbd est utilisé poru permettre aux clients de trouver et invoquer de
manière transparente des objets persistants sur des serveurs avec
<para><command>orbd</command> est utilisé pour permettre aux clients de trouver
et invoquer de manière transparente des objets persistants sur des serveurs avec
l'environnement CORBA.</para></sect3>
 
<sect3><title>policytool</title>
<para>policytool crée et gère un fichier de règles, graphiquement.</para></sect3>
<para><command>policytool</command> crée et gère un fichier de règles,
graphiquement.</para></sect3>
 
<sect3><title>rmic</title>
<para>rmic génère des squelettes de fichiers de classe pour des objets
distants à partir des noms de classes Java compilés, contenant des
implémentations d'objets distants.</para></sect3>
<para><command>rmic</command> génère des squelettes de fichiers de classe pour
des objets distants à partir des noms de classes <application>Java</application>
compilés, contenant des implémentations d'objets distants.</para></sect3>
 
<sect3><title>rmid</title>
<para>rmid démarre un démon d'activation système.</para></sect3>
<para><command>rmid</command> démarre un démon d'activation système.</para></sect3>
 
<sect3><title>rmiregistry</title>
<para>rmiregistry crée et démarre un registre d'objets distants sur un
port spécifié sur l'hôte courant.</para></sect3>
<para><command>rmiregistry</command> crée et démarre un registre d'objets
distants sur un port spécifié sur l'hôte courant.</para></sect3>
 
<sect3><title>serialver</title>
<para>serialver retourne la variable serialVersionUID pour un ou plusieurs
classes dans un format convenable pour être copié dans une classe.</para></sect3>
<para><command>serialver</command> retourne la variable serialVersionUID pour un
ou plusieurs classes dans un format convenable pour être copié dans une classe.
</para></sect3>
 
<sect3><title>servertool</title>
<para>servertool procure une interface facile à utiliser pour les programmeurs
d'applications, pour leur permettre d'enregistrer, supprimer, démarrer et arrêter
un serveur.</para></sect3>
<para><command>servertool</command> procure une interface facile à utiliser
pour les programmeurs d'applications, pour leur permettre d'enregistrer,
supprimer, démarrer et arrêter un serveur.</para></sect3>
 
<sect3><title>tnameserv</title>
<para>tnameserv démarre le serveur de nom Java IDL.</para></sect3>
<para><command>tnameserv</command> démarre le serveur de nom
<application>Java</application> <acronym>IDL</acronym>.</para></sect3>
 
 
</sect2>
 
/trunk/blfs/general/prog/j2sdk.xml
1,6 → 1,6
<sect1 id="j2sdk" xreflabel="j2sdk-&j2sdk-src-version;">
<?dbhtml filename="j2sdk.html" dir="general"?>
<title>j2sdk-&j2sdk-src-version;</title>
<title>J2SDK-&j2sdk-src-version;</title>
 
&j2sdk-intro;
&j2sdk-inst;
/trunk/blfs/general/prog/librep/librep.ent
3,10 → 3,10
<!ENTITY librep-inst SYSTEM "librep-inst.xml">
<!ENTITY librep-exp SYSTEM "librep-exp.xml">
<!ENTITY librep-desc SYSTEM "librep-desc.xml">
<!ENTITY librep-config SYSTEM "librep-config.xml">
<!ENTITY librep-buildsize "9,1 Mo">
<!ENTITY librep-version "0.16.2">
<!ENTITY librep-download-http "http://telia.dl.sourceforge.net/sourceforge/librep/librep-0.16.2.tar.gz">
<!ENTITY librep-download-http
"http://telia.dl.sourceforge.net/sourceforge/librep/librep-&librep-version;.tar.gz">
<!ENTITY librep-download-ftp "">
<!ENTITY librep-size "896 Ko">
<!ENTITY librep-buildsize "9,1 Mo">
<!ENTITY librep-time "0,52 SBU">
/trunk/blfs/general/prog/librep/librep-exp.xml
1,9 → 1,9
<sect2>
<title>Explications des commandes</title>
 
<para><command>--libexec=/usr/lib</command> : Cette commande installe
les fichiers dans <filename>/usr/lib/rep</filename> au lieu de
<filename>/user/libexec/rep</filename>.</para>
<para><parameter>--libexec=/usr/lib</parameter> : Cette commande installe
les fichiers dans <filename class="directory">/usr/lib/rep</filename> au lieu de
<filename class="directory">/user/libexec/rep</filename>.</para>
 
</sect2>
 
/trunk/blfs/general/prog/gcc2.xml
1,6 → 1,6
<sect1 id="gcc2" xreflabel="gcc-&gcc2-version;">
<?dbhtml filename="gcc2.html" dir="general"?>
<title>gcc-&gcc2-version;</title>
<title>GCC-&gcc2-version;</title>
 
&gcc2-intro;
&gcc2-inst;
/trunk/blfs/general/prog/tk.xml
0,0 → 1,9
<sect1 id="tk" xreflabel="Tk-&tk-version;">
<?dbhtml filename="tk.html" dir="general"?>
<title>Tk-&tk-version;</title>
 
&tk-intro;
&tk-inst;
&tk-exp;
 
</sect1>
/trunk/blfs/general/prog/gcc2/gcc2-config.xml
1,5 → 1,5
<sect2>
<title>Configurer gcc</title>
<title>Configurer <application><acronym>GCC</acronym></application></title>
 
<sect3><title>Informations de configuration</title>
 
6,16 → 6,17
&library-config;
 
<para>Les instructions données ci-dessus créent des liens symboliques de
compatibilités que les packages précompilés de BLFS nécessitent. Vous pouvez
créer des liens supplémentaires basés sur vos besoins.</para>
compatibilités que les packages précompilés de <acronym>BLFS</acronym>
nécessitent. Vous pouvez créer des liens supplémentaires basés sur vos besoins.
</para>
 
<para>Si vous avez seulement besoin des bibliothèques gcc-&gcc2-version;, vous
pouvez supprimer <filename>/opt/gcc2</filename>.</para>
<para>Si vous avez seulement besoin des bibliothèques GCC-&gcc2-version;, vous
pouvez supprimer <filename>/opt/gcc&gcc2-version;</filename>.</para>
 
<para>A chaque fois que vous aurez besoin de gcc-&gcc2-version; au lieu du
<para>A chaque fois que vous aurez besoin de GCC-&gcc2-version; au lieu du
compilateur de votre système, ajoutez <filename
class="directory">/opt/gcc2/bin</filename> au début de votre <envar>PATH</envar>
avant de compiler le package concerné.</para>
class="directory">/opt/gcc&gcc2-version;/bin</filename> au début de votre
<envar>PATH</envar> avant de compiler le package concerné.</para>
 
</sect3>
 
/trunk/blfs/general/prog/gcc2/gcc2.ent
1,10 → 1,11
<!ENTITY gcc2 SYSTEM "../gcc2.xml">
<!ENTITY gcc2-intro SYSTEM "gcc2-intro.xml">
<!ENTITY gcc2-inst SYSTEM "gcc2-inst.xml">
<!ENTITY gcc2-config SYSTEM "gcc2-config.xml">
<!ENTITY gcc2-desc SYSTEM "gcc2-desc.xml">
<!ENTITY gcc2-config SYSTEM "gcc2-config.xml">
<!ENTITY gcc2-buildsize "104 Mo">
<!ENTITY gcc2-version "2.95.3">
<!ENTITY gcc2-download-ftp "ftp://ftp.gnu.org/gnu/gcc/gcc-&gcc2-version;.tar.gz">
<!ENTITY gcc2-download-http "http://ftp.gnu.org/gnu/gcc/gcc-&gcc2-version;.tar.gz">
<!ENTITY gcc2-size "7 Mo">
<!ENTITY gcc2-size "9,4 Mo">
<!ENTITY gcc2-buildsize "150 Mo">
<!ENTITY gcc2-time "2,60 SBU">
/trunk/blfs/general/prog/gcc2/gcc2-intro.xml
1,19 → 1,35
<sect2>
<title>Introduction à gcc-&gcc2-version;</title>
<title>Introduction to <application><acronym>GCC</acronym></application>-&gcc2-version;</title>
 
<screen>Site de téléchargement (FTP): <ulink url="&gcc2-download-ftp;"/>
Version utilisée: &gcc2-version;
Taille du package: &gcc2-size;
Estimation de l'espace disque requis: &gcc2-buildsize;</screen>
<para>Il existe deux raisons pour installer <acronym>GCC</acronym>-&gcc2-version;.
La première est que les développeurs du noyau ont certifié que
<acronym>GCC</acronym>-&gcc2-version; était leur compilateur préféré pour la
compilation du noyau. L'autre raison (plus attrayante) est que certains packages
commerciaux à sources fermés et pré-compilés (comme Netscape Navigator, Yahoo
Pager) sont liés avec des bibliothèques <acronym>GCC</acronym>-&gcc2-version;.
</para>
 
<para>Il existe deux raisons pour installer gcc-&gcc2-version;. La première est
que les développeurs du noyau ont certifié que gcc-&gcc2-version; était leur
compilateur préféré pour la compilation du noyau. L'autre raison (plus
attrayante) est que certains packages commerciaux à sources fermés et
pré-compilés (comme Netscape Navigator, Yahoo Pager) sont liés avec des
bibliothèques gcc-&gcc2-version;.</para>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&gcc2-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&gcc2-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &gcc2-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&gcc2-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&gcc2-time;</para></listitem></itemizedlist>
</sect3>
 
<para>Téléchargez les correctifs gcc à partir de <ulink url="&hfile-root;"/>.
</para>
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para><ulink url="&patch-root;/gcc-2.95.3-2.patch"/></para></listitem>
<listitem><para><ulink url="&patch-root;/gcc-2.95.3-no-fixinc.patch"/></para></listitem>
<listitem><para><ulink url="&patch-root;/gcc-2.95.3-returntype-fix.patch"/></para></listitem>
</itemizedlist>
</sect3>
 
 
 
</sect2>
/trunk/blfs/general/prog/gcc2/gcc2-inst.xml
1,49 → 1,46
<sect2>
<title>Installation de gcc</title>
<title>Installation de <application><acronym>GCC</acronym></application></title>
 
<para>Appliquez les deux correctifs, l'un pour corriger la compilation et
l'autre pour empêcher le script fixincludes de s'exécuter.</para>
<para>Appliquez les correctifs&nbsp;:</para>
 
<para><screen><userinput>patch -Np1 -i ../gcc-&gcc2-version;-1.patch &amp;&amp;
patch -Np1 -i ../gcc-&gcc2-version;-no-fixinc.patch</userinput></screen></para>
<screen><userinput><command>patch -Np1 -i ../gcc-&gcc2-version;-2.patch &amp;&amp;
patch -Np1 -i ../gcc-&gcc2-version;-no-fixinc.patch &amp;&amp;
patch -Np1 -i ../gcc-&gcc2-version;-returntype-fix.patch</command></userinput></screen>
 
<para>L'équipe de développement de gcc recommende de construire dans un
répertoire séparé.</para>
<para>L'équipe de développement de <acronym>GCC</acronym> recommende de
construire dans un répertoire séparé.</para>
 
<para><screen><userinput>mkdir ../gcc-build &amp;&amp;
cd ../gcc-build</userinput></screen></para>
<screen><userinput><command>mkdir ../gcc-build &amp;&amp;
cd ../gcc-build</command></userinput></screen>
 
<para>Configurez gcc pour ne construire que les compilateurs c et c++ et activez
les options en relation avec c++.</para>
<para><screen><userinput>../gcc-&gcc2-version;/configure \
--prefix=/opt/gcc2 \
<para>Configurez <acronym>GCC</acronym> pour construire les compilateurs
<application>C</application> et <application>C++</application> et activez
les options relatives <application>C++</application>.</para>
<screen><userinput><command>../gcc-&gcc2-version;/configure \
--prefix=/opt/gcc-&gcc2-version; \
--enable-shared --enable-languages=c,c++ \
--enable-threads=posix</userinput></screen></para>
--enable-threads=posix</command></userinput></screen>
 
<para>Compilez et installez gcc, puis supprimez les répertoires inutiles
(ajustez le tripé machine pour qu'ils correspondent à votre architecture).
</para>
<para><screen><userinput>make bootstrap &amp;&amp;
make install &amp;&amp;
ln -sf gcc /opt/gcc2/bin/cc &amp;&amp;
rm -rf /opt/gcc2/{i686-pc-linux-gnu,info,man}</userinput></screen></para>
<para>Compilez et installez <acronym>GCC</acronym>:</para>
<screen><userinput><command>make bootstrap &amp;&amp;
make install</command></userinput></screen>
 
<para>Assurez-vous que la bibliothèque a bien été installé.</para>
<para><screen><userinput>L=`find /opt/gcc2/lib -name "*libstdc++*.so" -type f` &amp;&amp;
IL=`basename $L`</userinput></screen></para>
<para>Prenez note de la bibliothèque installée.</para>
<screen><userinput><command>L=`find /opt/gcc-&gcc2-version;/lib -name "*libstdc++*.so" -type f` &amp;&amp;
IL=`basename $L`</command></userinput></screen>
 
<para>Déplacez les bibliothèques c++ dans le répertoire standard lib pour
éviter d'avoir à ajouter <filename>/opt/gcc2/lib</filename> à
<filename>/etc/ld.so.conf</filename>.
</para>
<para>Déplacez les bibliothèques <application>C++</application> vers le
répertoire standard des bibliothèques pour éviter d'avoir à ajouter
<userinput>/opt/gcc-&gcc2-version;/lib</userinput> à
<filename>/etc/ld.so.conf</filename>.</para>
 
<para><screen><userinput>for i in /opt/gcc2/lib/*.so*; do mv -f $i /usr/lib;
ln -sf /usr/lib/`basename $i` /opt/gcc2/lib; done</userinput></screen></para>
<screen><userinput><command>for i in /opt/gcc-&gcc2-version;/lib/*.so*; do mv -f $i /usr/lib;
ln -sf /usr/lib/`basename $i` /opt/gcc-&gcc2-version;/lib; done</command></userinput></screen>
 
<para>Créez les liens symboliques requis par les packages commerciaux
pré-compilés.</para>
<para><screen><userinput>ln -sf $IL /usr/lib/libstdc++-libc6.1-1.so.2 &amp;&amp;
<para>Créez les liens symboliques requis par les packages commerciaux et
précompilés.</para>
<screen><userinput><command>ln -sf $IL /usr/lib/libstdc++-libc6.1-1.so.2 &amp;&amp;
ln -sf $IL /usr/lib/libstdc++-libc6.2-2.so.3 &amp;&amp;
ln -sf $IL /usr/lib/libstdc++-libc6.3-2.so.3</userinput></screen></para>
ln -sf $IL /usr/lib/libstdc++-libc6.3-2.so.3</command></userinput></screen>
 
</sect2>
/trunk/blfs/general/prog/gcc2/gcc2-desc.xml
1,9 → 1,10
<sect2>
<title>Contenu</title>
 
<para>Le package gcc-&gcc2-version; contient les <userinput>compilateurs
gcc-&gcc2-version; c et c++</userinput> et <userinput>gcc-&gcc2-version;
libstdc++.so</userinput> requis par certains packages commerciaux pré-compilés.
<para>Le package gcc-&gcc2-version; contient les compilateurs
<command>gcc</command>-&gcc2-version; <application>C</application> et
<application>C++</application> ainsi que GCC-&gcc2-version;
<filename>libstdc++.so</filename> requis par certains packages commerciaux pré-compilés.
</para>
 
</sect2>
/trunk/blfs/general/prog/tk/tk.ent
0,0 → 1,10
<!ENTITY tk SYSTEM "../tk.xml">
<!ENTITY tk-intro SYSTEM "tk-intro.xml">
<!ENTITY tk-inst SYSTEM "tk-inst.xml">
<!ENTITY tk-exp SYSTEM "tk-exp.xml">
<!ENTITY tk-version "8.4.4">
<!ENTITY tk-download-http "http://aleron.dl.sourceforge.net/sourceforge/tcl/tk&tk-version;-src.tar.gz">
<!ENTITY tk-download-ftp "">
<!ENTITY tk-size "3,1 Mo">
<!ENTITY tk-buildsize "17,4 Mo">
<!ENTITY tk-time "0,41 SBU">
/trunk/blfs/general/prog/tk/tk-intro.xml
0,0 → 1,25
<sect2>
<title>Introduction à <application>Tk</application></title>
 
<para>Le package <application>Tk</application> contient
<acronym>TCL</acronym> (<acronym>GUI</acronym> Toolkit).</para>
 
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&tk-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&tk-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &tk-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&tk-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&tk-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Dépendances de <application>Tk</application></title>
<sect4><title>Requis</title>
<para><xref linkend="xfree86"/> et <xref linkend="tcl"/></para></sect4>
</sect3>
 
</sect2>
/trunk/blfs/general/prog/tk/tk-exp.xml
0,0 → 1,18
<sect2>
<title>Explications des commandes</title>
 
<para><command>sed -i ...</command>: Le package <application>Tk</application>
assume que la source utilisée pour construire <application>Tk</application> est
toujours gardée pour compiler des packages qui dépend de
<application>Tk</application>. Ces commandes <command>sed</command> suppriment
la référence vers le répertoire de construction et les remplacent par des
emplacements globaux.</para>
 
<para><command>install ...</command>: Ces commandes installent les entêtes
internes à un emplacement global.</para>
 
<para><command>ln -sf ...</command>: Ces commandes créent des liens symboliques
de compatibilité.</para>
 
</sect2>
 
/trunk/blfs/general/prog/tk/tk-inst.xml
0,0 → 1,24
<sect2>
<title>Installation de <application>Tk</application></title>
 
<para>Installez <application>Tk</application> en lançant les commandes suivantes:</para>
 
<screen><userinput><command>VERSION=&tk-version; &amp;&amp;
V=`echo $VERSION | cut -d "." -f 1,2` &amp;&amp;
DIR=$PWD &amp;&amp;
cd unix &amp;&amp;
./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
sed -i "s:${DIR}/unix:/usr/lib:" tkConfig.sh &amp;&amp;
sed -i "s:${DIR}:/usr/include/tk${V}:" tkConfig.sh &amp;&amp;
make install &amp;&amp;
install -d /usr/include/tk${V}/unix &amp;&amp;
install -m644 *.h /usr/include/tk${V}/unix/ &amp;&amp;
install -d /usr/include/tk${V}/generic &amp;&amp;
install -m644 ../generic/*.h /usr/include/tk${V}/generic/ &amp;&amp;
rm -f /usr/include/tk${V}/generic/{tk,tkDecls,tkPlatDecls}.h &amp;&amp;
ln -nsf /usr/include/tk${V} /usr/lib/tk${V}/include &amp;&amp;
ln -sf libtk${V}.so /usr/lib/libtk.so &amp;&amp;
ln -sf wish${V} /usr/bin/wish</command></userinput></screen>
 
</sect2>
/trunk/blfs/general/graphlib/libtiff/libtiff.ent
2,11 → 2,11
<!ENTITY libtiff-intro SYSTEM "libtiff-intro.xml">
<!ENTITY libtiff-inst SYSTEM "libtiff-inst.xml">
<!ENTITY libtiff-exp SYSTEM "libtiff-exp.xml">
<!ENTITY libtiff-config SYSTEM "libtiff-config.xml">
<!ENTITY libtiff-desc SYSTEM "libtiff-desc.xml">
<!ENTITY libtiff-config SYSTEM "libtiff-config.xml">
<!ENTITY libtiff-buildsize "5,9 Mo">
<!ENTITY libtiff-version "3.5.7">
<!ENTITY libtiff-download-http "">
<!ENTITY libtiff-download-ftp "ftp://ftp.remotesensing.org/pub/libtiff/tiff-v3.5.7.tar.gz">
<!ENTITY libtiff-size "928 Ko">
<!ENTITY libtiff-time "0,26 SBU">
<!ENTITY libtiff-version "3.6.0">
<!ENTITY libtiff-download-http "http://gd.tuwien.ac.at/hci/windowmaker/libs/tiff-v&libtiff-version;.tar.gz">
<!ENTITY libtiff-download-ftp "ftp://ftp.remotesensing.org/pub/libtiff/tiff-v&libtiff-version;.tar.gz">
<!ENTITY libtiff-size "1 Mo">
<!ENTITY libtiff-buildsize "10,0 Mo">
<!ENTITY libtiff-time "0,15 SBU">
/trunk/blfs/general/graphlib/libtiff/libtiff-exp.xml
1,16 → 1,16
<sect2>
<title>Explication des commandes</title>
 
<para><command>--noninteractive</command> : Cette option
<para><option>--noninteractive</option> : Cette option
est utilisée pour empêcher le script de demander confirmation
pour les répertoires d'installation (que nous indiquons à
configure avec d'autres options).</para>
 
<para><command>--with-DIR_MAN=/usr/share/man</command> : Ceci est
<para><parameter>--with-DIR_MAN=/usr/share/man</parameter> : Ceci est
utilisé parce que, malgré le fait que nous donnons
<command>--prefix=/usr</command>, la routine configure essaie d'installer
les pages man dans <filename>/usr/local/man</filename> au lieu du bon
emplacement.</para>
<parameter>--prefix=/usr</parameter>, la routine configure essaie d'installer
les pages man dans <filename class="directory">/usr/local/man</filename> au lieu
du bon emplacement.</para>
 
</sect2>
 
/trunk/blfs/general/graphlib/libtiff/libtiff-inst.xml
4,10 → 4,10
<para>Installez <application>libtiff</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput><command>./configure --prefix=/usr --noninteractive \
<screen><userinput><command>./configure --prefix=/usr --noninteractive \
--with-DIR_MAN=/usr/share/man &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/graphlib/libtiff/libtiff-desc.xml
19,7 → 19,7
 
<sect3><title>fax2ps</title>
<para><command>fac2ps</command> convertit un facsimile <acronym>TIFF</acronym>
en un fichier postscript compressé.</para></sect3>
en un fichier PostScript compressé.</para></sect3>
 
<sect3><title>fax2tiff</title>
<para><command>fax2tiff</command> crée un fichier <acronym>TIFF</acronym> de
56,7 → 56,7
 
<sect3><title>tiff2ps</title>
<para><command>tiff2ps</command> convertit une image <acronym>TIFF</acronym> en
un fichier postscript.</para></sect3>
un fichier PostScript.</para></sect3>
 
<sect3><title>tiff2rgba</title>
<para>Aucune description disponible.</para></sect3>
/trunk/blfs/general/graphlib/directfb/directfb.ent
1,13 → 1,11
<!ENTITY DirectFB SYSTEM "../directfb.xml">
<!ENTITY DirectFB-intro SYSTEM "directfb-intro.xml">
<!ENTITY DirectFB-inst SYSTEM "directfb-inst.xml">
<!ENTITY DirectFB-exp SYSTEM "directfb-exp.xml">
<!ENTITY DirectFB-config SYSTEM "directfb-config.xml">
<!ENTITY DirectFB-desc SYSTEM "directfb-desc.xml">
<!ENTITY DirectFB-config SYSTEM "directfb-config.xml">
<!ENTITY DirectFB-buildsize "13,8 Mo">
<!ENTITY DirectFB-version "0.9.19">
<!ENTITY DirectFB-download-http
"http://www.directfb.org/download/DirectFB/DirectFB-&DirectFB-version;.tar.gz">
<!ENTITY DirectFB-download-ftp "">
<!ENTITY DirectFB-download-http "http://www.directfb.org/download/DirectFB/DirectFB-&DirectFB-version;.tar.gz">
<!ENTITY DirectFB-download-ftp "ftp://ftp.lug.udel.edu/pub/linux/distributions/gentoo/distfiles/DirectFB-&DirectFB-version;.tar.gz">
<!ENTITY DirectFB-size "1,1 Mo">
<!ENTITY DirectFB-buildsize "13,8 Mo">
<!ENTITY DirectFB-time "0,51 SBU">
/trunk/blfs/general/graphlib/directfb/directfb-inst.xml
21,4 → 21,10
make &amp;&amp;
make install</command></userinput></screen>
 
<note><para>La version actuelle d'avifile ne fonctionne pas avec DirectFB. Vous
devez utiliser la version d'avifile, disponible sur
<ulink url="http://www.directfb.org/download/contrib/"/> ou, sinon, désactiver le
fournisseur de vidéo avifile en appelant configure avec
<command>--disable-avifile</command>.</para></note>
 
</sect2>
/trunk/blfs/general/graphlib/svgalib/svgalib-intro.xml
15,4 → 15,9
<listitem><para>Estimation du temps de construction: &SVGAlib-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Téléchargement supplémentaire</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink url="&patch-root;/svgalib-1.4.3-gcc3-1.patch"/></para></listitem>
</itemizedlist></sect3>
 
</sect2>
/trunk/blfs/general/graphlib/svgalib/svgalib-exp.xml
2,7 → 2,8
<title>Explication des commandes</title>
 
<para><command>cd doc &amp;&amp; for dir in man?; do for file in $dir/*; do
gunzip /usr/share/man/$file; done; done</command> : SVGAlib installe ses pages
gunzip /usr/share/man/$file; done; done</command> :
<application>SVGAlib</application> installe ses pages
man au format compressé, donc nous les décompressons.</para>
 
</sect2>
/trunk/blfs/general/graphlib/svgalib/svgalib-inst.xml
3,15 → 3,16
 
<note><para>Vous devez compiler et installer en tant que root. Si vous ne le
faites pas, rien ne grave ne se passe pendant la compilation, mais certains
outils ne pourront pas avoir le bit setuid requis pour le bon fonctionnement du
package. Néanmoins, ceci indique un problème d'exposition du système à des
failles de sécurité pour ces outils qui pourraient être utilisés pour obtenir
un accès root, donc à utiliser avec précaution.</para></note>
outils ne pourront pas avoir le bit <acronym>SUID</acronym> requis pour le bon
fonctionnement du package. Néanmoins, ceci indique un problème d'exposition du
système à des failles de sécurité pour ces outils qui pourraient être utilisés
pour obtenir un accès root, donc à utiliser avec précaution.</para></note>
 
<para>Installez <application>SVGAlib</application> en lançant les commandes
suivantes:</para>
 
<screen><userinput><command>make prefix=/usr install &amp;&amp;
<screen><userinput><command>patch -Np1 -i ../svgalib-1.4.3-gcc3-1.patch &amp;&amp;
make prefix=/usr install &amp;&amp;
cd doc &amp;&amp;
for dir in man?; do for file in $dir/*; do \
gunzip /usr/share/man/$file; done; done</command></userinput></screen>
/trunk/blfs/general/graphlib/svgalib/svgalib-desc.xml
26,7 → 26,7
pilote svgalib du composant graphique.</para></sect3>
<sect3><title>mode3</title>
<para><command>mode3</command> passe en mode vesa.</para></sect3>
<para><command>mode3</command> passe en mode <acronym>VESA</acronym>.</para></sect3>
<sect3><title>restorefont</title>
<para><command>restorefont</command> sauvegarde ou restaure la police
/trunk/blfs/general/graphlib/svgalib/svgalib.ent
2,11 → 2,11
<!ENTITY SVGAlib-intro SYSTEM "svgalib-intro.xml">
<!ENTITY SVGAlib-inst SYSTEM "svgalib-inst.xml">
<!ENTITY SVGAlib-exp SYSTEM "svgalib-exp.xml">
<!ENTITY SVGAlib-config SYSTEM "svgalib-config.xml">
<!ENTITY SVGAlib-desc SYSTEM "svgalib-desc.xml">
<!ENTITY SVGAlib-config SYSTEM "svgalib-config.xml">
<!ENTITY SVGAlib-buildsize "9,7 Mo">
<!ENTITY SVGAlib-version "1.4.3">
<!ENTITY SVGAlib-download-http "http://www.svgalib.org/svgalib-&SVGAlib-version;.tar.gz">
<!ENTITY SVGAlib-download-ftp "">
<!ENTITY SVGAlib-download-ftp "ftp://ftp.ibiblio.org/pub/Linux/libs/graphics/svgalib-&SVGAlib-version;.tar.gz">
<!ENTITY SVGAlib-size "827 Ko">
<!ENTITY SVGAlib-buildsize "9,7 Mo">
<!ENTITY SVGAlib-time "0,20 SBU">
/trunk/blfs/general/graphlib/imlib/imlib.ent
3,9 → 3,9
<!ENTITY imlib-inst SYSTEM "imlib-inst.xml">
<!ENTITY imlib-desc SYSTEM "imlib-desc.xml">
<!ENTITY imlib-exp SYSTEM "imlib-exp.xml">
<!ENTITY imlib-config SYSTEM "imlib-config.xml">
<!ENTITY imlib-buildsize "8,6 Mo">
<!ENTITY imlib-version "1.9.14">
<!ENTITY imlib-download-http "">
<!ENTITY imlib-download-ftp "ftp://ftp.gnome.org/pub/GNOME/stable/sources/imlib/imlib-1.9.14.tar.gz">
<!ENTITY imlib-size "736 Ko">
<!ENTITY imlib-download-http "http://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/imlib-&imlib-version;.tar.bz2">
<!ENTITY imlib-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/imlib-&imlib-version;.tar.bz2">
<!ENTITY imlib-size "580 Ko">
<!ENTITY imlib-buildsize "16,4 Mo">
<!ENTITY imlib-time "0,43 SBU">
/trunk/blfs/general/graphlib/imlib/imlib-intro.xml
1,19 → 1,29
<sect2>
<title>Introduction à imlib</title>
<title>Introduction à <application>Imlib</application></title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&imlib-download-http;"/>
Site de téléchargement (FTP): <ulink url= "&imlib-download-ftp;"/>
Version utilisée: &imlib-version;
Taille du package: &imlib-size;
Estimation de l'espace disque requis: &imlib-buildsize;</screen>
<para>Le package <application>Imlib</application> contient des bibliothèques de
manipulation d'images. Leur utilité consiste au chargement, au rendu et au
manipulation d'une grande variété de formats d'images.</para>
 
<para>Le package imlib contient des bibliothèques de fonctions sur les images.
Elles sont utiles pour charger, afficher une grande variété de formats d'image.
</para>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&imlib-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&imlib-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &imlib-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&imlib-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&imlib-time;</para></listitem></itemizedlist>
</sect3>
<sect3><title>Dépendances d'<application>Imlib</application></title>
<sect4><title>Requis</title>
<para><xref linkend="xfree86"/>, <xref linkend="libjpeg"/>, <xref
linkend="libtiff"/>,<xref linkend="libungif"/>, <xref linkend="libpng"/>
et <xref linkend="GTK"/></para></sect4>
</sect3>
 
<screen>imlib dépend de
<xref linkend="xfree86"/>, <xref linkend="libjpeg"/>, <xref linkend="libtiff"/>,
<xref linkend="libungif"/>, <xref linkend="libpng"/> et
<xref linkend="GTK"/>.</screen>
 
</sect2>
/trunk/blfs/general/graphlib/imlib/imlib-exp.xml
1,10 → 1,10
<sect2>
<title>Explication des commandes</title>
<para><userinput>CPPFLAGS=-w</userinput> : Ceci désactive les messages
d'avertissement de gcc 3.2.1, qui importune configure.</para>
<!-- <para><userinput>CPPFLAGS=-w</userinput> : Ceci désactive les messages
d'avertissement de gcc 3.2.1, qui importune configure.</para> -->
 
<para><userinput>--sysconfdir=/etc/imlib</userinput> : Ceci installe et
combine les fichiers de configuration dans <filename>/etc</filename>
au lieu de <filename>/usr/etc</filename>.</para>
<para><parameter>--sysconfdir=/etc/imlib</parameter> : Ceci installe et
combine les fichiers de configuration dans <filename class="directory">/etc</filename>
au lieu de <filename class="directory">/usr/etc</filename>.</para>
</sect2>
/trunk/blfs/general/graphlib/imlib/imlib-inst.xml
1,10 → 1,11
<sect2>
<title>Installer imlib</title>
<title>Installer <application>Imlib</application></title>
 
<para>Installez imlib en lançant les commandes suivantes:</para>
<para>Installez <application>Imlib</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput>CPPFLAGS=-w ./configure --prefix=/usr --sysconfdir=/etc/imlib &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc/imlib &amp;&amp;
make &amp;&amp;
make install</userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
/trunk/blfs/general/graphlib/imlib/imlib-desc.xml
1,7 → 1,8
<sect2>
<title>Contenu</title>
 
<para>Le package imlib contient les bibliothèques <filename>libimlib</filename>.
<para>Le package <application>Imlib</application> contient les bibliothèques
<filename>libimlib</filename>.
</para>
 
</sect2>
9,8 → 10,9
<sect2><title>Description</title>
 
<sect3><title>Bibliothèques imlib</title>
<para>imlib propose aux programmes des fonctions d'affichage et d'édition de
fichiers images, dont le format peut être très varié.</para></sect3>
<para><application>Imlib</application> propose aux programmes des fonctions
d'affichage et d'édition de fichiers images, dont le format peut être très
varié.</para></sect3>
 
 
</sect2>
/trunk/blfs/general/graphlib/lcms/lcms.ent
3,10 → 3,9
<!ENTITY lcms-inst SYSTEM "lcms-inst.xml">
<!ENTITY lcms-exp SYSTEM "lcms-exp.xml">
<!ENTITY lcms-desc SYSTEM "lcms-desc.xml">
<!ENTITY lcms-config SYSTEM "lcms-config.xml">
<!ENTITY lcms-buildsize "6,9 Mo">
<!ENTITY lcms-version "1.10">
<!ENTITY lcms-version "1.11">
<!ENTITY lcms-download-http "http://www.littlecms.com/lcms-&lcms-version;.tar.gz">
<!ENTITY lcms-download-ftp "">
<!ENTITY lcms-size "232 Ko">
<!ENTITY lcms-time "0,29 SBU">
<!ENTITY lcms-download-ftp "ftp://sunsite.ccu.edu.tw/pub12/sourceforge/l/lcms/lcms-&lcms-version;.tar.gz">
<!ENTITY lcms-size "276 Ko">
<!ENTITY lcms-buildsize "8,5 Mo">
<!ENTITY lcms-time "0,19 SBU">
/trunk/blfs/general/graphlib/lcms/lcms-inst.xml
4,9 → 4,11
<para>Installez <application>lcms</application> en lançant les commandes
suivantes:</para>
 
<screen><userinput><command>make &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
<!--
<para>Les instructions ci-dessus termine l'installation pour la plupart des
utilisateurs. Pour les utilisateurs intéressés par la conversion d'images, ce
package inclut deux utilitaires qui peuvent être d'une certaine aide. Cette
16,16 → 18,17
 
<screen><userinput><command>make utils</command></userinput></screen>
 
<para><application>lcms</application> inclut maintenant un module python qui
vous permet d'utiliser lcms à partir de <application>Python</application>. Cette
commande requiert que <xref linkend="Python"/> et <ulink
url="http://www.swig.org">SWIG</ulink> soient déjà installés. Ce module est
construit avec la commande suivante:</para>
<para><application>lcms</application> inclut maintenant un module
<application>Python</application> qui vous permet d'utiliser lcms à partir de
<application>Python</application>. Cette commande requiert que <xref
linkend="Python"/> et <ulink url="http://www.swig.org">SWIG</ulink> soient déjà
installés. Ce module est construit avec la commande suivante:</para>
 
<screen><userinput><command>make CC=g++ python</command></userinput></screen>
 
<para>L'installation finale de ce module semble être laissée non terminée parce
qu'un programmeur Python devrait savoir quoi faire ensuite.</para>
-->
 
</sect2>
 
/trunk/blfs/general/graphlib/libungif/libungif.ent
2,10 → 2,9
<!ENTITY libungif-intro SYSTEM "libungif-intro.xml">
<!ENTITY libungif-inst SYSTEM "libungif-inst.xml">
<!ENTITY libungif-desc SYSTEM "libungif-desc.xml">
<!ENTITY libungif-config SYSTEM "libungif-config.xml">
<!ENTITY libungif-buildsize "3,1 Mo">
<!ENTITY libungif-version "4.1.0b1">
<!ENTITY libungif-download-http "http://www.linuxpackages.net/packages/Slackware-8/robert/libungif-4.1.0b1/source/libungif-4.1.0b1.tar.gz">
<!ENTITY libungif-download-ftp "">
<!ENTITY libungif-download-http "http://ftp.sunfreeware.com/ftp/pub/freeware/SOURCES/libungif-&libungif-version;.tar.gz">
<!ENTITY libungif-download-ftp "ftp://sunfreeware.secsup.org/pub/solaris/freeware/SOURCES/libungif-&libungif-version;.tar.gz">
<!ENTITY libungif-size "343 Ko">
<!ENTITY libungif-time "0,24 SBU">
<!ENTITY libungif-buildsize "3,1 Mo">
<!ENTITY libungif-time "0,11 SBU">
/trunk/blfs/general/graphlib/libungif/libungif-intro.xml
1,28 → 1,38
<sect2>
<title>Introduction à libungif</title>
<title>Introduction à <application>libungif</application></title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&libungif-download-http;"/>
Site de téléchargement (FTP): <ulink url="&libungif-download-ftp;"/>
Version utilisée: &libungif-version;
Taille du package: &libungif-size;
Estimation de l'espace disque requis: &libungif-buildsize;
Estimation du temps de construction: &libungif-time;</screen>
<para>Le package libungif contient des bibliothèques de lecture du format
<acronym>GIF</acronym> et d'écriture au même format mais non compressé ainsi que
des programmes de conversion et de manipulation de fichiers <acronym>GIF</acronym>.
Ces bibliothèques sont utiles pour tout programme graphique souhaitant gérer des
fichiers <acronym>GIF</acronym> alors que les programmes sont nécessaires aux
conversions ainsi qu'au nettoyage des images.</para>
 
<para>Le package libungif contient des bibliothèques pour lire tous les
gifs et écrire des gifs sans compression, ainsi que des programmes pour
convertir et travailler avec des fichiers gif. Les bibliothèques sont
utiles pour tout programme graphique souhaitant gérer les fichiers
gif alors que les programmes sont utiles pour réaliser des conversions
ou pour réparer des images.</para>
<para>La raison pour laquelle libungif écrit uniquement des
<acronym>GIF</acronym> non compressés est dûe au problème légal avec la
compression <acronym>LZW</acronym> (pour laquelle Unisys détient un brevet).
Lire des fichiers <acronym>GIF</acronym> n'est pas un problème car les routines
de décompression ne semblent pas être limitées de cette façon. Notez que ceci a
fait l'objet de débats dans le passé. La meilleure façon d'éviter tout ceci est
d'utiliser simplement libungif pour regarder des images <acronym>GIF</acronym>
sur le web, et que pour toute page que vous concevez, vous utilisiez le format
libre <acronym>PNG</acronym> à la place (qui utilise, logiquement, la
bibliothèque libpng) pour lequel aucun brevet n'existe.</para>
 
<para>La raison pour laquelle libungif n'écrit que des gifs non compressés
est qu'il existe des droits avec la compression LZW (Unisys réclame les
droits en question). Lire des gifs n'est pas un problème car les routines
de décompression ne semblent pas être limitées de cette façon. Notez que
ceci a été discuté dans le passe. Le meilleur moyen d'éviter tous ces
problèmes est simplement d'utiliser libungif pour visualiser les images
gif sur le web, et pour chaque page que vous créez, d'utiliser le format
open source png (qui utilise, quelle surprise, la bibliothèque libpng), qui
n'est aucunement limitée par des questions de droits.</para>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink url="&libungif-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink url="&libungif-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &libungif-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis: &libungif-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction: &libungif-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif requis: <ulink
url="&patch-root;/libungif-4.1.0b1-va_start.patch"/></para></listitem>
</itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/graphlib/libungif/libungif-inst.xml
1,16 → 1,20
<sect2>
<title>Installer libungif</title>
<title>Installer <application>libungif</application></title>
 
<para>Installez libungif en lançant les commandes suivantes:</para>
<para>Installez <application>libungif</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>patch -Np1 -i ../libungif-4.1.0b1-va_start.patch &amp;&amp;
./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</userinput></screen></para>
make install</command></userinput></screen>
 
<!--
<note><para>Si vous obtenez une erreur durant la compilation de
<filename>lib/qprinf.c</filename>, éditez le fichier et mettez en commentaires,
ou supprimez, la ligne 14: #include &lt;config.h&gt;
</para></note>
-->
 
</sect2>
 
/trunk/blfs/general/graphlib/libungif/libungif-desc.xml
31,7 → 31,8
PostScript.</para></sect3>
 
<sect3><title>gif2rgb</title>
<para>Convertit les images <acronym>GIF</acronym> en images RGB 24-bit.</para></sect3>
<para>Convertit les images <acronym>GIF</acronym> en images
<acronym>RGB</acronym> 24 bits.</para></sect3>
 
<sect3><title>gifasm</title>
<para>Assemble de multiples <acronym>GIF</acronym> en un seul, ou crée une multiple-image <acronym>GIF</acronym>.
/trunk/blfs/general/graphlib/aalib/aalib-intro.xml
1,70 → 1,25
<sect2>
<title>Introduction à aalib</title>
<title>Introduction à <application>AAlib</application></title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&aalib-download-http;"/>
Site de téléchargement (FTP): <ulink url="&aalib-download-ftp;"/>
Version utilisée: &aalib-version;
Taille du package: &aalib-size;
Estimation de l'espace disque requis: &aalib-buildsize;
Estimation du temps de construction: &aalib-time;</screen>
<para><application>AAlib</application> est une bibliothèque de rendu de
graphique en art <acronym>ASCII</acronym>.</para>
 
<para>aalib est une bibliothèque permettant de transformer tout graphique en art
ascii.</para>
 
<screen>aalib utilisera
<xref linkend="xfree86"/></screen>
 
<!--
<sect3>
<title>Exemple</title>
<para>
<screen>????????????????????????????????????????????????????????????????????????????????
??????????????XXXXXXXXXXXS2liiIvxlviiiiiiMXXmmoY*v=wWmwZX=mUSX=XXMMMIoXX1Q3XSXXX
XXXXXXXXXXXXXXXXXXXXXXXXXX2WmQxoooovxoooz:MZovvvnvvnnSQQQdS2nn=MMMSMI2S2iiXXSXXX
XXXXXXXXXXXXXXXXXXXXXXXXXX2WMQoXXXXXXXXXoIQp2Zqp=Xu=MWW|QmmuvnnZMmZMxo2ei{XXSXXX
XXXXXXXXXXXXXXXXXXXXXXXXXX2mMxXZZZZZZZZZXxXiWWMWmmmQQiiQix%mXn=ZWQmQnoolW3XXSXXX
XXXXXXXXXXXXXXXXXXXXXXXXXS1MmoXZZZMMMMMMmonXiXimWQlxIaauxxovmXX=XWmi21*QvYv=XXXZ
XXXXXXXXXXXXXXXXXXXXXXXXSSem(SXZZZZMMMMMMMMmwoaaivXqXZZXXX2ximUZZMMV1nQvlggssXmX
XXXXXXXXXXXXXXXXXXXXXXXXSSemiXXZZZZMMMMMMmmmMMMMmdXXZZZZXXolimMMdZZSmInu2S22222o
XXXXXXXXXXXXXXXXXXXXXXXSSSoQ{XXZZZZMMMMMMmMMmMMMMMMMMMZXXSniQmZmQMZxno222S22o222
XXXXXXXXXXXXXXXXXXXXXXSSSSSixXXZZZZMMMMMMMMMMMMMMMMMMMZXXSolWZZMZX=MM""M!**I1non
XXXXXXXXXXXXXXXXXXXXXXSSSSSc{XXXXZZMMMMMMMMMMMMMMMMMMZZZX2oxiX=X=nnw;.:::;===?"M
XXXXXXXXXXXXXXXXXXXXXXSSSSSz]XZZZZMMMMMMMMMMMMMMMMMMZZZZXSonxMn=nqunp::.._ill(:u
XXXXXXXXXXXXXXXXXXXXSSSSSSSo]ZXXZZZMMMMMMMMMMMMMMMZZZZXXX2nnn)vvnXxSoYVQiIv11non
XXXXXXXXXXXXXXXXXXXSSSSSSSSexnxlMQIYXMMMMMMMMMZXSY111nSYSonnnsvlQd2XX=;-+||+|{XS
XXXXXXXXXXXXXXXXXXSSSSSSSSSnoSXZZmoaXSXZZZMZZXonauXmZmXXoxnnnx23xSXX[:;+|||||||+
XXXXXXXXXXXXXXXXXXSSSSSSSSSoSoX1@nS)M1oSXZZZXXXXSZXXXSXXXXonnvXxmXZXL((xuvI:||||
XXXXXXXXXXXXXXXXXSSSSSSSSS2SXXni3MzgnSn2XMMZXXSnwz)qQ*oXSXXonni2ZXX}=+-??++H{Soo
XXXXXXXXXXXXXXXXSSSSSSSS2222XXXSXoXXZZMXdMZXXZXoXAuxXouSXXX2nvlCXSX(qgmggguuxY+M
XXXXXXXXXXXXXXXXSSSSSSSS2222XXXXXXXXZZZSZMZXXXZXXZZMZZXXXZXSnvxXZS2IM{vn2oo1iimu
XXXXXXXXXXXXXXSSSSSSS2222222XXXXXXXXZXSXMMZXXXZMZZZMZZZZZZXSnvxXXXE=+-??9HNMIxox
XXXXXXXXXXXXXXSSSSSSSS22222o2XXZZZZZZX2ZMMZXXXZMMMMMMZZZZZXSvvxXZM:::::;;:;^9+N*
XXXXXXXXXXXXXXSSSSSSSS22222ooXXZZMMMMXSZMZZXXXMMMMMMMZZZZZXSvl)i||+||||||||||++=
XXXXXXXXXXSSSSSSSSS22222222ooSXZZZMMMXXZMZZXSSXMMMMMMZZZZZXovvE|ii|i:::((||x;(ux
XXXXXXXXXXSSSSSSSS22222222ooo2XZZZMMZXXMMMZZXX2MMMMMMZZZZZXonlE=||||(ii3QXi)WcQQ
XXXXXXXXXXSSSSSSSS222222ooooooSXZZZZMSXZMMZXXXSMMMMMMZZXXXXovlE=|||ii::lQzvXMkXY
XXXXSSXXSSXSSSSSS2222222ooooonSXZXXZZZXXXXwZXZMMMMMMMMZXXXXovIE||i::::iiXvXv:l|M
XXXXXSSSSSSSSSSS222222oooooonnnSX2nSSXo2ZMZMXSXXZZZMMZZZXXXovxk||:iiii:iiiiiiii{
XXXXXSSSSSSSSSSS22222ooooooonnn2XXoSXXXXZZXZXXXXXXSXMZZXXXSovok++i:::::::::iivv:
XXXSSSSSSSSSSSSS22222o2ooooonnnnSXXXoxv1Ixon1I*1SXZdMZXXXS2oXoxXavvvvIv::ii||iix
XXXXSSSSSSSSS22222222oooooonnnnnnSXXSoooSooooonoXZMZZXXXXS2XX2qWmmaaaXXsxssxxxxx
XXXSSSSSSSSSS22222ooooooooonnnnnnnSSXXX2o2o2SXXXZZZZZXXXSSmZXSWWWWmBmmqwoooooooo
XXSSSSSSSSSSS22222ooooooooonnnnvqmm2SXXXXSXXZZZZZZXXXXXSXMZZmWWWWWWmmmmMmmoooooo
XXXXSSSSSSS222222ooooooooonnqgmWWQQ2oXXXXXXXXZZZXXXXXXXmMMZmWWWWWWWBmmWWmMMX2222
SSSSSSSS2S22S22222oooooqgmmWWWQQQQWmxSXXXZZZZZZXX1XSXwMZMmQWQQWWWWWmmBmmmmMmZmwX
XSSSSS2222222222o2oqgmWWQQWWQQQQQQQAoI1nX23XXXXnnl3wMMMmQQQQWWWWWWmmmmmmmmmmmMmm
SSSS2S2222222222mmWWQWQQQQQQQQQQQQBXMoilIxxSS21IlxqMMMmQQQQWWWWWBBmmmMMMMMmWWWBm
SS222222222222qQWQQQQQQQQQQQQQQQQQMMMMoaXiiIIvxxwXZMMQQQQWWWWWWWWBmmmMMmmBWBWmBW
SSS2222222222qWWWQQQQQQQQQQQQQQQQQMmmMMZZZmmqqmZMMMQQQQWWWWWWWWWWWmmmmBWWBWWWWWW
SSS222222222XWWWWWQQQQQQQQQQQQQQQWMmmmMXZMMMMMMMMmQQQQWWWWWWWWWWWWBBmWWWWWQWQQQW
SSS222ooo222WWWWWWQQWQQQQQQQQQQQWWMmmmMZZMMMMMMmQQQQQWWWWQWWWWWWmBWmWWWWWQQWQQQQ
222222oooooqWWWWWWQQWWQQQQQQQQQQWWQmmmMMMMMMMmQQQQQQQQWQQWWWWQWWWWWWQWWWQQQQQQWQ
222222oooooWWWWWWWQQQQQQQQQQQQQQWWWWWmMMMMmQQQQQQQQQQWQQWWWWQWWWWWWQQWQQQQQQQWQQ
222222oooomWWWWQWQWWQQQQQQQQQQQQQQWQQWmMmQQQQQQQQQQQWQQWWWWWQWWWWQQQQWQQQQWQWQQQ
</screen>
Cet exemple montre l'éditeur en Art Ascii.</para>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&aalib-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&aalib-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &aalib-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&aalib-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&aalib-time;</para></listitem></itemizedlist>
</sect3>
-->
<sect3><title>Dépendances d'<application>AAlib</application></title>
<sect4><title>Optionnel</title>
<para><xref linkend="xfree86"/> et <xref linkend="slang"/></para></sect4>
</sect3>
 
</sect2>
 
/trunk/blfs/general/graphlib/aalib/aalib-inst.xml
1,11 → 1,12
<sect2>
<title>Installation de aalib</title>
<title>Installation de <application>AAlib</application></title>
 
<para>Installez aalib en lançant les commandes suivantes:</para>
<para>Installez <application>AAlib</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/graphlib/aalib/aalib-desc.xml
1,35 → 1,38
<sect2>
<title>Contenu</title>
 
<para>Le package aalib contient les bibliothèques <filename>libaa</filename>,
<userinput>aalib-config</userinput>,
<userinput>aainfo</userinput>, <userinput>aatest</userinput> et
<userinput>aasavefont</userinput>.</para>
<para>Le package <application>AAlib</application> contient les bibliothèques
<filename>libaa</filename>, <command>aalib-config</command>,
<command>aainfo</command>, <command>aatest</command> et
<command>aasavefont</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>Bibliothèques d'Art Ascii</title>
<para>Les bibliothèques d'Art Ascii sont une collection de routines pour
transformer toute entrée graphique en un format portable d'Art Ascii. Il peut
être utilisé par beaucoup de programmes et dispose d'une API très bien
documentée, pour que vous puissiez l'intégrer facilement dans vos propres
programmes.</para></sect3>
<sect3><title>Bibliothèques d'Art ASCII</title>
<para>Les bibliothèques d'Art ASCII sont une collection de routines pour
transformer toute entrée graphique en un format portable d'Art ASCII. Il peut
être utilisé par beaucoup de programmes et dispose d'une <acronym>API</acronym>
très bien documentée, pour que vous puissiez l'intégrer facilement dans vos
propres programmes.</para></sect3>
 
<sect3><title>aalib-config</title>
<para>aalib-config donne des informations de configuration d'aalib.</para></sect3>
<para><command>aalib-config</command> donne des informations de configuration
d'<application>AAlib</application>.</para></sect3>
 
<sect3><title>aainfo</title>
<para>aainfo donne des informations sur vos paramétrages actuels en relation
avec aalib.</para></sect3>
<para><command>aainfo</command> donne des informations sur vos paramétrages
actuels en relation avec <application>aalib</application>.</para></sect3>
 
<sect3><title>aatest</title>
<para>aatest montre les capacités d'aalib lors d'un petit test.</para></sect3>
<para><command>aatest</command> montre les capacités d'<application>AAlib</application>
lors d'un petit test.</para></sect3>
 
<sect3><title>aafire</title>
<para>aafire est un autre petit jouet d'aalib, qui transforme un feu animé en
Art Ascii.</para></sect3>
<para><command>aafire</command> est un autre petit jouet
d'<application>AAlib</application>, qui transforme un feu animé en
Art ASCII.</para></sect3>
 
<sect3><title>aasavefont</title>
<para>Aucune information disponible.</para></sect3>
/trunk/blfs/general/graphlib/aalib/aalib.ent
1,12 → 1,10
<!ENTITY aalib SYSTEM "../aalib.xml">
<!ENTITY aalib-intro SYSTEM "aalib-intro.xml">
<!ENTITY aalib-inst SYSTEM "aalib-inst.xml">
<!ENTITY aalib-exp SYSTEM "aalib-exp.xml">
<!ENTITY aalib-desc SYSTEM "aalib-desc.xml">
<!ENTITY aalib-config SYSTEM "aalib-config.xml">
<!ENTITY aalib-buildsize "1,2 Mo">
<!ENTITY aalib-version "1.4rc4">
<!ENTITY aalib-download-http "http://telia.dl.sourceforge.net/sourceforge/aa-project/aalib-1.4rc4.tar.gz">
<!ENTITY aalib-download-ftp "ftp://ftp.sourceforge.net/pub/sourceforge/aa-project/aalib-1.4rc4.tar.gz">
<!ENTITY aalib-size "382 Ko">
<!ENTITY aalib-time "0,31 SBU">
<!ENTITY aalib-version "1.4rc5">
<!ENTITY aalib-download-http "http://telia.dl.sourceforge.net/sourceforge/aa-project/aalib-&aalib-version;.tar.gz">
<!ENTITY aalib-download-ftp "ftp://ftp.sourceforge.net/pub/sourceforge/aa-project/aalib-&aalib-version;.tar.gz">
<!ENTITY aalib-size "388 Ko">
<!ENTITY aalib-buildsize "6,5 Mo">
<!ENTITY aalib-time "0,15 SBU">
/trunk/blfs/general/graphlib/libmng/libmng.ent
3,10 → 3,9
<!ENTITY libmng-inst SYSTEM "libmng-inst.xml">
<!ENTITY libmng-exp SYSTEM "libmng-exp.xml">
<!ENTITY libmng-desc SYSTEM "libmng-desc.xml">
<!ENTITY libmng-config SYSTEM "libmng-config.xml">
<!ENTITY libmng-buildsize "12,4 Mo">
<!ENTITY libmng-version "1.0.5">
<!ENTITY libmng-download-http "http://www.mirror.ac.uk/sites/download.sourceforge.net/pub/sourceforge/libmng/libmng-&libmng-version;.tar.gz">
<!ENTITY libmng-download-ftp "ftp://unc.dl.sf.net/pub/sourceforge/libmng/libmng-&libmng-version;.tar.gz">
<!ENTITY libmng-size "616 Ko">
<!ENTITY libmng-buildsize "12,4 Mo">
<!ENTITY libmng-time "0,31 SBU">
/trunk/blfs/general/graphlib/libpng/libpng.ent
2,11 → 2,11
<!ENTITY libpng-intro SYSTEM "libpng-intro.xml">
<!ENTITY libpng-inst SYSTEM "libpng-inst.xml">
<!ENTITY libpng-exp SYSTEM "libpng-exp.xml">
<!ENTITY libpng-config SYSTEM "libpng-config.xml">
<!ENTITY libpng-desc SYSTEM "libpng-desc.xml">
<!ENTITY libpng-config SYSTEM "libpng-config.xml">
<!ENTITY libpng-buildsize "4,1 Mo">
<!ENTITY libpng-version "1.2.5">
<!ENTITY libpng-download-http "http://telia.dl.sourceforge.net/sourceforge/libpng/libpng-1.2.5.tar.bz2">
<!ENTITY libpng-download-ftp "ftp://swrinde.nde.swri.edu/pub/png/src/libpng-1.2.5.tar.gz">
<!ENTITY libpng-download-http "http://telia.dl.sourceforge.net/sourceforge/libpng/libpng-&libpng-version;.tar.bz2">
<!ENTITY libpng-download-ftp "ftp://ftp.iasi.roedu.net/pub/mirrors/ftp.gimp.org/gimp/libs/libpng-&libpng-version;.tar.bz2">
<!ENTITY libpng-size "376 Ko">
<!ENTITY libpng-time "0,16 SBU">
<!ENTITY libpng-buildsize "4,1 Mo">
<!ENTITY libpng-time "0,16">
/trunk/blfs/general/graphlib/libpng/libpng-exp.xml
1,11 → 1,12
<sect2>
<title>Explications des commandes</title>
 
<para><command>ZLIBINC=/usr/include ZLIBLIB=/usr/lib</command> :
Ceci force libpng à chercher les entêtes et les bibliothèques de zlib où nous
les avons installé.</para>
<para><parameter>ZLIBINC=/usr/include ZLIBLIB=/usr/lib</parameter> :
Ceci force <application>libpng</application> à chercher les entêtes et les
bibliothèques de <application>zlib</application> où nous les avons installé.
</para>
 
<para><command>-f scripts/makefile.linux</command> :
<para><parameter>-f scripts/makefile.linux</parameter> :
Ceci indique à make d'utiliser la version Linux du makefile car
<application>libpng</application> n'utilise pas une routine autoconf, mais
vient avec différents makefiles pour chaque plateforme.</para>
/trunk/blfs/general/graphlib/libjpeg/libjpeg.ent
2,11 → 2,11
<!ENTITY libjpeg-intro SYSTEM "libjpeg-intro.xml">
<!ENTITY libjpeg-inst SYSTEM "libjpeg-inst.xml">
<!ENTITY libjpeg-exp SYSTEM "libjpeg-exp.xml">
<!ENTITY libjpeg-config SYSTEM "libjpeg-config.xml">
<!ENTITY libjpeg-desc SYSTEM "libjpeg-desc.xml">
<!ENTITY libjpeg-config SYSTEM "libjpeg-config.xml">
<!ENTITY libjpeg-buildsize "3,7 Mo">
<!ENTITY libjpeg-version "6b">
<!ENTITY libjpeg-download-http "">
<!ENTITY libjpeg-download-ftp "ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz">
<!ENTITY libjpeg-download-http "http://www.ijg.org/files/jpegsrc.v&libjpeg-version;.tar.gz">
<!ENTITY libjpeg-download-ftp "ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v&libjpeg-version;.tar.gz">
<!ENTITY libjpeg-size "599 Ko">
<!ENTITY libjpeg-time "0,51 SBU">
<!ENTITY libjpeg-buildsize "3,7 Mo">
<!ENTITY libjpeg-time "0,26 SBU">
/trunk/blfs/general/graphlib/libjpeg/libjpeg-inst.xml
4,9 → 4,9
<para>Installez <application>libjpeg</application> en lançant les commandes
suivantes:</para>
 
<para><screen><userinput><command>./configure --enable-static --enable-shared --prefix=/usr &amp;&amp;
<screen><userinput><command>./configure --enable-static --enable-shared --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/graphlib/imlib2/imlib2.ent
1,13 → 1,10
<!ENTITY imlib2 SYSTEM "../imlib2.xml">
<!ENTITY imlib2-intro SYSTEM "imlib2-intro.xml">
<!ENTITY imlib2-inst SYSTEM "imlib2-inst.xml">
<!ENTITY imlib2-exp SYSTEM "imlib2-exp.xml">
<!ENTITY imlib2-desc SYSTEM "imlib2-desc.xml">
<!ENTITY imlib2-config SYSTEM "imlib2-config.xml">
<!ENTITY imlib2-buildsize "20 Mo">
<!ENTITY imlib2-version "1.1.0">
<!ENTITY imlib2-download-http
"http://heanet.dl.sourceforge.net/sourceforge/enlightenment/imlib2-&imlib2-version;.tar.gz">
<!ENTITY imlib2-download-ftp "">
<!ENTITY imlib2-download-http "http://heanet.dl.sourceforge.net/sourceforge/enlightenment/imlib2-&imlib2-version;.tar.gz">
<!ENTITY imlib2-download-ftp "ftp://ftp.tux.org/X-Windows/enlightenment/ftp/enlightenment/imlib2-&imlib2-version;.tar.gz">
<!ENTITY imlib2-size "796 Ko">
<!ENTITY imlib2-buildsize "20 Mo">
<!ENTITY imlib2-time "0,53 SBU">
/trunk/blfs/general/genutils/bc/bc-desc.xml
1,8 → 1,8
<sect2>
<title>Contenu</title>
 
<para>Le package bc contient <userinput>bc</userinput> et
<userinput>dc</userinput>.</para>
<para>Le package <application>bc</application> contient <command>bc</command> et
<command>dc</command>.</para>
 
</sect2>
 
9,10 → 9,10
<sect2><title>Description</title>
 
<sect3><title>bc</title>
<para>bc est une calculatrice.</para></sect3>
<para><command>bc</command> est une calculatrice.</para></sect3>
 
<sect3><title>dc</title>
<para>dc est une calculatrice en notation polonaise inversée.</para></sect3>
<para><command>dc</command> est une calculatrice en notation polonaise inversée.</para></sect3>
 
</sect2>
 
/trunk/blfs/general/genutils/bc/bc.ent
1,12 → 1,10
<!ENTITY bc SYSTEM "../bc.xml">
<!ENTITY bc-intro SYSTEM "bc-intro.xml">
<!ENTITY bc-inst SYSTEM "bc-inst.xml">
<!ENTITY bc-exp SYSTEM "bc-exp.xml">
<!ENTITY bc-desc SYSTEM "bc-desc.xml">
<!ENTITY bc-config SYSTEM "bc-config.xml">
<!ENTITY bc-buildsize "1,6 Mo">
<!ENTITY bc-version "1.06">
<!ENTITY bc-download-http "http://ftp.gnu.org/gnu/bc/bc-1.06.tar.gz">
<!ENTITY bc-download-ftp "ftp://ftp.gnu.org/gnu/bc/bc-1.06.tar.gz">
<!ENTITY bc-download-http "http://ftp.gnu.org/gnu/bc/bc-&bc-version;.tar.gz">
<!ENTITY bc-download-ftp "ftp://ftp.gnu.org/gnu/bc/bc-&bc-version;.tar.gz">
<!ENTITY bc-size "280 Ko">
<!ENTITY bc-buildsize "1,6 Mo">
<!ENTITY bc-time "0,07 SBU">
/trunk/blfs/general/genutils/bc/bc-intro.xml
1,17 → 1,25
<sect2>
<title>Introduction à bc</title>
<title>Introduction à <application>bc</application></title>
 
<screen>Site de téléchargement (HTTP): <ulink url="&bc-download-http;"/>
Site de téléchargement (FTP): <ulink url="&bc-download-ftp;"/>
Version utilisée: &bc-version;
Taille du package: &bc-size;
Estimation de l'espace disque requis: &bc-buildsize;
Estimation du temps de construction: &bc-time;</screen>
<para>Le package <application>bc</application> contient un langage de calculs
sur des nombres à précision arbitraire.</para>
 
<para>Le package bc contient bc. Il utilise un langage numérique
de précision arbitraire.</para>
<sect3><title>Informations sur le package</title>
<itemizedlist spacing='compact'>
<listitem><para>Téléchargement (HTTP): <ulink
url="&bc-download-http;"/></para></listitem>
<listitem><para>Téléchargement (FTP): <ulink
url="&bc-download-ftp;"/></para></listitem>
<listitem><para>Taille du téléchargement: &bc-size;</para></listitem>
<listitem><para>Estimation de l'espace disque requis:
&bc-buildsize;</para></listitem>
<listitem><para>Estimation du temps de construction:
&bc-time;</para></listitem></itemizedlist>
</sect3>
<sect3><title>Dépendances de <application>bc</application></title>
<sect4><title>Requis</title>
<para><xref linkend="readline"/></para></sect4>
</sect3>
 
<screen>bc dépend de:
<xref linkend="readline"/></screen>
 
</sect2>
/trunk/blfs/general/genutils/bc/bc-inst.xml
1,17 → 1,16
<sect2>
<title>Installation de bc</title>
<title>Installation de <command>bc</command></title>
 
<para>Téléchargez les correctifs pour bc à partir de
<para>Téléchargez les correctifs pour <command>bc</command> à partir de
<ulink url="&hfile-root;"/>.</para>
 
<para>Installez bc en lançant les commandes suivantes:</para>
<para>Installez <command>bc</command> en lançant les commandes suivantes:</para>
 
<para><screen><userinput>patch -Np1 -i ../bc-1.06-flex-invocation.patch &amp;&amp;
patch -Np1 -i ../bc-1.06-info.patch &amp;&amp;
<screen><userinput><command>patch -Np1 -i ../bc-1.06-flex-invocation.patch &amp;&amp;
patch -Np1 -i ../bc-1.06-readline.patch &amp;&amp;
./configure --prefix=/usr --with-readline &amp;&amp;
make &amp;&amp;
make install</userinput></screen></para>
make install</command></userinput></screen>
 
</sect2>
 
/trunk/blfs/general/genutils/rep-gtk/rep-gtk.ent
1,12 → 1,10
<!ENTITY rep-gtk SYSTEM "../rep-gtk.xml">
<!ENTITY rep-gtk-intro SYSTEM "rep-gtk-intro.xml">
<!ENTITY rep-gtk-inst SYSTEM "rep-gtk-inst.xml">
<!ENTITY rep-gtk-exp SYSTEM "rep-gtk-exp.xml">
<!ENTITY rep-gtk-desc SYSTEM "rep-gtk-desc.xml">
<!ENTITY rep-gtk-config SYSTEM "rep-gtk-config.xml">
<!ENTITY rep-gtk-buildsize "7,7 Mo">
<!ENTITY rep-gtk-version "0.18">
<!ENTITY rep-gtk-download-http "http://telia.dl.sourceforge.net/sourceforge/rep-gtk/rep-gtk-0.18.tar.gz">
<!ENTITY rep-gtk-download-http "http://telia.dl.sourceforge.net/sourceforge/rep-gtk/rep-gtk-&rep-gtk-version;.tar.gz">
<!ENTITY rep-gtk-download-ftp "">
<!ENTITY rep-gtk-size "152 Ko">
<!ENTITY rep-gtk-buildsize "7,7 Mo">
<!ENTITY rep-gtk-time "0,18 SBU">
/trunk/blfs/general/genutils/compface/compface.ent
1,13 → 1,10
<!ENTITY compface SYSTEM "../compface.xml">
<!ENTITY compface-intro SYSTEM "compface-intro.xml">
<!ENTITY compface-inst SYSTEM "compface-inst.xml">
<!ENTITY compface-exp SYSTEM "compface-exp.xml">
<!ENTITY compface-desc SYSTEM "compface-desc.xml">
<!ENTITY compface-config SYSTEM "compface-config.xml">
<!ENTITY compface-buildsize "520 Ko">
<!ENTITY compface-version "1.4">
<!ENTITY compface-download-http
"http://www.ibiblio.org/pub/Linux/apps/graphics/convert/compface-&compface-version;.tar.gz">
<!ENTITY compface-download-ftp "">
<!ENTITY compface-download-http "http://www.ibiblio.org/pub/Linux/apps/graphics/convert/compface-&compface-version;.tar.gz">
<!ENTITY compface-download-ftp "ftp://ftp.ibiblio.org/pub/Linux/apps/graphics/convert/compface-&compface-version;.tar.gz">
<!ENTITY compface-size "28 Ko">
<!ENTITY compface-buildsize "520 Ko">
<!ENTITY compface-time "0,01 SBU">
/trunk/blfs/general/genutils/compface/compface-intro.xml
15,4 → 15,11
<listitem><para>Estimation du temps de construction: &compface-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Téléchargements supplémentaires</title>
<itemizedlist spacing='compact'>
<listitem><para>Correctif requis: <ulink
url="&patch-root;/compface-1.4-errno-2.patch"/></para></listitem>
</itemizedlist>
</sect3>
 
</sect2>
/trunk/blfs/general/genutils/compface/compface-inst.xml
1,10 → 1,11
<sect2>
<title>Installation de <application>compface</application></title>
<title>Installation de <application>Compface</application></title>
 
<para>Installez <application>compface</application> en lançant les commandes
<para>Installez <application>Compface</application> en lançant les commandes
suivantes:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
<screen><userinput><command>patch -Np1 -i ../compface-1.4-errno-2.patch &amp;&amp;
./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>